2012-01-03  Petr Mladek  <pmladek@suse.cz>  [8144e8545c8271a257b64e48d812503cebd96683]

Version 3.4.5.2, tag libreoffice-3.4.5.2 (3.4.5-rc2)


2011-12-14  Petr Mladek  <pmladek@suse.cz>  [7a7cb2a001e176bef88330a9deab4f1c8b7ba581]

Branch libreoffice-3-4-5

This is 'libreoffice-3-4-5' - the stable branch for the 3.4.5 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [13a7a56980089db9e5ff9d829cea8d0011239a10]

Version 3.4.5.1, tag libreoffice-3.4.5.1 (3.4.5-rc1)


2011-12-13  Andras Timar  <atimar@suse.com>  [4b046fd4cb4fed8535cc530219101c1132ddada4]

use latest versions of DejaVu and Liberation fonts

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-12-12  Caolán McNamara  <caolanm@redhat.com>  [81252dd483c84f06072b041e0dd384bd10cb5ac4]

Resolves: CVE-2011-4599


2011-11-17  Göran Andersson  <goran.andersson@init.se>  [e3977c251fa60d51f3df7dcf6c13dd9a96c00a78]

updated Swedish dictionary to version 1.48

This is an important update since it contains a lot of corrections and
words containing digits are now treated correctly.

Signed-off-by: Andras Timar <atimar@suse.com>

2011-10-28  Lionel Elie Mamane  <lionel@mamane.lu>  [210621473b521e1f5f2e9091be9ecb52baaaa32b]

moz ldap libraries: don't need LIBDIR to exist

Signed-off-by: Thorsten Behrens <tbehrens@suse.com>

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [dae2dc810a96200aeabd7d09468367b3e326c008]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-10-20  Martin Hosken  <martin_hosken@sil.org>  [2cd89a55941292b3416070b9a5b90274deb59370]

Upgrade graphite to 1.0.3 fix surrogate support

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-10-18  Michael Stahl  <mstahl@redhat.com>  [a7460c931b51f1876ff6b49d0c27300295c7d1f8]

moz: replace Linux 3.0 workaround with one for 3.x

backport of fa70d98e729c0dba44e1c8e25fe1323bad918945 to 3.4

Signed-off-by Michael Meeks <michael.meeks@suse.com>

2011-10-18  Michael Stahl  <mstahl@redhat.com>  [2a3a9ed405e6c5e1af293187bfc881d6f210093a]

nss: replace Linux 3.0 workaround with one for 3.x

backport of ab3895465a6cf0a8a41c7432ad9a8f77df7ae572 to 3.4

Signed-off-by Michael Meeks <michael.meeks@suse.com>

2011-08-23  Rene Engelhard  <rene@debian.org>  [6280ce956cab20712345bb9b1c7183145d8775f9]

export WORDS_BIGENDIAN in set_soenv and make graphite2 use it


2011-08-23  Michael Meeks  <michael.meeks@novell.com>  [d7274c0dae4111e78998b8fb32f35d17d206c089]

add missing file I omitted to add


2011-08-23  Caolán McNamara  <caolanm@redhat.com>  [44fa311c6181aeddde4895cfd078d75ce79ef5e9]

placement new needs new header included


2011-08-23  Martin Hosken  <martin_hosken@sil.org>  [221e7cea3552e155bf1f648a38a9f339f5017ab5]

Upgrade graphite to 1.0.2 and simplify patches

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-08-16  Petr Mladek  <pmladek@suse.cz>  [ececdb1d36efce5f5dd8a42a5a0eecdf45ce1a7d]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-08-10  Caolán McNamara  <caolanm@redhat.com>  [5d90736d0b2608dec0920469e9fe671fe002bd66]

fdo#36763 backport fix for py#4768

Signed-off-by: Noel Power <noel.power@novell.com>

2011-08-01  Olivier R  <olivier.noreply@gmail.com>  [2206a1376f12fb2c30df935dbdfc4c3b00df0b6f]

French dictionaries update: 3.8 to 4.2.1 (dicollecte)

Signed-off-by: Andras Timar <atimar@suse.com>

2011-07-26  Thomas Arnhold  <thomas@arnhold.org>  [fd6f3019188994f2dd6c33a46035b140280f714e]

nss/moz: Add Linux 3.0 profile

As this is a copy of Linux2.6.mk this has to be
MPL 1.1/GPL 2.0/LGPL 2.1 I think.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-20  Tor Lillqvist  <tlillqvist@novell.com>  [8f6c6de61c66c21ba2fe924c1155823b403f1931]

Don't let <windows.h> define min() and max() as macros

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [0928f1b1b5a0ae55241cefe0cf24b5d92919e64c]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-06-30  Andras Timar  <atimar@suse.com>  [26232f50ca75b25e73416cb6c3c0c74eef46b835]

Swedish dictionary update from 1.43 to 1.46

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-14  Petr Mladek  <pmladek@suse.cz>  [e2c92073768915552db014f1980d24ce9f914735]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-14  David Penzes  <penzes_david@yahoo.com>  [861bf6be8cd91811cbcc6a456b64f008f2372ae1]

updated screenshot for hu thesaurus

Signed-off-by: Andras Timar <atimar@suse.com>

2011-06-02  Andras Timar  <atimar@suse.com>  [d52568601862c1e2a5bae58aa7f8134ac85abe52]

fix pt-BR makefile

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-06-02  Andras Timar  <atimar@suse.com>  [b17a2e1fde32b04eae05e2c9ec533965155b860b]

Update: Brazilian portuguese spelling dictionary & hyphenation fdo#37671

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-05-23  Andras Timar  <atimar@suse.com>  [e2563845701786f733dc3b55fe7eb078999f3850]

remove added license header that caused parse error (fdo#37433)

we have the license text in the README_hyph_* files anyway

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [e6bafbfcda44256080d6a7acba3580c1bf7e76e7]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-16  Martin Hosken  <martin_hosken@sil.org>  [2b46dd6afee72839d96d0646dbf52cfe3a9a7236]

Fix graphite2-0.9.2 particulary for LinLibertineG (fdo#36510, fdo#36752)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-16  Petr Mladek  <pmladek@suse.cz>  [6adac1ade2de3e7e8ad5812a2d9c59e45013d7c3]

Revert "Fix graphite2 particulary for LinLibertineG"

caused many build problems on Windows; too late to do this change

This reverts commit 1dbaab9692545a9c8c032a886932a7626e48dbe9.

2011-05-16  Petr Mladek  <pmladek@suse.cz>  [9eed809112af47790ac2744d72aa88cfd74b3a06]

Revert "And the makefiles"

caused many build problems on Windows; too late to do this change

This reverts commit 7911b8ed64ba69322dc5b82177c7149c39c3604e.

2011-05-16  Martin Hosken  <martin_hosken@sil.org>  [7911b8ed64ba69322dc5b82177c7149c39c3604e]

And the makefiles


2011-05-16  Martin Hosken  <martin_hosken@sil.org>  [1dbaab9692545a9c8c032a886932a7626e48dbe9]

Fix graphite2 particulary for LinLibertineG


2011-05-10  Petr Mladek  <pmladek@suse.cz>  [e852fea281f051ad16c30c6208b37e9fbe294d99]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-10  Andras Timar  <atimar@novell.com>  [d92c1d03672d7554d3f296422eef84847e855b15]

remove national flags (dictionary icons)

using national flags to identify a language is controversial

2011-05-06  Andras Timar  <atimar@novell.com>  [6fb716d02b9fe4a1b8c24f8ad191a25e00928b6f]

updated German dictionaries - fdo#36879


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [eb9b125cf6e723ceba0bbe2194937f8172a95e81]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-04-30  Andras Timar  <atimar@novell.com>  [97ae31ccbee17fa640d8097ab8beacea9ce071bc]

updated oc_FR dictionary to version 0.6.1 - fdo#36718


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [70471e940897e7973819147df353591bd551759b]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [09b0899c02a35b4abfebe4440523e602315f85e6]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [fccf3081327c9e81fbedab4086091acddab999b7]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-07  Petr Mladek  <pmladek@suse.cz>  [8071ba178a3cc33716c34966062d3cda8956ad0a]

build Agfa fonts only when enabled


2011-04-06  Tor Lillqvist  <tlillqvist@novell.com>  [aabac94018ab3236f135de33a2f36931ab6911c4]

Add possibility to bundle some Agfa Monotype fonts

Based on the old novell-win32-agfa-monotype-fonts.diff patch.

2011-04-05  Petr Mladek  <pmladek@suse.cz>  [d8f0179abb524fca3273f51473c7c782687dcacc]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	dictionaries/de_AT/README_extension_owner.txt
	dictionaries/de_AT/makefile.mk
	dictionaries/de_CH/makefile.mk
	dictionaries/de_DE/makefile.mk
	dictionaries/prj/build.lst

2011-04-05  Andras Timar  <timar@fsf.hu>  [ac57505f887302144cf0e104bd94e1a4b9d8ef01]

l10n: update de_CH and de_AT dictionaries - fdo#33751

Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Fridrich Strba <fridrich.strba@graduateinstitute.ch>

2011-04-01  Petr Mladek  <pmladek@suse.cz>  [80b901b35e38fd9b269ddd0e886c8250e4884e74]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-03-29  Francisco Saito  <saito@4linux.com.br>  [9c580b032652cfcd628915ede9c19b000d7889cd]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [f9a2fa2f7aa0fd597e88c8f9cc332c5f34a81f63]

drop bogus executable flag from image files


2011-03-29  Petr Mladek  <pmladek@suse.cz>  [59fe2e067f22ab796bad9d2cda777de16e707ad5]

icu-4.2.1-rpath.diff: pass $ORIGIN correctly to icu RPATH

need to escape the dollar '$'

2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [ccb82324365d308cfc66aac4b9989a3bf55684e1]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/libs-extern-sys


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [c23098607d423f99fefe0f5f452a0349f1b40fd3]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	graphite/makefile.mk
	libxml2/makefile.mk

2011-03-22  Thomas Arnhold  <thomas@arnhold.org>  [208cca8ade1ff8f6dd5cd53d28d20dff370e97de]

Remove ChangeLog file and its refs


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [7d81d14024aa8d2c72144251ceb879bf4cba94b3]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/libs-extern-sys


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [5e008f82fe26f0a84fdeb852038ffb118ac5dc71]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	dictionaries/de_AT/README_extension_owner.txt
	dictionaries/de_AT/makefile.mk
	dictionaries/de_CH/README_extension_owner.txt
	dictionaries/de_CH/makefile.mk
	dictionaries/de_DE/README_extension_owner.txt

2011-03-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [39ab7d44f3d19b86fd56a518e83456d9556cfaa0]

Don't build static icu that nobody uses


2011-03-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8fa7f8b90f2817542f7f50c937f2a372f98b4bda]

Work around a strange problem with libicudata on Mac OSX


2011-03-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ecffbc34ab2d24f81815c61ec6932689dce97afa]

Don't build things we don't use and that are broken


2011-03-16  obo  <obo@openoffice.org>  [8802183d217a567fdb2b342dc26ae4064d827a20]

CWS-TOOLING: integrate CWS jl164


2011-03-16  obo  <obo@openoffice.org>  [339dd0c40ae730efea2a325d11fe210bb5538300]

CWS-TOOLING: integrate CWS sb142


2011-03-16  obo  <obo@openoffice.org>  [57e87b38480b2c237e004dbc54868928d8313f72]

CWS-TOOLING: integrate CWS debuglevels


2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a3ddf3895ca47236bc6f57e617738e1aff8d0bb]

Maybe one day I get this right


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [41eba4cc268880bcefb7cb27cf812eae57ffa6e9]

escape spaces in compiler name


2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [05215cbefa2af9a1acdfb6ab9d20255dc67a8b82]

avoid __declspec decorations on windows


2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b07709f27cbeab56206fd0c73824b4ffdb935975]

Add possibility to specify that one builds static graphite


2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b581beb6d4a359b5f4c9c96d956dbf65405682c3]

try to deliver graphite_off.lib properly


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [3f633cb1563ddb5c67de4a90b6794659ea135674]

fix build error, add build depend


2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f008efbf6822046ad74553955ffa5bd7dd80ff81]

Make icu 4.4.2 build on Linux


2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [77ba3a629a19a83467580a8f0fe0524e1e9a2065]

Downgrade icu to 4.4.2


2011-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [236b62ee9d6153b46ad6cced1a0983b18e1aab84]

make apply on Linux where line endings matter


2011-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fbbd762a7e7ec726aa5058b14b4464c48d693a2f]

Don't hardcode icu version in d.lst


2011-03-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [efdfe5fb8af0e82ad77bec43a7b0e2727ce32be8]

Don't build with builtin wchar_t on Windows


2011-03-14  Tor Lillqvist  <tlillqvist@novell.com>  [0f5852183834dbd000cdb61efecb48f3b2fab400]

Build the Relase configuration with msbuild


2011-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46d05f6a0e8893954b98bf782579ded7cc14b272]

Oops


2011-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [06956b641d3d54ffd04efba8f9ef72bc034a5a5c]

Dupplicate symbol in Windows build


2011-03-14  Tor Lillqvist  <tlillqvist@novell.com>  [77453fdb37acb6548cd8624abc5959a7d159ca93]

Now when attempting to use MSVC2010, use msbuild to build it


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b8d51eedd958a78327a2b824b2f5edb0be951242]

debuglevels: pulled and merged DEV300.m102


2011-03-13  Andras Timar  <timar@fsf.hu>  [3eeb9ce99c9f41cf00edc8157eab6239ac1aaead]

l10n: update de_CH and de_AT dictionaries - fdo#33751


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [f204d7b3ea945b5b26db5ec1e8fbd4a02e71ced9]

WaE: silence new icu warnings


2011-03-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0959957527ff9d14090c10f627828bb0a7d705e4]

fix graphite build on Linux 64-bit


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [7b188f4b267f16282188f397d39d866f64c01efc]

fix aix patch


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [63d04ff2fe36847e226f262647dd5ef8f33b0dcd]

add -fpermissive for yucky narrowing


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [bbcf3b76c9fbaae6088fbe02e5c3f5f864fedfdb]

apply cleanly


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [296749e17e69e5fcfcb5fb1324c82deba66870fa]

restore build of build patch that seem to still make sense


2011-03-11  Martin Hosken  <martin_hosken@sil.org>  [41ce3af3c09055cc5512bb6ed34e914f14991028]

Fix spacing in patch


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [51a62292d5158866af53bc558db3a84c14df4f6c]

reduce patch to remove need to match on trailing space that git strips


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [85adda8b2b4d1cfad64f62d98fcaa8795204c5a4]

fix icu patch


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [08e1b8a628872256781614dba85254d0e6a4bb27]

Fix memory leaks in vectors


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [c5ac0683e2930ac51b59affbaf35d0c1b73a1dc8]

Upgrade to ICU 4.6


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [b80c82690cb456148f8e1f0ff19df820c31ea24a]

Remove cmake dependency. Statically create graphite library


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [4fdc0bb2ab3d548bb30a5a8bb97d910e7187f158]

graphite2 consolidated patch


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [1088f6aa6b7aba040fc066c8d7345bdb61254331]

build those with exceptions


2011-03-09  Jan Holesovsky  <kendy@suse.cz>  [4bbf5fd14cfa71bb477c97b181dd403542736678]

Fix build.


2011-03-09  Jan Holesovsky  <kendy@suse.cz>  [be6a87f1dc978261efdd16de5f76a6e31c5670d8]

Merge commit 'ooo/DEV300_m101' into intm101

Conflicts:
	boost/aliasing.patch
	boost/makefile.mk
	cairo/cairo/makefile.mk
	cairo/pixman/makefile.mk
	dictionaries/da_DK/README_th_da_DK.txt
	dictionaries/da_DK/description.xml
	dictionaries/da_DK/dictionaries.xcu
	dictionaries/da_DK/makefile.mk
	dictionaries/da_DK/th_da_DK.dat
	dictionaries/de_AT/th_de_AT_v2.idx
	dictionaries/de_CH/th_de_CH_v2.idx
	dictionaries/de_DE/COPYING
	dictionaries/de_DE/COPYING_GPLv2
	dictionaries/de_DE/COPYING_GPLv2.txt
	dictionaries/de_DE/README_extension_owner.txt
	dictionaries/de_DE/README_th_de_DE_v2.txt
	dictionaries/de_DE/makefile.mk
	dictionaries/de_DE/th_de_DE_v2.idx
	icu/makefile.mk
	moz/makefile.mk
	python/makefile.mk

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [c3faceee53098e149b2dfd3f91a376c6e9b92ad9]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [010a67596ed90cf02b91a7cb0a86d475ecfba591]

CWS-TOOLING: integrate CWS vcl119


2011-03-04  sb  <sb@openoffice.org>  [229e1ba6e63e50ee9ff86991331300b6c01f992a]

sb142: #i116738# ignore test stuff from the Python implementation


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [569b5df51a160d5839c2fc872066b085775c20c2]

WaE: silence warnings


2011-03-03  Andras Timar  <timar@fsf.hu>  [30aeb4c4a5a283b5979c4b2a7dbdd3fe0fb5b240]

Updated German dictionaries (2010-12-04) - fdo#33751


2011-03-03  Andras Timar  <timar@fsf.hu>  [2d2c98411a9e6b6343949a9956027a76ff9fdb68]

forgot add COPYING_GPLv3


2011-03-03  Andras Timar  <timar@fsf.hu>  [a6544df7348fb60d35a3af287f140ce033f27977]

l10n: add Breton spelling dictionary


2011-03-03  Andras Timar  <timar@fsf.hu>  [5fceafdf044e69893f19e6aa2f83121c6951a9b7]

l10n: Updated oc_FR spelling dictionary


2011-03-03  Andras Timar  <timar@fsf.hu>  [0fdf4f2153a2fb142529dfe3fdad71c05df49ed6]

l10n: wrong encoding in nl_NL dictionary description


2011-03-03  Martin Srebotnjak  <miles@filmsi.net>  [d69f039f3afdcade7f0c6c08868306cf522cb3be]

l10n: Updated Slovenian (sl) thesaurus


2011-03-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [11b0a3b8e1e79275971b80b2791b4079675b970e]

On windows, dictionaries link with uwinapi.lib


2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [6a7ab034e9f305b517dcc80b669b7eb954b7bbc9]

silence warning with a specialization


2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [fed60e3dc84e03000289af78b565020df8d87e95]

CWS-TOOLING: integrate CWS mhu21


2011-02-28  Caolán McNamara  <caolanm@redhat.com>  [9913161d6e3fb33ffe51eabd4a2fa85aad2562ca]

dynamic_bitset subdir wasn't delivered


2011-02-24  Joachim Lingner  <jl@openoffice.org>  [bff599c3dd01dffe58f60133461838e2a8bdab5c]

jl164 #i109096# libxml2 fails when using long paths on windows


2011-02-23  Andras Timar  <timar@fsf.hu>  [7d827c4b46cb97fbaad8faeb8c873677962e2910]

l10n: wrong encoding in nl_NL dictionary description


2011-02-23  Andras Timar  <timar@fsf.hu>  [0a35b5560b035018f09cd00a54403709ab650260]

l10n: Updated oc_FR spelling dictionary


2011-02-23  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [2daa586a55b19a5e3c301e4a4f793af985d08287]

Update from master repository (DEV300_m100).


2011-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [582673872cb065e796086bdba113a6ed7e10592e]

vcl119: rebase to DEV300_m101


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3026f38a1231d01b162fe49de59c48d6a7ab209e]

debuglevels: merged to-be-m101


2011-02-22  Andras Timar  <timar@fsf.hu>  [2251eea36609c89b3ac38601312a810b0a010c01]

l10n: add Breton spelling dictionary


2011-02-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [dc4821f73d2780d87f711d4b63aa86a8e48586ee]

vcl119: #i116227# remove an invalid assertion


2011-02-18  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [5ec776208c3a15ecdbe7945129fb9c30d98c969d]

#i115784# moz/d.lst: deliver windows libs, too.


2011-02-18  Release Engineering  <releng@openoffice.org>  [3becf2ca2888d81da6334108b33af621c25ee490]

merged DEV300


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [a8e015e4f665b2d29c8658cfaaacf200955c7928]

CWS-TOOLING: integrate CWS kso49


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [500def235bf243d66010fe0f6a3a811181f28e8e]

CWS-TOOLING: integrate CWS locales34


2011-02-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [dd40732a86d32f6a2e1d3b577cbc3b67254514a8]

rebase to DEV300_m100


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [ff7c7459680c57860ffbf4b8d1ddcf34afd72d11]

turn on exceptions for this, clears windows warning


2011-02-15  Tor Lillqvist  <tlillqvist@novell.com>  [59f242f496e16c63ea158f7547342dd6566cc9f3]

Py_DEBUG mangling for Windows


2011-02-14  Tor Lillqvist  <tlillqvist@novell.com>  [973d01beb4a0cc1640f657264a9249bb3d83b454]

Make debugging the Python interpreter simpler

When building (in the LibreOffice sense) for Windows with debug=t, use
the Debug solution configuration, but make the Debug project
configutations produce identically named executables as the Release
ones, and also use the normal runtime library.

Use same executables names

2011-02-14  Tor Lillqvist  <tlillqvist@novell.com>  [918e5e4329045432a274ff2290e598a7c11a7e0a]

Clean up Python patches a bit

Don't bother commenting out stuff we don't want in the pcbuild.sln
file. Instead just remove it. Don't bother patching files specific for
older MSVS versions that we don't support any more.

2011-02-13  Martin Srebotnjak  <miles@filmsi.net>  [c2261245cc87b30129599dac5bdf72beda00b67e]

l10n: Updated Slovenian (sl) thesaurus


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [a43c3101575661fc415a12a052aa3a03c4aee4bc]

icu#8320 even more things wrong with freeserif that can crash icu


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [b0d81a7afeadd4dc211281796aa345f3447ab021]

gcc#47679 needs more magic


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [b398624122ecfe718803ea001ea03f235578a3fa]

workaround gcc#47679


2011-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c561bb11c4155e74f922653336395c342de4d07]

Static defines when building static hunspell on Windows


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6a1cb3932cc5372f0a36a298a3e0fa05f76bf5da]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2a7bdce3ba0ec8c94f41733112e2d27fbffebc17]

Removing the ext_std masterpiece


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a132079289979626ef29258f816be848ca795bc3]

Make stlport only optional dependency of postprocess


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [ff256899f1fe2a2ea08beff4071d754fff14416d]

silence some more warnings


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [da7e4b83e4256822f5e71ba8ebad86365414795e]

have to deliver some .h files as well now


2011-02-08  Eike Rathke  <erack@openoffice.org>  [8cbc8273d57b7f01220eece008946488b8be22c3]

locales34: merge m99


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6a4359767834fe049b4f5ed13bafe920336b6b2d]

remove trailing CR from patch


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [14e34dbf3b8e7a765331421d28b411deadad21fe]

Resolves: fdo#34031 bump to hunspell 1.3.1


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [71534511a81585405608e73f9dd4cf8426b33f0e]

still need aliasing fixes


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [3e3d4826c90bdd104805df68d1e5806938d723e6]

WaE: fix some shadowing warnings


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c7b2b40b0ac4df01eec094d63c98000e4db608c]

deliver _all_ boost directories


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [eb6d676eb96ccca4b3f14ac5d2dfc4d8ff3b2af3]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	dictionaries/prj/build.lst
	dictionaries/uk_UA/makefile.mk
	hunspell/makefile.mk

2011-02-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [31d464016950a995a90c46e5540b79abb1d9bccc]

debuglevels: #i116839#


2011-02-05  Caolán McNamara  <caolanm@redhat.com>  [170bdf6976e55a843227092ce91a1e70eab10a31]

build without nls, we don't need it


2011-02-05  Caolán McNamara  <caolanm@redhat.com>  [481c2d6ba399d22821a00701da8543989040b3ab]

and remove some some warning spam


2011-02-05  David Tardon  <dtardon@redhat.com>  [9466edbd2ade8f9f40f82204deaf9c050f909a1c]

define copy ctor for boost::unordered_map/_set

Build with gcc 4.6 breaks otherwise.

2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d934a1a611844de66b0cd3e5818a77044e863bbb]

The exception.cpp is not in the win32 thread library in this version


2011-02-04  Joseph Powers  <jpowers27@cox.net>  [054d2293a6d21a881bf5bde9898ec7026b3ba2dd]

Deliver \boost\range\algorithm that is needed for sc


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [53f9b7149d769a202b04bafae926aa933ff48cc2]

some more warnings gone


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b7ff6b96a43c336667421ad663d710fcba5afbbc]

silence more boost warnings


2011-02-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01f1d954670e13a7a42e8ca86d2f131612856df4]

upgrade to boost 1.44.0 to solve some std::forward issues


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [35dcee75c04f8ae74e271b7ff4b98c8f9c1e70f5]

CWS gnumake3: resync to m99


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [5e3d92f9bbf29822d841ca40bd4433ed96794c13]

chart52: merge with DEV300_m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [59f41a44376b89733f090a6f4c044db02cafc05a]

Resolves: rhbz#674328 more ways for freeserif to crash libicu


2011-02-03  Kai Sommerfeld  <kso@openoffice.org>  [4da2f0348c80fc93a826ec17d65c018a6519234a]

#i116587# - Workaround for IIS sending challenge without realm.


2011-02-03  Andras Timar  <timar@fsf.hu>  [3f50ad3c6efda4a51b9a37d2be5cda957b4546c4]

fixing makefile.mk for uk_UA dictionary


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [f6212e4b624392e408e9900554d4f4c2446df4a3]

Don't try to copy nonexistent pdb files


2011-02-02  Thorsten Behrens  <tbehrens@novell.com>  [9274e19e79698e318a658af12fd6e8f7c688dc54]

Use the th_check.pl where Andras has put it


2011-02-02  Thorsten Behrens  <tbehrens@novell.com>  [e51c01be09e7f0cd5a5d40f68a527a884293cf0c]

Added unit tests for thesauri sanity check

Using Steve's th_check.pl script to make build break if someone
adds dupes to otherwise clean thesauri dat files

2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [fe9420244249f8a3c1f6bd54e19de3f317b90c21]

Resolves: rhbz#674328 freeserif crashes libicu


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [6e2ac6ee1257fd8ab3c9d15534041b6e08657192]

Clean up makefiles


2011-02-01  Andras Timar  <timar@fsf.hu>  [1d59e747abe0d8231d6f7742adf6051a6c302c97]

forgot add COPYING_GPLv3


2011-02-01  Andras Timar  <timar@fsf.hu>  [bc275fb8b47f930ffcef5a69727aeb2c13df12e4]

Updated German dictionaries (2010-12-04) - fdo#33751


2011-02-01  Andras Timar  <timar@fsf.hu>  [c3f71bbf5ac350e80c23e9ee8b5f9f28a1588096]

added a word suggested by PeDa


2011-02-01  Andras Timar  <timar@fsf.hu>  [f1308f97f55e775f340c3ba0d9c3a7cf80bd0e3a]

Added Occitan spelling dictionary - fdo#33574


2011-02-01  Clio  <menenem@bk.ru>  [07d19f86e7aa19f29a70855a06d0cea9112a2659]

Added Russian translation to description.xml


2011-02-01  Andras Timar  <timar@fsf.hu>  [0e7ad30825890b1b7a6f7fad77648d85dbe40646]

bump the version number of ru dict pack


2011-02-01  Andras Timar  <timar@fsf.hu>  [aaf207dd8d1659922fb6732c61853dccde1191b6]

Added Russian spelling dictionary - fdo#33571 #i113873#


2011-02-01  Andras Timar  <timar@fsf.hu>  [ed8a746b4ce46fadb112a0f21fd47969b24979d1]

Added Ukrainian dictionaries - fdo#33595 #i113874#


2011-01-31  Clio  <menenem@bk.ru>  [726cb9bbfbb84c59644060e5799772a4f18947ae]

Added Russian translation to description.xml


2011-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0988826e83f3c88b938c63475633592e81ffcf5e]

boost needs makedepend delivered by soltools


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [4908e9c08965f855a8d4d7c4028e955e2ac2cedd]

Resolves: fdo#31271 wrong line break with ( (cherry picked from commit 6f1fa58123900aaeb68bc869ddf8e24503c590c0)


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [680375d6778da282319cefb42aaa687834adfc50]

Resolves: fdo#31271 wrong line break with (


2011-01-29  Steve Butler  <sebutler@gmail.com>  [89fc507a0e278381ad012b5be9a964cb0e22c0e7]

th_check.pl for syntax check of thesaurus .dat files


2011-01-29  Andras Timar  <timar@fsf.hu>  [6c615dfbc823c6f6cee30936837577806b6a7f4c]

fixed a bug in hu thesaurus thanks to th_check.pl


2011-01-29  Andras Timar  <timar@fsf.hu>  [2a84e69d32df0af15e25619f8b0ef4d11725ca86]

bump the version number of ru dict pack


2011-01-29  Andras Timar  <timar@fsf.hu>  [82d66cf3941dc7b09adb8327f24321caf0adbef1]

Added Occitan spelling dictionary - fdo#33574


2011-01-29  Andras Timar  <timar@fsf.hu>  [721e90a6975343b10c6ef5cb4a8dbef12d331e0b]

Added Russian spelling dictionary - fdo#33571 #i113873#


2011-01-29  Andras Timar  <timar@fsf.hu>  [531e0103169675c6a58f3ae390b938fb75bceb6a]

Added Ukrainian dictionaries - fdo#33595 #i113874#


2011-01-28  Michael Meeks  <michael.meeks@novell.com>  [d06cf33386524bd6d29f3cc35ae8bb9c0bc6e2a0]

get LD_LIBRARY_PATH setup right


2011-01-28  Michael Meeks  <michael.meeks@novell.com>  [77267fa64db746de43add4df033d8ad2b1e54ce5]

remove obsolete perl indexing tool


2011-01-28  Steven Butler  <sebutler@gmail.com>  [23dd3bf618396dfa704e7a1ecd35631f8e480d00]

Use idxdict program to build index files


2011-01-28  Steven Butler  <sebutler@gmail.com>  [ccc8e28b2295efe24e33a77d424f13d97405f5cb]

get license header right


2011-01-27  Eike Rathke  <erack@openoffice.org>  [9a3a4f694ac4368a29e8654e1eb24b62b668b891]

locales34: #i112240# for system icu >=4.4 add Close_Parenthesis to $CL Close_Punctuation; patch from <cmc>


2011-01-27  Michael Meeks  <michael.meeks@novell.com>  [96a62ae9ee8466371637fecf98d280438bf5b07f]

compile new dictionary indexer


2011-01-27  Steven Butler  <stevenb@kjross.com.au>  [f52d7bc17d62e249e78699c622670fc48fe50919]

create native code dictionary indexer


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [c73140d4bc26f0a4be36b1d1a43eb1cac0716f04]

Update from sibling repository.


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [5f0cef92db92c880c5f55164abe0ee2b0aa93e59]

Update from master repository (DEV300_m98).


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [b0331838a489395b2fbfa70c1c24d2e9fef829bb]

CWS-TOOLING: integrate CWS kso48


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [807c7514ee3719ce20232fdf9b9f13571d416a51]

CWS-TOOLING: integrate CWS tl84


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [a004a677346a9b0851315cb139b84835d70d3c9f]

CWS gnumake3: resync to m98


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [33f85dd56f6966527eddc97a5d9dc3d5e8b5e9e8]

#i10000# #i10000# changes from OOO330 m20


2011-01-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [9462bddc9c09e62ac2e41f59145b8123f702def3]

Update from master repository (DEV300_m98).


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [a9f8d616d26fdacc567ae65eb95a4be8c4563b8f]

Include the wntmscx build directories


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [6089e625328b7f7671cb21a328c39ddcddc1ccd1]

WaE: gcc 4.6.0 various warnings


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [c5c08dee0f577a07fe70065615658c72520d134d]

Actually pass the MACHINE parameter to nmake


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [8b8705e0aed42d2c751f207f14c8fdc3fbe20cd5]

Fix curl build on x64 Windows


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [209f979af3866fe76ec4d6879f33f01d6b5362a6]

Interpret any non-empty value of $(debug) as true, like elsewhere

Also, avoid double slash when redirecting the pdb file just for
cleanliness.

2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [6564a62f4066babe18f69eeac381fbe4d5d9d432]

Fix Python build for x64 Windows


2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [ea4323cf724dd6136a3352c287697e7abaf0d7d6]

Define HAVE_VSNPRINTF for MSVC


2011-01-22  Andras Timar  <timar@fsf.hu>  [449068ee833f622d0da5745537f7e40cb3099d98]

added unique IDs to make localize happy


2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [3ef1099c864740fb6b1bc7e09c77fd71b0a87ba2]

Don't use pointless and obsolete switches when building ICU

Don't use the /machine:i386 switch. The defaults work fine: the 32-bit
linker will produce i386 executables, the 64-bit linker will produce
x64 ones.

Don't use the /Op compiler switch, it doesn't exist in MSVC 2008.

2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [9d3e267d9681f1bfd8d87a80bd5f67dc8aab6a8f]

Remove old RCS lines.


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [254535bea9010a21d214588fa0ade1042779ba1d]

Fix libpr0n Makefile

Bug is discussed here:
http://permalink.gmane.org/gmane.linux.mandrake.cooker.devel/304002

Fix:
http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/songbird/current/SOURCES/Songbird1.4.3-fix-build.patch?revision=537683&view=markup

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [5a6d007daf801d6e64c45d197ed6c1e24108ad5d]

CWS-TOOLING: integrate CWS mingwport33


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [5268a234f7e7a0d0c7ceea56599cedb89d22ea03]

sync configure's -Werror logic with configure.ac


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [4a45ac2602e67999cd08873b203544057836b0a8]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [165c525ab2fa50f9b546e366dba710114b96c395]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [1190b8d0ad3db9467088d00a8ac5a4a2459dc080]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-07  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [ef1f5b3a765be6a3637b60e0ed9a922d84c9e52e]

impress208: #164350# better xpath handling


2011-01-07  Laszlo Nemeth  <nemeth@openoffice.org>  [12a7f97c8c3e28135c1eb8f5257277f4486180b1]

fixed a crash - fdo#32850


2011-01-06  Laszlo Nemeth  <nemeth@openoffice.org>  [033334a5baf60f621cc28d31b72ab3a1efa6ec24]

fixed a crash - fdo#32850


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [dda22d782a5aa6c8c42edbacc70f00a16c5b035a]

CWS-TOOLING: integrate CWS impress208


2011-01-06  tono  <tono@openoffice.org>  [8558596cbb6c2481e06d210a84a8e96bc24df319]

mingwport33: i#116329: MinGW port enhancement: configurable libstdc++ name


2011-01-05  Andras Timar  <timar@fsf.hu>  [8fcbeaf22868f83700f0817a67ed5eaedb77b77d]

New release of Linux Libertine G fonts

ChangeLog
2011-01-01:
    - fix for Acrobat Reader (bad layout with non-canonical glyph of cursive
      ligature ffj), the bug was reported by bolond from hup.hu

2010-12-29:
    - NEWS.pdf, doc/NEWS.odt

    - feature cpsp: capital spacing

    - feature sa01..sa99: single items of feature salt, suggested by Kim Bastin.

    - extended uppercase feature (caps=2):
      - default feature "case" (normalized parenthesis and digits)
      - default feature "cpsp" (capital kerning)

    - new cursive glyph "gj" as default ligature

    - new cursive glyph "gy" as default ligature in Hungarian texts

    - modified and extended feature dlig:
       - cursive ligature ch, ck, tz are default only in German
       - added ligated ligature ij for Dutch, also handling a few exceptions (bijoux, bijectie)

    - fix for Linux Libertin G Italic:
       - ch and ck are default ligatures only for German

    - Fixes for Dutch:
       - Casing of letter IJ
       - Limited ligature fi for words containing "fij",
         with short f usage for prettier layout
       - default J.alt in Italics

    - Caps fix for Qu

    - short f for fi, ffi, fj, ffj, when liga=0

    - kerning fixes:
      - guillemets, bad kerning with feature fbsp reported by Joachim Köstler
      - cursive ffj
      - proportional old figures after slash

Signed-off-by: Kalman Szalai - KAMI <kami911@gmail.com>

2011-01-05  tono  <tono@openoffice.org>  [4392bfd3cf914432f00d6431c17d25ecafe247fa]

mingwport33: i#116264: gbuild for MinGW


2011-01-05  tono  <tono@openoffice.org>  [a788fd649055823290bd51062bcc21bda6c95d24]

Backed out changeset: e84942bd0aca


2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [29f349ab3aaf30448c37c70977a842ddff25e5a8]

gnumake3: resync to DEV300_m96


2011-01-03  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [94ed8e36bba2236491b478a49c05c3bec83ef2f0]

impress208: #164350# fixed a security issue in 3rd party library libxml2


2010-12-31  tono  <tono@openoffice.org>  [f4b3c3b3f93920a64a69059377ff0a64bf69179a]

i#116264: gbuild for MinGW


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [5df7d13a252c4d856438adb3db6a0e1fa7e1f3bc]

dr77: rebase to DEV300m96


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [5c8aeb786403ddcfa562caaf6f076732d3e5b027]

WaE: fix some more boost shadowed warnings


2010-12-21  Caolán McNamara  <caolanm@redhat.com>  [e68a2e4ac9821d812875b1303d21ab09f71461d0]

WaE: fix more boost header warnings


2010-12-21  Caolán McNamara  <caolanm@redhat.com>  [b64e2d679b62a8eef8c6813245facd672ba3c4a7]

WaE: fix boost shadowed warnings


2010-12-20  Hans-Joachim Lankenau  <hjs@openoffice.org>  [f7ccf496b5105e542f30760a0246d162da34fb21]

#i10000# add dependency on stlport


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [9c4ab20759a938b69bdd9b8748aeb7ae34a26299]

Merge commit 'libreoffice-3.3.0.2'


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [247a9d54f578ae65efb1d30811140d9715bb2b34]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-14  Rene Engelhard  <rene@debian.org>  [00b64f9aa89ffd45c994fafbb8864f60ecec00c4]

Merge commit 'ooo/OOO330_m18' into libreoffice-3-3


2010-12-14  Hans-Joachim Lankenau  <hjs@openoffice.org>  [1164a958e58edfd43e3cbff4e34366c3569dc28e]

merge OOO330


2010-12-13  Rene Engelhard  <rene@debian.org>  [e2c8a5a5d868e5aa29e01572b0a3593e1ecf1970]

XPATH handling fix

Signed off by Petr Mladek <pmladek@suse.cz>

2010-12-13  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [37c25afdfa426509a39c455d6d6f951779536873]

Better workaround for multiple sqlite conflict (see module nss/prj/d.lst).


2010-12-13  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [795859143e25090c47e9e1491a27dc9311fac11b]

Update from master repository (DEV300_m95).


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [d2a6becaf08cf579ece7c6ba1874ef77d8804ca0]

backport the run valgrind correctly fix


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [55a57bf37cc4d5e7457c9b043c73b2bedddefc5c]

valgrind: add this in here for reference


2010-12-09  obo  <obo@openoffice.org>  [de315abf27211f4d73a947e4281260e6c7304296]

CWS-TOOLING: integrate CWS impress206


2010-12-09  Thomas Lange [tl]  <tl@openoffice.org>  [681a70ee2437db16b6f5322c8ee5eea504aa5b7b]

cws tl84: #i116010# update for German dictionary extensions


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [1792b2c3b7a91a1079562c5fd1ebcbb06d85a189]

WaE, doubly const return value


2010-12-08  Kai Sommerfeld  <kso@openoffice.org>  [81f1a8595ab454d883f934c3f6326e13767ed4e8]

#i115991# - neon update 0.29.3 -> 0.29.5


2010-12-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4e5b03e4ed4596782f674326eb41bb2feac693bc]

Actually build internal libxml2 with debug symbols in debug builds


2010-12-06  Michael Stahl  <mst@openoffice.org>  [4b19db4b945a3dfbfff70d3637d390648a0c1393]

impress206: fix libxml2 issue (thanks rene for the patch)


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [2843be49eb0e6f84c5b4368fe319341ebb77e6d0]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [015b5ef7f54d14d65dc2f2d7e4f839c5f9bbc722]

Update from sibling repository.


2010-11-25  Jan Holesovsky  <kendy@suse.cz>  [4bd2478386f27b223aa60536b92aecc8b9275113]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [eafa1847f4777a7afd16a179c3860a7d6323a022]

make possible to build with c++0x, remove obsolete method


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [9922177b3d550179e1aa9d38239978a8c50323b4]

extend patch to remove boost shadow warnings


2010-11-23  Petr Mladek  <pmladek@suse.cz>  [93c0b49f6d86559a5f0fb9dd859ab04c5545aee9]

fixed urllib.urlopen in the internal python (fdo#31466)

+ backported two fixes from newer python:
    + close the file even if an exception occurs (py#5536)
    + urllib doesn't correct server returned urls (py#918368)
+ thanks karolus <karlooforum at arcor dot de> for analyzing and suggesting
  the fix

2010-11-23  Petr Mladek  <pmladek@suse.cz>  [aefc03edc2d9246d9155efb69544ad558dd35668]

fixed urllib.urlopen in the internal python (fdo#31466)

+ backported two fixes from newer python:
    + close the file even if an exception occurs (py#5536)
    + urllib doesn't correct server returned urls (py#918368)
+ thanks karolus <karlooforum at arcor dot de> for analyzing and suggesting
  the fix

2010-11-22  Thomas Lange [tl]  <tl@openoffice.org>  [0e8629216b28a636881f832da2153cd984c7e90a]

cws tl84: makefile fixed


2010-11-19  Thomas Lange [tl]  <tl@openoffice.org>  [447ed578ce802c63b6745ffc0693112543b0e6e6]

cws tl84: merge with DEV300_m93


2010-11-17  Caolán McNamara  <caolanm@redhat.com>  [d9c89778011c18c08a08516648121a17338316e6]

WaE, remove some shadow warnings from boost


2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [a57028fd4013a6a516b21a7b222900a8c89e824c]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	dictionaries/en/dictionaries.xcu

2010-11-11  Petr Mladek  <pmladek@suse.cz>  [6dc5d068fe8b36166c9fc1dd458d0a40144e68ef]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-11  Thomas Lange [tl]  <tl@openoffice.org>  [9c9a171fd42d1c097025a99b872893c8609c929f]

cws tl84: branch merge


2010-11-11  Thomas Lange [tl]  <tl@openoffice.org>  [b5adad310ee30b96a6539ce9343863727d86d28a]

cws tl84: #i110784# merging Danish thesaurus extension with spelling and hyphenation extension


2010-11-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [f7d5a3ec5133ca2263e6c13c38910085aaf3eddf]

dr77: rebase to DEV300m92


2010-11-08  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [57b1971c3b73acfb88d7082f523f6dda02d42d96]

Workaround multiple sqlite conflict.


2010-11-08  Caolán McNamara  <caolanm@redhat.com>  [3f43403f77fa036f2c45c94cc9f34c4e530606fe]

add some more aliases for hyphenation and thesauri


2010-11-04  Niko Rönkkö  <ronkko@iki.fi>  [d1eff6711e731d978824f556555127832a871e0f]

Elide all "SO:" and "OOo:" build.lst prefixes


2010-11-04  Jesús Corrius  <jesus@softcatala.org>  [c59c176c30cf554cd05d276827864dcf4a012b3c]

Make sure Python builds for VS2008 again


2010-11-04  Caolán McNamara  <caolanm@redhat.com>  [7370ad13751b0ca20c0930866e0c9e61ab947f51]

Use base en_GB dicts for en-IE as well (cherry picked from commit fdca8b7bb980382a18c3f4f51c34e2ac9d6723b4)


2010-11-04  Caolán McNamara  <caolanm@redhat.com>  [fdca8b7bb980382a18c3f4f51c34e2ac9d6723b4]

Use base en_GB dicts for en-IE as well


2010-11-02  Jesús Corrius  <jesus@softcatala.org>  [eb0376f01f1fe35fe56e386f1b00510088bf2052]

Make sure Python builds for VS2008 again


2010-10-30  Kalman Szalai - KAMI  <kami911@gmail.com>  [e44fd99d6287fd00abcca3fc546b9bbde32204c6]

Uniformize dictionaries project

* Remove binary (zip) files from source
* Adding pure thesaurus data files
* Remove thesaurus index files
* Generating thesaurus index files during dictionary build

2010-10-29  Jesús Corrius  <jesus@softcatala.org>  [569c784ce7cedbcc8e21626619e660dce91e919e]

Actually deliver VC++ 10 compiled Python


2010-10-29  Jesús Corrius  <jesus@softcatala.org>  [2f1944bc58b170ede683281860a866c7b1e88651]

Visual Studio 2010 project files for Python


2010-10-25  Vladimir Glazunov  <vg@openoffice.org>  [83b3b04aa91913432ace0140898a3def74eef9d8]

CWS-TOOLING: integrate CWS ause126


2010-10-21  Andras Timar  <timar@fsf.hu>  [16321db007930d1ad8e145e2ea83e303e1e55c64]

updated Linux Libertine G font

bugfix: hinting (better layout), especially with OOo/LibO
without anti-aliasing (eg. on Windows)
new feature: nut fractions

2010-10-21  Mathias Bauer  <mba@openoffice.org>  [b511757c6193ac408db1c7c7627670c7580ecead]

CWS changehid: resync to m90


2010-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [394d8bcc82c380dda02150f551607b014fcfc8d5]

Upgrade nss to the latest release


2010-10-20  Jesús Corrius  <jesus@softcatala.org>  [4f3b294360257bfed4a4abfbb147727130c3beb1]

Fix compilation of icu for VC++ 10


2010-10-20  Jesús Corrius  <jesus@softcatala.org>  [298daab62dc5963c0d8fa76c0ede56efbf7c1490]

Build fixes for VC++ 10


2010-10-19  Andras Timar  <timar@fsf.hu>  [24e8e3a3a616a800621a1646b985a51a245bdee1]

added non-trivial help to hu thesaurus


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [b0dc55ff5db4a9f55186e50614cf91b5eb056b58]

tweak this to patch


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [468c3bbe0bb79bbd5c3a070bb2cb7b31f4270023]

#i113177# remove strict-aliasing warning from boost headers


2010-10-18  Andras Timar  <timar@fsf.hu>  [3b5868783fc92ae79d4b5c27228ad174738c75c8]

fixed Danish thesaurus help registration problem


2010-10-15  Andras Timar  <timar@fsf.hu>  [8faaf1d30838facd7f46c6bdfbd354d0f6d23488]

Added Danish thesaurus #i110784#


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [49b2df24ba7f7d9f815947e7d70a413ba69b3b08]

#i10000# changes from OOO330 m10


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [567359dad47bff1551feb479d4e66bff74457d95]

get this to build on AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [679328d6b6037efa285414f111d709e9a57d953e]

tweak this to build on AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [384cb0a50aba8f57beb9a4b0ebb6537ed623b347]

tweak this to build in AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [f9e21f55e2c7161c1772629dd80eb2659810574f]

update libtooling and config.guess for aix 7


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [e5c7fc1f2fe0864ada40bafea242bfbd488d1e41]

update libtooling and config.guess for aix 7


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [87cf6377997baf0616e756cdc5b69ae4dda79949]

add aix build fixes


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [c19f36701120715e5e693a20d623d1e574a530c1]

fix AIX build


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [0c0afcce20941cfedcdf52838981f69b4907fb38]

update libtooling and config.guess for aix 7


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [228146ef42fb8ebc13cc92de03ee940d553de8e3]

update libtooling and config.guess for aix 7


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [a2a2b1b2cd5e27096b1f8027cd755e58ac6efd67]

Merge commit 'ooo/OOO330_m10'


2010-10-12  Hans-Joachim Lankenau  <hjs@openoffice.org>  [9969868430ce1b32b742a1ccd5deac6a1580e4a9]

ause126: #i115018# extend PATH for build action only


2010-10-09  Mathias Bauer  <mba@openoffice.org>  [61d3787df9d9901efc0c0a40aed2625ab3b8d40b]

CWS changehid: resync to m89


2010-10-08  Hans-Joachim Lankenau  <hjs@openoffice.org>  [ac8e10f2429b91daece1f3ce4254858b03ab998e]

ause126: #i114866# applied patch from issue: fix parallel build issue


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [98b067ae6784d35719c2562e89bbbd3366b88404]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [8e6a12b85f99f6e30f0ab7fcd5d7ed7050deb4ef]

CWS-TOOLING: integrate CWS dict33a


2010-10-06  Andras Timar  <timar@fsf.hu>  [8f09bc68d9f199c85b96759b417daf337a5d8371]

Updated Croatian hyphenation patterns

Original licence from the TeX archives has been included.
Patterns were regenerated for LibreOffice as per the guide:
http://wiki.services.openoffice.org/wiki/Documentation/SL/Using_TeX_hyphenation_patterns_in_OpenOffice.org

2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [ad714dd03ecc75b6996c0c3a1b58cbd552fe1328]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [18c2b6f84dd7dc7acb7cfceb84d258d655960070]

fix various boost shadow warnings


2010-10-06  Thorsten Behrens  <tbehrens@novell.com>  [b47e1d7fefbf8ea524494d9294b7e0fd3a8dc504]

Fix broken win32 build in boost

Make boostthreadlib depend on PREDELIVER_FLAG_FILE, otherwise
the whole include path goodness is not working (i.e. first do the
predeliver to wntmsci12/inc, then build thread lib)

2010-10-05  Denis Lackovic  <delacko@linux.hr>  [b5cdf84d646b2d8ee66950436768383869678cd8]

Added Croatian dictionaries #i96705#


2010-10-04  Andras Timar  <timar@fsf.hu>  [017bebffd57500796e005eb41f0d29269dcc204a]

typo fix


2010-10-04  Andras Timar  <timar@fsf.hu>  [87ec66e03d9ac44fe70d018bb652508dfd91d3c4]

Introducing Linux Libertine G and Linux Biolinum G fonts

More info: http://ow.ly/2Omoh

2010-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c4692a5bad7c10e0fee77b4e49bd5dfb6cad265e]

Fix boost build

Normal libreoffice way to add a file is to put that in makefile.mk into ADDITIONAL_FILES list
which creates a file with "dummy" as content and then to patch that file with the real content.
This prevents a patching hell if timestamps change and boost is unpacked again

2010-10-04  Tor Lillqvist  <tlillqvist@novell.com>  [1e412560cae57d743964e14ce7766fcaf29c579a]

Restore three BUILD_* definitions that apparently are needed


2010-10-04  Tor Lillqvist  <tlillqvist@novell.com>  [59cab77d2a42be2b4bd7e27d4c52f3851695d1d6]

Make createion of new file in boost_1_39_0.patch more reliable


2010-10-02  Tor Lillqvist  <tlillqvist@novell.com>  [027ed74ac8f4e9841897bea7f4796ee33ee0831b]

Build the boostthread library only on Windows


2010-10-02  Tor Lillqvist  <tlillqvist@novell.com>  [b8016aa4f5106d6275c5417666662503b7c767c9]

Build the thread-related code on Windows into a library

Needed by ixion.

2010-10-01  Vladimir Glazunov  <vg@openoffice.org>  [38a2f679bda1ab457e6f7e73c859ac440add560f]

#i10000#


2010-09-30  Tor Lillqvist  <tlillqvist@novell.com>  [3f02697c2c049e607cc9ca26270216ff3082a643]

Intensify boost delivery


2010-09-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75afd1855fc4cb389188096af45d422296e74924]

Don't build pixman/test to prevent build failure when wrong cairo is linked


2010-09-30  Tor Lillqvist  <tlillqvist@novell.com>  [90a6af191959562465628f882eabbf194ff14ccd]

Deliver also the unordered/* headers


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [4ee9d64e6c914162e6d209299ec33b4e50f5deb0]

#i114323# fix broken makefile, won't build under >= f14 otherwise


2010-09-29  Tor Lillqvist  <tlillqvist@novell.com>  [740dd8dc9f40d8585d6e5032c6c2f7936175afb7]

Remove leftover unneeded and buggy debugging printout

From seamonkey-source-1.1.14.patch.diff. See
http://qa.openoffice.org/issues/show_bug.cgi?id=84961 .

2010-09-29  Thomas Lange [tl]  <tl@openoffice.org>  [228861b2dbc69be5dae27b4f5c62e0aa03215dab]

cws dict33a: #i114603 yet another update for the nl_NL dictionaries


2010-09-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [3a28c073b54f755200ed1405e51d7c50bd00e442]

dr77: rebase to DEV300_m88


2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [47ad398957d6b593ed5ff0808d7208dcdb2264cc]

CWS-TOOLING: integrate CWS sb126


2010-09-28  Petr Mladek  <pmladek@suse.cz>  [0872b210df2309061dfc209158ae6ad45b8518e1]

Version 3.2.99.1, tag LIBREOFFICE_3_2_99_1  (3.3-beta1)


2010-09-23  Thomas Lange [tl]  <tl@openoffice.org>  [5de49f6c96bec61fe4ddb0a07aeedc58aed7cac1]

cws dict33a: ca description shortened


2010-09-23  Thomas Lange [tl]  <tl@openoffice.org>  [608bdf46d477d6bf39829f6b10e46f39ce64de42]

cws dict33a : #i114681# ca dictionary update


2010-09-23  Thomas Lange [tl]  <tl@openoffice.org>  [be24d0fa233b04febbbcc0948534ac25da02a11a]

cws dict33a: #i114638# vi dictioary extension fixed


2010-09-22  Thomas Lange [tl]  <tl@openoffice.org>  [fd87e89a3a089583bf3cd95c699d21e44d06063a]

cws dict33a: merge with OOO330_m8


2010-09-22  sb  <sb@openoffice.org>  [e37b6b6162ed5a99a9de72ff9f3ff7377f65088e]

sb126: merged in DEV300_m88


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [0f37ebcff4c00881ebf0c17e7bdff7c63315b181]

cws dict33a: #i114644# it_IT dictioary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [fb086a386d72f3960865dcb4aa022ac4432474b8]

cws dict33a: #i114638# ku_TR dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [909677f9e91b2a34df1aeb8e8d577a1207928e90]

cws dict33a: #i114638# hu_HU dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [655e0a378b4ec2c2cfbe9525baf42ea01b87556a]

cws dict33a: #i114638# ro dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [cfce54d1d68fa18e65494d5f7c28dc60691c38b8]

cws dict33a: #i114638# sv_SE dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [4eeca64b2f1fe88bde39aa1e2d32c585b8e92cf5]

cws dict33a: #i114638# vi dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [33dfe194b6eb47f09758b81e30e58ccf8ece02df]

cws dict33a: #i114623# sk_SK dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [5b86c250fbb1afaaec32cbb8255bc3c68a3c2cd7]

cws dict33a: #i114630# sr/sh dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [61ddb2db87a079b531612fae447653a7e4b1a5d4]

cws dict33a: #i114630# sr/sh dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [db2b55f92a2e5f36dc5bc8f98fae9b15f15f1199]

cws dict33a: #i114623# sk_SK dictionary update


2010-09-21  Thomas Lange [tl]  <tl@openoffice.org>  [3ed0ff81cf0e1a5dd502eb8e724ecf3cb3bb0223]

cws dict33a: #i114621# da_DK dictionary update


2010-09-20  Thomas Lange [tl]  <tl@openoffice.org>  [cb438d87641f843f8c0a70f7bc873619b40e2899]

cws doct33a: #i114580# sl_SI dictionary update


2010-09-20  Thomas Lange [tl]  <tl@openoffice.org>  [39b15650818f7dff8a717afff5714232bae12f0c]

cws doct33a: #i114580# sl_SI dictionary update


2010-09-20  Thomas Lange [tl]  <tl@openoffice.org>  [f07fbb7f983625881c1adb97768f1d9eaf250b22]

cws dict33a: #i114603# nl_NL dictionary update


2010-09-17  Thomas Lange [tl]  <tl@openoffice.org>  [465611c8ff92b6f6e47f683f2022b35126becf16]

cws tl77: #i114557# he_IL dictionary update


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [67721e584ce33cda1fdf9a839000c0cf03294b6e]

CWS-TOOLING: integrate CWS cmcfixes78


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [eaa9aa0d28fab58a115600d583fc68b4ec2a85be]

DEV300: changesets OOO330 up to m8


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [1fcebfe98839bf822a6aa5e36175715a0617ed93]

Update .gitignore for Windows builds


2010-09-16  sb  <sb@openoffice.org>  [7bd7dfa10882edb75c2ff9bc17e87c0f1d9d63b0]

sb126: merged in DEV300_m87


2010-09-16  Thomas Lange [tl]  <tl@openoffice.org>  [6112cffd85ba6bc530c92a453525e95c7942f1ff]

cws dict33a: #i114452# update for pt_BR dictionary


2010-09-15  Petr Mladek  <pmladek@walk.suse.cz>  [0c51813bba5630e11cdff4d2809c0c9bbeea868e]

Release ooo-build-3.2.98.1, tag OOO_BUILD_3_2_98_1  (3.3-alpha1)


2010-09-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [719d3884a812e1ae90c2e68e8491bad42a2e8215]

Removing unnecessary zlib patch


2010-09-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90a220e6703b17e506ae5da0d199b7724ca66fcd]

Add zlib patch that I forgot to add yesterday


2010-09-14  obo  <obo@openoffice.org>  [8fcb658121244cba91754d0602ebd1f2492ff0d2]

CWS-TOOLING: integrate CWS ooo33gsl08


2010-09-14  Thorsten Behrens  <tbehrens@novell.com>  [331222292b25cc4701e9603446ee6d2903341dfc]

python-win32-buildfix.diff: make python build properly on win32


2010-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90228ea1bb82e5b86df0fab5670e1460bc57fbdf]

cairo-cairo-makefile-mk.diff: Fix linking of internal cairo library


2010-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7e348dfe409b482200e879586d9cc2b27268b07e]

cairo-pixman-makefile-mk.diff: Build pixman as shared library on x86_64 too


2010-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7e0482a1419fd6037a490511f569bf504b264e40]

upgrade-zlib-to-1.2.3.diff: Upgrade to newer zlib.


2010-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90b5f3299865246d8913f02c038a9f68a2f77ed3]

svg-import-boost.diff: deliver requrired boost headers.


2010-09-08  Herbert Duerr [hdu]  <herbert.duerr@oracle.com>  [d2e90db398d281577615d44252203c7991fc5452]

#i114069# update DejaVu fonts to version 2.32


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [c9ca3a185f77f61254fbc3cee985c9762e150602]

Merge commit 'ooo/OOO330_m6'


2010-09-05  Caolán McNamara  <cmc@openoffice.org>  [3dff68d1e5b2eb1d5030945d960ef60f4469a868]

cmcfixes78: #i114323# fix broken makefile


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [a3cad1728a815c0220e9954a509e3378bf843205]

dr77: rebase to DEV300m87


2010-08-30  Caolán McNamara  <cmc@openoffice.org>  [f6e115b525fdbb2d87f8328bc8ce9ca70b572099]

cmcfixes78: merge with DEV300 m87


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [50454a452bbaac7e00a54836a40d4b4c765781ab]

CWS-TOOLING: integrate CWS cmcfixes77


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [77c39c53406bb9a53cd24695264d2327400a4a3a]

DEV300: changesets OOO330 up to m5


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [f8b897ee8f412bd0aeaa763ffaca23ffae76b9cb]

CWS-TOOLING: integrate CWS sw33bf08


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [2f87b3fac44c7a9b4dd5616d76e939d2cedc0202]

Update .gitignore.


2010-08-23  Thomas Lange [tl]  <tl@openoffice.org>  [4d4a86b1ad9f561ccbbbbec378bba38e12ac4031]

cws sw33bf08: #i112679# updating it-IT dictionaries


2010-08-23  Thomas Lange [tl]  <tl@openoffice.org>  [0b04e545168be7e3d2412f13b9336c88bb567165]

cws sw33bf08: #i114055# updating sl dictionaries


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [8c3e2b0d93cedf6b72dc4a1ec4646fa96b7113a4]

Create .gitignore.


2010-08-19  Thomas Lange [tl]  <tl@openoffice.org>  [b165ebefa98e25f868630ef604c88a4ee4d5bf90]

cws sw33bf08: adding missing files to fr dictionary


2010-08-19  Thomas Lange [tl]  <tl@openoffice.org>  [6f506861a98d04bcdd66d9adda8c4e7af8c9cb2e]

cws sw33bf08: adding missing files to fr dictionary


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [d4f3f41b1fbc514733380f134aac554af7fa0023]

Merge commit 'ooo/OOO330_m4'


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [17e1caa057743dfa5e73ae4d33c00e9e6374fbeb]

Split build: Revert it for now.


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [d0c2b92dba233a265360ed4b76b677b57f453eab]

cws sw33bf08: #i113478# updates for Serbian hyphenation dictionaries


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [f945d34afbc8ff2490dbce89fa79583b883dbc23]

cws sw33bf08: #i113770# French dictionary update


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [1365cbe215d369d39b2ccaef0fa918e7573d7021]

cws sw33bf08: #i112679# update for German dictionaries


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [1aa6c1ac7332766d4324542c82b3ed7a9ca0ce8b]

cws sw33bf08: #i113478# updates for Serbian hyphenation dictionaries


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [e410f3ed0f6d77e0b761ed7f58711d1fea055706]

CWS-TOOLING: integrate CWS graphite04


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [9432a6fa09652e5ce24b9af82635d49de34ba7d2]

CWS-TOOLING: integrate CWS narrow02_OOO330


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [730c2ac6028b19ad81c9b46edec2d9e8393ec56e]

dr77: rebase to m86


2010-08-03  Caolán McNamara  <cmc@openoffice.org>  [d18f7ba7e1077ef5ec66585d414e6cab17e84592]

cmcfixes77: merge with DEV300 m86


2010-08-02  Herbert Duerr [hdu]  <duerr@sun.com>  [3ad25dc768be8b835068cec9ee73853412a2f120]

#i113565# remove mingw-specific patch which is no longer needed (thanks tono)


2010-07-29  obo  <obo@openoffice.org>  [68f0c74c0f436a41544156ca7b577acee352a9da]

CWS-TOOLING: integrate CWS ause124


2010-07-29  obo  <obo@openoffice.org>  [1bfeb48cde06c66a00827e2f050ef78930882c3d]

Integrate OOO330_m2 into DEV300 (merge)


2010-07-26  Jens-Heiner Rechtien  <hr@openoffice.org>  [4fdf5c70ff4a927366c375b330108c427f5d31ad]

OOO330 masterfix: dictionaries needs thesaurus generated idx


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [1c1cc69e9917819e2d5e2c0ca5eb8f5b5affd4a3]

CWS-TOOLING: integrate CWS graphite03_OOO330


2010-07-22  Mathias Bauer  <mba@openoffice.org>  [8f5b2cc9566ad86effb3fd6357d35969e904d2eb]

CWS changehid: resync to m85


2010-07-22  Herbert Duerr [hdu]  <duerr@sun.com>  [35a32fb15b5711eb0fbfcfe1a2b1852213d0c81d]

#i111719# deliver updated versions of liberation fonts


2010-07-22  Herbert Duerr [hdu]  <duerr@sun.com>  [872ef0738cfd7765698dc6d1682be9b8601a90aa]

#i111719# updated liberation fonts to release 1.06


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [fdd797136256e93c3ec294763690d6e6b9fbb110]

CWS-TOOLING: integrate CWS solaris10u8_OOO330


2010-07-21  Hans-Joachim Lankenau  <hjs@openoffice.org>  [8c9755d0d24d59a491b62670e6bbd17ec3382909]

ause124: #i107097#: add dependencies for directory creation


2010-07-20  Hans-Joachim Lankenau  <hjs@openoffice.org>  [06b63d0dcce4dea64a62338a3378786f0d40004a]

#i107097# - pass MAXPROCESS to GNU make in external modules


2010-07-16  Caolán McNamara  <cmc@openoffice.org>  [5b11c579d5e363b7078bd4146ad3d33a938ff421]

cmcfixes77: #i113177# remove strict aliasing warnings


2010-07-16  Caolán McNamara  <cmc@openoffice.org>  [f75081ee4a30ef14816759eb0e98607f10360612]

cmcfixes77: #i113177# remove strict aliasing warnings


2010-07-16  Caolán McNamara  <cmc@openoffice.org>  [9b7ff1eebb2cb8aa0673716f85b023307d3f63a3]

cmcfixes77: #i113177# remove strict aliasing warnings


2010-07-13  Mathias Bauer  <mba@openoffice.org>  [50f68d098598c3a890094d4b217abdea3006ed9f]

CWS changehid: resync to m84


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [8ffb743d2f98c18152c0031ded3d71f13a965e9d]

CWS-TOOLING: integrate CWS jl153_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [d59c45575110d4ec4d2783fc74bfe4f460ab9fee]

CWS-TOOLING: integrate CWS configure25_OOO330


2010-07-12  Michael Stahl  <mst@openoffice.org>  [a6564cf8c477ae06459acc25ec917525d8e496fd]

solaris10u8: #i112480#: build libxslt with versioned symbols on solaris:  libxslt-gnome602728.patch: remove (disables version script).  libxslt-internal-symbols.patch: do not export non-existing symbols.


2010-07-12  Michael Stahl  <mst@openoffice.org>  [84f786a04d2911b6acc3d65834b017845bea0abe]

solaris10u8: #i112480#: build libxml2 with versioned symbols on solaris:  libxml2-gnome602728.patch: remove (disables version script).  libxml2-global-symbols.patch: export various global variable symbols.


2010-07-07  Herbert Duerr [hdu]  <duerr@sun.com>  [2fba2ef0a8f953bd8078b78dcfe1de51a096919a]

merged with DEV300_m83


2010-06-30  sb  <sb@openoffice.org>  [3b8af7e594bc8736e050cf270b385377d0370bfa]

sb126: merged in DEV300_m84


2010-06-29  Keith Stribley  <devel@thanlwinsoft.org>  [07d1b31a39e3449d57e192e9d8c028f9cf1f1453]

graphite03: #i112730# updated graphite patch and improvements to glyph metric caching


2010-06-25  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [0cae88c91366b6cc7f7689f00c83c0bacca0f18c]

Update from master repository (DEV300_m83).


2010-06-23  Rene Engelhard  <rene@openoffice.org>  [f06803ce67ca519cb9bdaf4cea5a9fe710c060fe]

configure25: configure should check for new download/stax too; some beautifications


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [57a7cf778fe647f0b912bd952bac862e502ae80f]

configure25: per request of QA: external/StAX -> stax/download


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [40c89d620f4621f490816d2ab2411b18282cd7b5]

configure25: fix stax build


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [5676ef6ad995813de054646928446562261e32c6]

configure25: #i93116# Allow to use the prebuilt stax


2010-06-22  obo  <obo@openoffice.org>  [3cbef7909938794a2c46d0bc5b839e0212cb50bb]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [c1e54a19eba7f095972fe061077c0f98fb1a3adb]

CWS-TOOLING: integrate CWS mythes12


2010-06-22  sb  <sb@openoffice.org>  [e21a17f86a0d9fe1a43f99d0ea1d5ba1aec48813]

sb126: #i110197# remove -Wl,-z,noexecstack hack


2010-06-21  Joachim Lingner  <jl@openoffice.org>  [0c286b73e2a22475801c5e7fbac11841b27457a0]

jl153 #i111877# MinGW patch for nss from tono


2010-06-16  Joachim Lingner  <jl@openoffice.org>  [a0ebc12a3b29ff99d66791fc317d603f1a836024]

jl153 merge with DEV300_m82


2010-06-14  obo  <obo@openoffice.org>  [c1ae9ef5c8075861e638c599b75b84a63afd016e]

CWS-TOOLING: integrate CWS ause120


2010-06-14  Joachim Lingner  <jl@openoffice.org>  [d38109053845dd1218eb4697329084bb50ad6892]

jl153 #i111877# updating nss libraries


2010-06-14  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [80b3d41a1d2a7587b54fd49e695a38a0879d9716]

Update from master repository (DEV300_m82).


2010-06-12  tono  <tono@openoffice.org>  [b0801bbec4ae651e4a6081b3aba7e6b5d93a0a7c]

i#112159: MinGW port: more fix for libxml2 2.7.6 to avoid using pthreads


2010-06-10  obo  <obo@openoffice.org>  [eea9317eb906e5fb0369f9e0de4797c986f2b2d5]

masterfix: #i10000# remove typo


2010-06-09  obo  <obo@openoffice.org>  [968d5b3e28e39a35c3dfe0c98bcda3f9c0f7f3bf]

CWS-TOOLING: integrate CWS tl74


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [0bcc70e5db5443441ee37e6ce13ade6e8fc12717]

cws tl74: merge with DEV300_m81


2010-06-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [2660e5d1cc8f555b737607f0d73fec577a535634]

Update from master repository (DEV300_m81).


2010-06-07  Ivo Hinkelmann  <ihi@openoffice.org>  [14e45db1de4da3f6301be0597aa8f510849cb926]

masterfix: #i10000# #i112124# build fails in configure fix


2010-06-06  tono  <tono@openoffice.org>  [8a3863ddc4d01a13a5c0fa58b2d0065f40aabc7f]

i#112159: MinGW port: libxmlsec 1.2.14, libxml2 2.7.6, libxslt 1.1.26


2010-06-05  tono  <tono@openoffice.org>  [77c19675cf7ba73b5af2f05ace0a17253a9cea65]

mingwport30: merge with DEV300 m80


2010-06-05  tono  <tono@openoffice.org>  [29a45582e03147ee43aac96339f0b9194a604cf2]

i#111958: MinGW port enhancement: runtime-pseude-reloc-v2 : more fixes


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [da09a1c03d30a6794b54ec399cfcd436c2b525cb]

masterfix: #i10000# removed obsolete libc patch


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [3dcf232737f4aae5a001c85a5f20c823889cdb45]

CWS-TOOLING: integrate CWS narrow01


2010-06-03  tono  <tono@openoffice.org>  [6aa0f207e5d7db76ff752cd5475ca2d767bb889e]

i#111958: MinGW port enhancement: runtime-pseude-reloc-v2 : fix interference to other platforms


2010-06-01  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [f735835cd420a0c6031c310e466f14bd7b23ad4d]

Update from master repository (DEV300_m80).


2010-06-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [eca87147462d73842f0a363f016df8d728547be0]

ause120: update to DEV300m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [5a58cc907b04046be087bae9c0826210277c18ab]

cmcfixes74: merge with DEV300 m80


2010-05-31  Hans-Joachim Lankenau  <hjs@openoffice.org>  [1217007a4bef5d073615d26defbfd46759f0134a]

ause120: #i111773# - applied patch: make sure cd got a directory to change to


2010-05-31  tono  <tono@openoffice.org>  [6b46c71eef2bd9c299315bb408411e55ad2e8ffc]

i#111958: MinGW port enhancement: runtime-pseude-reloc-v2


2010-05-31  tono  <tono@openoffice.org>  [0ca6f70d3a93b6dc63aad1e872c42212d6905038]

i#111382: Mingw port for hunspell 1.2.9


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [fc2a73b3ad4e3aa54ee9e447673bcb66dab2b492]

CWS-TOOLING: integrate CWS xmlsec1_2_14


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [a8fab7e09e8193384f372d8a178845cacfc7e17a]

CWS-TOOLING: integrate CWS koheiautodecimal


2010-05-27  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [44b5cb4fecdce0331b4e69eb652f26b4758dfbe3]

Update from master repository (DEV300_m79).


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [c845d3ddf676a5981f8f1e3d665812bcfa56103e]

cmcfixes74: merge with DEV300 m79


2010-05-21  Ivo Hinkelmann  <ihi@openoffice.org>  [b1348ab1886b0fa0f826c48f18da31bb2ccc61df]

CWS-TOOLING: integrate CWS unxlnginewbaseline


2010-05-20  Kohei Yoshida  <kyoshida@novell.com>  [7e79381cc95058a1e64ae27a913e3af8458fcc68]

koheiautodecimal: updated patch for boost to remove compiler warnings from boost::ptr_vector.


2010-05-20  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [c18fd0b9c4ff1cd3a24f52994e9983d702cbdae8]

Update from master repository (DEV300_m78).


2010-05-19  Hans-Joachim Lankenau  <hjs@openoffice.org>  [92309d20822476f8ce383aef1f131ac071fbc847]

xmlsec1_2_14: update to DEV300m77


2010-05-18  Kohei Yoshida  <kyoshida@novell.com>  [64067f9eec361b3d6e9d33762a297b1bbd22aaa7]

#i111387# deliver extra headers to make ptr_container available.


2010-05-17  Herbert Duerr [hdu]  <duerr@sun.com>  [b2ffa59dbc1ec67998def02f9655d592a3a9395f]

#i111077# adjust build to latest narrow font tarball


2010-05-14  Rene Engelhard  <rene@openoffice.org>  [a4c3ed3069f77af4f58ab021677dc6443a5e5b4b]

mythes12: revert last commit and patch mythes instead to have our th_gen_idx.pl


2010-05-14  Rene Engelhard  <rene@openoffice.org>  [6f895e2c184dd8de9e0a0d8584ef5a4f392faad4]

mythes12: mythes' th_gen_idx.pl has no -o, use cat .. | ... > as suggested


2010-05-11  Herbert Duerr [hdu]  <duerr@sun.com>  [d982927e1fbdf35fa70bf994cef85b17d175de93]

#i111077# install fc_local.conf file next to app-specific fonts


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [1359a1e52e118c4be2a93e81bb9fa90166b03db2]

CWS-TOOLING: integrate CWS linuxaxp01


2010-04-29  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [fc1bcd2c468e1c47f56f2203952583159ec70aa0]

Update from master repository (DEV300 masterfix).


2010-04-27  Rene Engelhard  <rene@openoffice.org>  [1994fa62401e944afa1849ee343f38d0a8a235d2]

mythes12: don't duplicate th_gen_idx.pl, use mythes' directly


2010-04-26  Thomas Lange [tl]  <tl@openoffice.org>  [e0a1c18605371da466a6e50bdf3a2489da54f961]

cws dict321: #i107796# readme renamed


2010-04-26  Thomas Lange [tl]  <tl@openoffice.org>  [6e92ffcddd786041bdcaae976c13c91c916f8d2b]

cws dict321: #i107796# readme renamed


2010-04-26  Thomas Lange [tl]  <tl@openoffice.org>  [fbb7a920ca6be86927650ba65a1e2d905da91080]

cws dict321: #i107796# readme fixed


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [cf853bb673a21c1911845a9843cf98575ed4ba2f]

cws dict321: #i10007# en dictionaries update


2010-04-23  Herbert Duerr [hdu]  <duerr@sun.com>  [c657ceafc3cfac8f18129d319dc582fb50500fc4]

#i111077# rename folder of third-party fonts


2010-04-23  Herbert Duerr [hdu]  <duerr@sun.com>  [6de40eeab12446e29a5bb54a35e3bcb8b836a1aa]

#i111077# prepare rename folder of third-party fonts


2010-04-23  Herbert Duerr [hdu]  <duerr@sun.com>  [9bc8fadd1f8e56872c93001fdddb513cde8f77b1]

#i111077# rename folder of third-party fonts


2010-04-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [7ba9f9b999d1e8e0fc822bc0fd4593f1dccaeb02]

Update from master repository (DEV300m77).


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [d3973c173a71c9f4478211093deab544486a7358]

cmcfixes74: merge with DEV300 m75


2010-04-20  Vladimir Glazunov  <vg@openoffice.org>  [64b56443c06db78f2afed5cfb68078fb7e50f182]

unxlnginewbaseline: merge with DEV300_m76


2010-04-19  Kohei Yoshida  <kyoshida@novell.com>  [557fb4b5e6ebd4b138567abda3da2ba405ebd335]

koheiautodecimal: rebased to DEV300_m76.


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [156b207276edfe4169af990edf8cc8e95128eca9]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Thomas Lange [tl]  <tl@openoffice.org>  [905845232679c2f9eb897c51dbfe1048296dc902]

cws dict321: #i107796#, #i74297#, #i74300#, #i74304#, #i74311# license issues fixed


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [085176174db5777e5754cacf1fc3290d8654bfda]

CWS-TOOLING: integrate CWS sb118


2010-04-15  Vladimir Glazunov  <vg@openoffice.org>  [7a52134e8bb26655d3507d1b327f18050b2c3f52]

#i109357# changes for glibc2.5


2010-04-14  sb  <sb@openoffice.org>  [5e061e151d4e151b7a3942b1313a2a8ecd64c91f]

sb118: merged in backout


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [e48e017256e74f1128109c6d0f470119112c97ce]

cws tl74: merge with DEV300 m76


2010-04-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [209fb847f9d00909ac983cc188d507caea97f526]

Update from master repository (DEV300_m76).


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [0b4efca37f86552c29f27a6cfb90a3dd05da9185]

cmcfixes74: merge with DEV300 m76


2010-04-07  Thomas Lange [tl]  <tl@openoffice.org>  [d2ff39b71a9d05e4ba02b55a4bb31fbaba03c311]

cws dict321: #i79203# adding Kurdish spell check extension


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [029bdbf62a5f16cda7c39d4e56905689a2084b82]

cws dict321: #i79203# adding Kurdish spell check extension


2010-04-07  sb  <sb@openoffice.org>  [6f4ba516b347f39517f426038e070752c21652ae]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-07  Thomas Lange [tl]  <tl@openoffice.org>  [9c2c8c95bb746c60335b8e97cb182fd7b2657389]

cws dict321: #i110664# dictionary updates


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [e8bdfc019872a917021b5d9e19ed6ff9c2878222]

cws dict321: #i109053#, #i110381#, #i110411#, #i110478# dictionary updates


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [5c1dcee859b527fe16a23e39aed3571f49521ad2]

CWS-TOOLING: integrate CWS cloph14


2010-04-23  Christian Lohmaier  <cloph@openoffice.org>  [7fe3f24d060363293f8f36d4074e354851c95a88]

cloph14: merge with DEV300_m77


2010-04-16  Christian Lohmaier  <cloph@openoffice.org>  [63da6258d20762cef3a0a509c6a1d7837b76af01]

cloph14: backout changes moved to other cws (dict321)


2010-03-31  Vladimir Glazunov  <vg@openoffice.org>  [5647bb38bf74e4e48c822d75d1c7fcf98c0d8eb8]

CWS-TOOLING: integrate CWS mingwport29


2010-03-27  Christian Lohmaier  <cloph@openoffice.org>  [c2df6edbdc9c1fa38a672fd7944ae6cb662285e4]

cloph14: #i107796# add README_hyph_NO.txt to document origin of hyphenation patterns


2010-03-26  Christian Lohmaier  <cloph@openoffice.org>  [65c9c33e442bc3eddf06f87c0cde53b1c4d922d1]

cloph14: #i74311# add documentation bits to satisfy LPPL → LGPL requirements


2010-03-26  Christian Lohmaier  <cloph@openoffice.org>  [169ab3e44196cc3d693b90e81b0936e78895ad74]

cloph14: #i74304# add documentation bits to satisfy LPPL → LGPL requirements


2010-03-26  Christian Lohmaier  <cloph@openoffice.org>  [90934b4169df31722208c165b65ec939db7e092f]

cloph14: #i74300# add documentation bits to satisfy LPPL → LGPL requirements


2010-03-26  Christian Lohmaier  <cloph@openoffice.org>  [967d9efb44109414f588c8930bc33a8fc6f27fa2]

cloph14: #i74297# add documentation bits to satisfy LPPL → LGPL requirements


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [7aeee8d7957abf35ebc9db8598e30ab4aa55c5e9]

cws tl74: merge with DEV300_m75


2010-03-24  tono  <tono@openoffice.org>  [776877ead588b18881e5471083b21f49f6b7e1f2]

mingwport29: merge with DEV300 m75


2010-03-23  Thomas Lange [tl]  <tl@openoffice.org>  [1aaa547d6d6f8fc1491de53af906d61b3b4a2779]

cws sw321bf01: #i108535# sl_SI dictionary update


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [3243b39183e44c3bef1cd6722b8f82e4ca27a565]

CWS-TOOLING: integrate CWS ause117


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [d25f5d26cf51f885c3d9e2b2898dc57f587a7d78]

CWS-TOOLING: integrate CWS hunspell129


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [289694eb18b06652a0fac5c311518ab8c37589e3]

CWS-TOOLING: integrate CWS ause110


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [b8243dc3ffb6b5229f657db876c5934efaf1a042]

CWS-TOOLING: integrate CWS writerfilter07


2010-04-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [55e37ed275ad48fe87d5244fe46a7c8e4489de6a]

ause110: #i106731# missed cairo module


2010-03-23  Hans-Joachim Lankenau  <hjs@openoffice.org>  [004d9acb35e3c5226a863eed01d300fa76d9b9ec]

ause117: #i110339# avoid collisions of inline files


2010-03-23  Henning Brinkmann  <hbrinkm@openoffice.org>  [681ab869c9613c5fd0945f55a0934d687f155e25]

writerfilter07: merged DEV300_m75


2010-03-23  Kai Sommerfeld  <kso@openoffice.org>  [28b6c6413541322d1a22ebcddc7efe95bf0c7bcc]

#i110331#  fixed build dependencies.


2010-03-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [c361291d12c778bdec65904c958df15b7ca4717d]

Update from local repository.


2010-03-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [0ed0241f1568c6ac0fe2952125a1830995be7c1f]

Update from master repository (DEV300_m75).


2010-03-22  Hans-Joachim Lankenau  <hjs@openoffice.org>  [6a93a28056da6a83a44bac6a2c8db202a8f977b9]

ause117: #i110262# one more chmod to make Include group writeable


2010-03-18  Hans-Joachim Lankenau  <hjs@openoffice.org>  [5c64af3a662ab202fa084a0d76a87bffce2aead8]

ause110: #i106731# yet another changed tarball


2010-03-18  Caolán McNamara  <cmc@openoffice.org>  [4c710fff8c88da2203e2ccac4b6ca9c493f12c68]

linuxaxp01: #i110145# need to link fontconfig explicitly


2010-03-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [dd741b1d2006d7b7f8a6a3d1fc5b73ecd9499061]

ause110: update to DEV300_m75


2010-03-17  Thomas Lange [tl]  <tl@openoffice.org>  [8c8e8bc7454f6cc6a103af932162a3f4dc37daef]

cws tl74: #i107768# fix for thesaurus crash


2010-03-10  Hans-Joachim Lankenau  <hjs@openoffice.org>  [87bcdab1d20d4fb535a668683f5859abf15711b6]

ause110: remove updated tarfile


2010-03-10  Hans-Joachim Lankenau  <hjs@openoffice.org>  [817e151d0165f9c9e722be54deef0c9d1bb130c4]

ause110: update to DEV300_m74


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [9728bddbd0f016a5643c3e8d144393670e7ea770]

CWS-TOOLING: integrate CWS kso43


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [a64f5f7e31bf0d56e9538b085d860f4dc1cfb07f]

CWS-TOOLING: integrate CWS cmcfixes72


2010-03-10  Caolán McNamara  <cmc@openoffice.org>  [29e6164db175b33ffc858e0ff3dd9ef884bd9732]

hunspell129: merge with DEV300 m74


2010-03-10  Caolán McNamara  <cmc@openoffice.org>  [7b69c4ed80d44a1e450596cd7533caf4d9b7817b]

xmlsec1_2_14: merge with DEV300 m74


2010-03-05  tono  <tono@openoffice.org>  [e7c2bdc4c962b642cf2cb4a1354514318e5ef64b]

i#109672: Mingw port fix: curl update


2010-03-04  sb  <sb@openoffice.org>  [fc552aff28135b8d409ceabaa04ae3f5e9b622fb]

merged in re/DEV300_next towards DEV300_m74


2010-03-04  Hans-Joachim Lankenau  <hjs@openoffice.org>  [62f9ea11ca59ac586315d83864f5ce82466d47de]

DEV300 masterfix: #i10000# deliver windows link libraries


2010-03-04  Caolán McNamara  <cmc@openoffice.org>  [4ff5e8a6c7cc2496040a86155f4e5f16bebe3c51]

hunspell129: #i107768# fix stack smash


2010-03-03  Caolán McNamara  <cmc@openoffice.org>  [16c22aad8220063268d93c4c0d291ab79f81e1f8]

hunspell129: sync with 1.2.9 release


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [4cd33874f2e7b27828a5da86a20b7d90ff8675ae]

CWS-TOOLING: integrate CWS cmcfixes70


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [febf86cc43e40b403290da92c124a7065caa73a1]

CWS-TOOLING: integrate CWS sb119


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [8daed4869d58628fe8d3560108aa57439b23c22f]

CWS-TOOLING: integrate CWS sdk330


2010-03-02  Caolán McNamara  <cmc@openoffice.org>  [f27b9d31fc489a40b260e9e6b01ba517d77c7eab]

xmlsec1_2_14: merge with DEV300 m73


2010-03-01  sb  <sb@openoffice.org>  [ca7fad2fd991fe58e61c366bc8c5df36d49bf4dd]

merged in CWS sb119


2010-02-27  Caolán McNamara  <cmc@openoffice.org>  [434d37bf05a94cc9db28b4e045fcfdd0abcc21c5]

hunspell129: add back in solaris ICONV disable


2010-02-27  Caolán McNamara  <cmc@openoffice.org>  [7ab209976abf7ccf145380584347ed0bed34d22c]

hunspell129: c/c++ comments


2010-02-27  Caolán McNamara  <cmc@openoffice.org>  [1f4328f34d30f62f4e9f020918e13eb3f4722fa8]

hunspell129: more foo


2010-02-27  Caolán McNamara  <cmc@openoffice.org>  [07ac6e06fc46bd078bd55b83b6a64b1ecccf7199]

hunspell129: more foo


2010-02-26  Caolán McNamara  <cmc@openoffice.org>  [c9c48aa188eb4b591d16c9d3ee8889c73cdb9223]

hunspell129: solaris foo


2010-02-26  Caolán McNamara  <cmc@openoffice.org>  [2ab52806cdfa7e3c10b877c2956dbe0caa2208f0]

hunspell129: need ctype.c for solaris


2010-02-26  Caolán McNamara  <cmc@openoffice.org>  [ffb7364a788caa4ea583f2332dca7bb1a66ca8c3]

hunspell129: need stdio.h for solaris


2010-02-26  sb  <sb@openoffice.org>  [2b9015684203c8ec3bba74040c3b248cb6beb494]

sb119: merged in DEV300_m72


2010-02-26  Caolán McNamara  <cmc@openoffice.org>  [683ce1457d8cf4ec82eec8222b64254d6e5e8e4b]

hunspell129: need stdio.h for solaris


2010-02-26  Thomas Lange [tl]  <tl@openoffice.org>  [afc5a593ba9da16044b6a2b91b25c28b6d11882c]

cws tl74: merge with DEV300_m72


2010-02-25  Caolán McNamara  <cmc@openoffice.org>  [5e58cb592416132b70b19f125e4b90329e42b7e2]

hunspell129: need consistent export directives under windows


2010-02-25  Caolán McNamara  <cmc@openoffice.org>  [b78101024e9c3676c296386ada74a7e681f7dadd]

hunspell129: need a dummy config.h for windows


2010-02-25  Caolán McNamara  <cmc@openoffice.org>  [472eafa2fa1226a997ba1729e09f792124c55756]

hunspell129: pre-upgrade build tests


2010-02-25  sb  <sb@openoffice.org>  [ab49aca1c84e6db15b340c66344f2f60233b0aa2]

sb118: merged in DEV300_m72


2010-02-25  Caolán McNamara  <cmc@openoffice.org>  [4f1e07dfe6aeca415a29bb4dbbdab4ad061f4562]

cmcfixes72: merge with DEV300 m72


2010-02-22  Kai Sommerfeld  <kso@openoffice.org>  [78379b0d84b27710794b249a6c159a8e2c6b0973]

#i108909# - export ne_free().


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [460dcec256348860880c94381b166a73929050a2]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [ea40e5561f2ac6782fd943391d453e20777d8ca0]

changefileheader2: #i10000#: convert files with CR/LF characters to CR only


2010-02-12  Vladimir Glazunov  <vg@openoffice.org>  [2358ae98472c10efa1b87b211d64b92e62720902]

CWS-TOOLING: integrate CWS tkr32


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [b49986c2e5df260a641097ff0b8ecbd74ec2cc7b]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-12  Thomas Lange [tl]  <tl@openoffice.org>  [4bc396941020ae9983b0d8a16eb8d37f4bdcc984]

cws tl74: merge


2010-02-12  Caolán McNamara  <cmc@openoffice.org>  [7af38ef35b0efc2c3cb747df40a93018a908639d]

cmcfixes72: #i109192# allow moz to build under arm


2010-02-12  Henning Brinkmann  <hbrinkm@openoffice.org>  [d8557bf82b54d12985a448a57243930108d8b1ef]

writefilter07: merged DEV300_m71


2010-02-08  Hans-Joachim Lankenau  <hjs@openoffice.org>  [eb87c22ba183a332c9399f144c030f2ffeefc019]

ause110: update to DEV300_m71


2010-02-08  sb  <sb@openoffice.org>  [0571e8018d0838df965ef01fe47a503488dbe748]

sb118: merged in DEV300_m71


2010-02-04  Kai Sommerfeld  <kso@openoffice.org>  [50b593809a3f9f1018a79645f748803d59cddf33]

#i108909# need to deliver ne_compress.h


2010-02-03  Kohei Yoshida  <kyoshida@novell.com>  [fed5d8821cef3a5d93f99cd6da67a821e458226d]

rebased to m71.


2010-02-03  Kai Sommerfeld  <kso@openoffice.org>  [0f591547ac5a4eb7442744e6e10da76950214981]

rebased to m71


2010-02-03  Kai Sommerfeld  <kso@openoffice.org>  [65c9a295287e6ba9a0ad75a1c51f0116ca9deeba]

#i108909# - Updated neon to version 0.29.3


2010-02-01  sb  <sb@openoffice.org>  [2fff3db1619648b42232c445c37f6fa813164760]

sb119: merged in DEV300_m70


2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [dc063e46db431a4ad2dae4c6afb32b1c2abdeb05]

rebased to m70


2010-01-29  sb  <sb@openoffice.org>  [ec33bb82487696bfd791a50a6eeff731db222ae8]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [0eb63c58112e4b2cb04eb7ebeee402c5b411ffc6]

CWS-TOOLING: integrate CWS l10ntools


2010-01-29  sb  <sb@openoffice.org>  [53f247778dfbfe1ceb6abc285315f1b023c74e8e]

sb119: #i103763# use $CC/CXX instead of hard-coded gcc/g++


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [d435e1d118e216596cff442e3bc33f9e0a3ae063]

CWS-TOOLING: integrate CWS cmcfixes69


2010-01-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [37dc96bbae1e89c682012b96624df3196fc19a28]

writerfilter07: merged DEV300_m70


2010-01-26  Hans-Joachim Lankenau  <hjs@openoffice.org>  [38ff1370efcba08c1d0e12ec4af32b95c051cee7]

ause110: update to DEV300m70


2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [ff5bd2ea1231b887aed91d7a0e84d9dcb817edb5]

CWS-TOOLING: integrate CWS kso42


2010-01-25  Tobias Krause  <tkr@openoffice.org>  [11aeb9a6861e466b76445211e94735f1bf9beba6]

tkr32: rebase from m65 to m70


2010-01-25  Tobias Krause  <tkr@openoffice.org>  [fdb0ab406d27c744c66f3b277262e97f86049850]

tkr32: #i105917# merge 2.


2010-01-22  Ivo Hinkelmann  <ihi@openoffice.org>  [db47e372af9553066f60aaba237fa20f458c95c9]

cws l10ntools: #i107386# #i107993# #ii107992# #i107991# #i108587# Added some buildtypes , fix for broken localize_sl regarding UPDMINOREXT , pmladeks localize.pl ooo enforcer patch


2010-01-22  Tobias Krause  <tkr@openoffice.org>  [55ad259ca487fbd8bf09490b5ec618c8f8520bd5]

tkr32: #i105917# merge


2010-01-22  Juergen Schmidt  <jsc@openoffice.org>  [a32e10ec40c379446f4c065f7501e0be965423f2]

sdk330: #i108575# don't deliver sqlite in gloabl lib dir


2010-01-21  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [bf7901950ab11e19b7d3eee180247892216f34f9]

Update from master repository (to m70).


2010-01-21  sb  <sb@openoffice.org>  [b56d6563fd36fe37504da5a0e738363e075a5d96]

sb118: merged in DEV300_m70


2010-01-21  Caolán McNamara  <cmc@openoffice.org>  [92b1a7ed2538485fc8ade53ae599327bc4f308ec]

xmlsec1_2_14: merge with DEV300 m70


2010-01-19  hb  <hbrinkm@openoffice.org>  [d035b68756812f41d20208803e13fc3dbd58c113]

merged DEV300_m69


2010-01-18  sb  <sb@openoffice.org>  [e883b13bec685e46b0eee6c16336a4c00e10ded8]

sb119: merged in DEV300_m69


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [4865bb13e39404940ac321e8ea48e3871985db4e]

CWS-TOOLING: integrate CWS printerpullpages


2010-01-15  Hans-Joachim Lankenau  <hjs@openoffice.org>  [f7a54a109cbe01d767f9cfd538d9382e64c51f94]

ause110: #i106731# remove tarballs from scm and find them in download cache dir


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [8fda74938ce3a20c515c5b0511865a609def2269]

rebase to DEV300_m69


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [8b60ab0631ffeca0111d8e81d974dc1c51be5039]

CWS-TOOLING: integrate CWS dict32b_DEV300


2010-01-14  Caolán McNamara  <cmc@openoffice.org>  [12b7d3e6365b6030a29f77c794c48a154a6a5420]

cmcfixes70: #i80674# use default jpeg config and source and move extra feature-impl into svtools


2010-01-12  sb  <sb@openoffice.org>  [ae842d43bb564f58964fc4dafc440435e5b09c63]

sb118: #i108269# first step of removing tcsh support


2010-01-12  Caolán McNamara  <cmc@openoffice.org>  [fffaa87598abdac4100847fe69f468279163424e]

cmcfixes69: #i106157# support system graphite, even with a different stlport


2010-01-11  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [ef8f6bdd5ea24451335c707d5d21bdd47b0a2ed1]

Update from master repository (to m69).


2010-01-09  sb  <sb@openoffice.org>  [39056ae785622a5881e26231f5df8e044a569def]

sb118: merged in DEV300_m69


2010-01-08  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [7fea8c66f2af2ee7c54382cab6cbeca2d202f6c6]

Update from master repository (to m69).


2010-01-08  Kai Sommerfeld  <kso@openoffice.org>  [611e74f49030a22bffd8aa61806c4a2e298ce385]

fixed compile error after resync.


2010-01-08  Caolán McNamara  <cmc@openoffice.org>  [ddc860f112eb98dd0b528d8c8d28c3de0eac4adb]

cmcfixes69: merge with DEV300 m69


2010-01-07  Kai Sommerfeld  <kso@openoffice.org>  [e707deb584cc1dd3abbf993686737264a9dc0017]

rebase to dev300 m69.


2010-01-07  Thomas Lange  <tl@openoffice.org>  [34ceca22346149c10c5455e79900a05224cc6f76]

#i101887# extension update


2010-01-07  Thomas Lange  <tl@openoffice.org>  [5ca2a1d39c7dc8e976e0684d3bb75f44e396cbea]

#i101963# removed unsupported locales from dictionary.xcu to avoid duplicate entries in EditModules dialog


2010-01-06  Jens-Heiner Rechtien  <hr@openoffice.org>  [5138f5e482bc1d9519db740808c3f2134a77c9a9]

DEV300 masterfix: #i10000#: proper lookup for sqlite3


2010-01-06  Thomas Lange  <tl@openoffice.org>  [f9f055ec9a66c83405505b51f8796c9abd2736f5]

#i74289# fixed readme/license for hyphenation dictionary


2010-01-06  Thomas Lange  <tl@openoffice.org>  [a4372bdf1dfb8b6aab2798861d70726615d367fa]

#i74290# fixed readme/license for hyphenation dictionary


2010-01-06  Thomas Lange  <tl@openoffice.org>  [58a34cbb20f89bd4b83a5255ec57e0412157666f]

#i74290# fixed readme/license for hyphenation dictionary


2010-01-06  Thomas Lange [tl]  <tl@openoffice.org>  [442aea33737de81ba158b1483996e50ba4bde2e9]

cws tl74: merge with DEV300_m68; AND Unix LF conversion for some files!


2010-01-05  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [5dc0edffdc01d12c7b4a458470ad929294233769]

writerfilter07: merged DEV300_m68


2010-01-05  Thomas Lange  <tl@openoffice.org>  [4c39f5125b2e5ae50a6f3b6e273b76d3520a5c75]

#i105565# 'de' dictionary extension fix (single extension split into three as in repository)


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [e9d9c1e7c1bdeb9f49c08bba188cbf8c1330b8b3]

CWS-TOOLING: integrate CWS jl144


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [8c03ec660f309e64410840aa4565877fa1ad0fd9]

CWS-TOOLING: integrate CWS obo43


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [803885ded56cf30daacd4c639b960b99d32b80f6]

CWS-TOOLING: integrate CWS pythonssldedux


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [9d4e288bbb5c176010c5a578b84b48fabcbaa769]

CWS-TOOLING: integrate CWS fontooocleanup


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [75ac95968a87dde58b4dfc45dd9813f1bcb3378f]

CWS-TOOLING: integrate CWS sb116


2010-01-05  Thomas Lange  <tl@openoffice.org>  [d0b78055e54d96741385bfbe07fcd76fa0ae1518]

#96422# duplicate entry in supported language list


2010-01-04  obo  <obo@openoffice.org>  [0ccd71517b4d27bebb2e31ed5ef51b826cfb605b]

#i107269# build breaks for unxmacxi + seperate SDK directory


2010-01-04  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [cd636a584fe5cfdf7cab0da96f28eba717923fbe]

Update from master repository (to m68).


2009-12-21  Caolán McNamara  <cmc@openoffice.org>  [0fcf8e71e4cec1e44c43ec94d0e05a088bb6a581]

xmlsec1_2_14: #i107747#: solaris problems


2009-12-18  Caolán McNamara  <cmc@openoffice.org>  [ed6ec483e6e8bb896ea4af13f98252a8298d4467]

xmlsec1_2_14: #i107747#: solaris problems


2009-12-17  Caolán McNamara  <cmc@openoffice.org>  [be955129e5693107cac677ae22694969b7889dba]

xmlsec1_2_14: #i107747#: track upstream bug id for this patch


2009-12-17  Caolán McNamara  <cmc@openoffice.org>  [d265d2ab360aca99a85b1b1e161c2e50a9a0b509]

xmlsec1_2_14: #i107747#: fix missing casts on sun studio


2009-12-17  Caolán McNamara  <cmc@openoffice.org>  [d30d1cd365d2ad7ee839b163c4c3ca38242f90e9]

pythonssldedux: #i106542# build python md5 module for md5 email support


2009-12-17  Caolán McNamara  <cmc@openoffice.org>  [e8e8f70702ce4887ac440fd56f5e4b65a467203c]

xmlsec1_2_14: #i107747#: upgrade to latest xmlsec1, libxml2 and libxslt


2009-12-17  Vladimir Glazunov  <vg@openoffice.org>  [e0fcfdae40c7147700d507c6277ac91a082422dd]

#i100000# add GetVersionInfo to exports


2009-12-17  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [42b68c58d6ff66c491f2ec934050dcbcf9800a2d]

writerfilter07: merged DEV300_m67


2009-12-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [37911ed9786b9c498a15c6bc1544b0782a4aa8fc]

tl74: merge with DEV300 m60


2009-12-16  Release Engineering  <releng@openoffice.org>  [8c731c5579a40326876ef33f71cfe3823bff4aff]

#i10000# fix for building in SO environment only


2009-12-15  Release Engineering  <releng@openoffice.org>  [f228dcfad84338e5606648b2f004fda9e489bdb8]

#i10000# remove obsolete dtoa.patch


2009-12-15  Release Engineering  <releng@openoffice.org>  [c45488eac3ed7ee6eb2dd63391b05bd946e1f6c8]

#i10000# updated fix


2009-12-15  Release Engineering  <releng@openoffice.org>  [c200cfe26e933a864a64977e0527948aaedf0028]

#i10000# obo:build breaks for windows amd64


2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [dec731bfb85f64574661bff80472723dc2997569]

#i10000# fix for link error on windows


2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [f21f512cd52ebc67615bc94e1bfb0929ca3c6051]

CWS-TOOLING: integrate CWS jl143_DEV300


2009-12-11  Vladimir Glazunov  <vg@openoffice.org>  [c808ac458f9050d4792bb03a7a13a4dcebf7dd68]

CWS-TOOLING: integrate CWS expat201_DEV300


2009-12-10  Vladimir Glazunov  <vg@openoffice.org>  [db8ab0d2f51fece5f8b99a1096a838254d2f177f]

CWS-TOOLING: integrate CWS cmcfixes67


2009-12-10  Kai Sommerfeld  <kso@openoffice.org>  [1aaf659bec00429158d3ca547f1392cd92961c61]

resync with DEV300_m67


2009-12-10  Kai Sommerfeld  <kso@openoffice.org>  [4cb61ce9c59324a03248f623f1de5de160c35d79]

merged with DEV300_m67


2009-12-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [b98b362a4200d6eef817a7b5229fd8b986ef86df]

Update from master repository (to m67).


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [dab7a44a103d2ef377eee11bc42cb2ee0fc5ee3e]

CWS-TOOLING: integrate CWS killnonpro


2009-12-08  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [deb8062feee160f676dee223bc428e10c6c58006]

writerfilter07: merged DEV300_m66


2009-12-07  Joachim Lingner  <jl@openoffice.org>  [cb2aebba4d7d53000da2836c2cb081a18415162e]

jl144: #i106132# lib files on Windows were not delivered


2009-12-07  sb  <sb@openoffice.org>  [eac4aff4103709c311228ffaec677d7e932f755f]

merged in DEV300_m66


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [702fbfb9ccb056589e07995416572339dfd466cf]

merge to m67


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [3084c3cdf0f4b97a8a64880246ca79040c789fd3]

CWS-TOOLING: integrate CWS icuooo32_DEV300


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [8c083e0d583201dcb5dc471f7c32183f74755e4d]

CWS-TOOLING: integrate CWS dba32j_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [ad4e7d55bf9cb4dce964835d165041411d872cf3]

CWS-TOOLING: integrate CWS fwk125_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [ff6337892e83dec5193be180e4c590c998c90e03]

update to current version


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [7ec76cada26f92ef5d97e576700752782dc1270c]

CWS-TOOLING: integrate CWS tkr28_DEV300


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [e6ba37ec97116cdfec9e3b56bccc7f92e49bf9b8]

CWS-TOOLING: integrate CWS tl75_DEV300


2009-12-02  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [1492fe31370aed78d3761a072c248da0d0250e17]

merge to m66


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [31c04d670394a937381281eb55251912cefbf8c3]

CWS-TOOLING: integrate CWS tkr27_DEV300


2009-12-01  Mathias Bauer  <mba@openoffice.org>  [b57ec5473162be1a3955c88e276a66997b5bc99b]

another missing stlport dependency


2009-12-01  Oliver Bolte  <obo@openoffice.org>  [e7a2fc60a60a53722bf2520c689c345c39dbaa82]

CWS-TOOLING: integrate CWS dba32j 2009-11-26 09:30:10 +0100 msc  r277648 : #100000 fix urgent testscript error 2009-11-25 10:27:56 +0100 msc  r277625 : #i100000 fix urgent testscript error 2009-11-17 22:16:46 +0100 fs  r277544 : CWS-TOOLING: rebase CWS dba32j to branches/OOO320@277531 (milestone: OOO320:m5) 2009-11-17 14:26:47 +0100 fs  r277535 : ooops, didn't mean to commit this uncommented line 2009-11-14 20:50:29 +0100 fs  r277505 : add a --disable-pango switch to SM's configure options, and add a patch which makes certain code respect it (well, respect it better than currently, by not using some pango_x_* functions, which are not always available, even when pango itself is present) 2009-11-14 20:47:41 +0100 fs  r277504 : spelling 2009-11-13 14:04:00 +0100 fs  r277502 : #i100764# (commit approved by ab@openoffice.org): getModelFromBasic: do not start with the parent's parent when looking for ThisComponent, but walk up the anchestor chain, starting with the immediate parent 2009-11-13 11:04:15 +0100 fs  r277496 : #i100764# better heuristics for determining whether or not to participate in the ThisComponent game 2009-11-13 11:02:30 +0100 fs  r277495 : #i100764# set the WB_EXT_DOCUMENT style at the backing component's container window, when creating it without the TaskCreator (which would normally do this) 2009-11-11 13:49:11 +0100 fs  r277452 : #i106816# 2009-11-11 13:48:53 +0100 fs  r277451 : fix the CREATETARBAL target, which is expected to create the zips used as prebuilts. The *inc.zip missed the NSS files in case NSS was built externally 2009-11-11 12:15:34 +0100 fs  r277449 : update ignore list 2009-11-11 12:09:23 +0100 fs  r277448 : add a link to the Mozilla build tools download location 2009-11-11 12:07:16 +0100 fs  r277447 : add a link to the Mozilla build tools download location 2009-11-06 16:23:12 +0100 fs  r277393 : #i106643# 2009-11-03 23:20:29 +0100 fs  r277328 : #i106574# reverted the recent fix for issue #i105235#, and implemented a better one. 2009-11-02 12:59:48 +0100 fs  r277294 : #i106550# errorOccured: also display the error when we're not in a nested form action - form actions are allowed to be triggered by other instances as well


2009-11-30  Joachim Lingner  <jl@openoffice.org>  [9507ff4a3a481eeee14e0a88b41340ae0eeed623]

jl144: #i105977# nss breaks on 64 bit FreeBSD


2009-11-30  Joachim Lingner  <jl@openoffice.org>  [b2a4fa39b075042461cf3d7b501aaf11d802b4e8]

jl144: #i106132# nss does not build on MacOS 10.6 because of libsqlite3


2009-11-27  Rene Engelhard  <rene@openoffice.org>  [1c683a51e2d3503a2d2c7fb9ef5a06c314747e1f]

fontooocleanup: remove obsolete makefile stanza


2009-11-27  Kai Sommerfeld  <kso@openoffice.org>  [1180c99a42a12e7de78dd1502076e0f0710b8ee7]

#i107150# - new: Ability to handle compressed (gzip) responses.


2009-11-27  Tobias Krause  <tkr@openoffice.org>  [a271f6d5bd1b28b45615bb5c5c4755c6e3733371]

tkr32: #i105917# seperate windows patch file


2009-11-26  Rene Engelhard  <rene@openoffice.org>  [50737157cdaf981de83c0113c581b43d0f259a4d]

remove last remains of FontOOo. long obsolete and msfontextract was removed by mh, too


2009-11-25  Tobias Krause  <tkr@openoffice.org>  [a5390a7b666d573a9a477a6d0afa32c5025a86d0]

tkr32: heads merged


2009-11-25  Tobias Krause  <tkr@openoffice.org>  [321697c2a653226223586db927dfe8f04fa54ffa]

tkr32: #i105006# applied patch


2009-11-25  Tobias Krause  <tkr@openoffice.org>  [c6c84ba0d96e5a1265a4b4d287cfe9f4e94ab57d]

tkr32: #i105917# updated curl to 7.19.7


2009-11-25  Joachim Lingner  <jl@openoffice.org>  [c23b3a963e311b042754c743de8c80ce4d12628c]

#b6900566# updated NSS


2009-11-25  Joachim Lingner  <jl@openoffice.org>  [249d73f05e7858c7330da239e4b257dfaf6fe8d6]

#b6900566# updated NSS


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [b9a53e0ad036096c4a7d452709305b468ddb0ea2]

CWS-TOOLING: integrate CWS jl139_DEV300


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [32fadcdba8fdc6d4357406943b66d04b7464775a]

CWS-TOOLING: integrate CWS cmcfixes64


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [7d4981907b3c9a74ee8c214be3f7dcd7aba9ea74]

merge commit for m65


2009-11-23  Ivo Hinkelmann  <ihi@openoffice.org>  [d688a5faa11d599167735caf363c046503d6d802]

CWS-TOOLING: integrate CWS fwk125 2009-11-19 08:11:20 +0100 jsk  r277554 : fwk125: #i105760# - removed warnlog, re-enabled autotest e_help.bas 2009-11-16 16:21:49 +0100 tl  r277521 : #i106571# fixed locale list for dictionaries to get rid of duplicate entries 2009-11-12 08:47:31 +0100 hde  r277469 : rework of hyphenation 2009-11-11 15:25:16 +0100 hde  r277462 : rework of hyphenation 2009-11-11 15:24:09 +0100 hde  r277461 : rework of hyphenation 2009-11-11 13:52:02 +0100 hde  r277453 : new include for hyphenation tools 2009-11-10 12:28:51 +0100 tl  r277427 : #i102304# fix for hyphenation dialog 2009-11-10 12:00:10 +0100 mav  r277425 : #i10000# A workaround for pch and windows headers conflict 2009-11-10 11:58:32 +0100 mav  r277424 : #i10000# A workaround for pch and windows headers conflict 2009-11-09 15:47:59 +0100 kso  r277414 : #i16732# fixed url matching. 2009-11-09 11:51:40 +0100 mav  r277406 : #i10000# use precompiled headers 2009-11-08 23:53:03 +0100 mav  r277399 : #i10000# fix warning 2009-11-08 23:50:23 +0100 mav  r277398 : #i10000# adapt for unix 2009-11-08 23:49:52 +0100 mav  r277397 : #i10000# adapt for unix 2009-11-08 21:26:06 +0100 mav  r277396 : CWS-TOOLING: rebase CWS fwk125 to branches/OOO320@277373 (milestone: OOO320:m4) 2009-11-06 16:30:27 +0100 ab  r277394 : #i106100# Hold references to packages to speed up further calls to getDeployedPackages() 2009-11-06 15:58:48 +0100 mav  r277392 : #i102464# check the Windows ACL 2009-11-06 15:58:23 +0100 mav  r277391 : #i102464# check the Windows ACL 2009-11-04 11:54:06 +0100 tl  r277342 : #i106497# incorrectly found 'supported languages' fixed 2009-11-04 10:40:51 +0100 tl  r277335 : #i106571# dictionary updates for Polish and Swedish. 2009-10-28 09:54:41 +0100 tl  r277236 : #i106100# context menu performance 2009-10-27 15:47:05 +0100 tl  r277213 : #i106100# context menu performance 2009-10-23 17:31:56 +0200 mav  r277170 : #i106075# use correct path to inprocserv.dll 2009-10-23 16:07:27 +0200 mav  r277168 : #i105760# seek the temporary file to beginning also for URL case 2009-10-23 11:03:58 +0200 mav  r277134 : CWS-TOOLING: rebase CWS fwk125 to branches/OOO320@276942 (milestone: OOO320:m2)


2009-11-20  Caolán McNamara  <cmc@openoffice.org>  [5fd1666fd950bc5bce22721ed14a4eb6285fa888]

cmcfixes67: #i105566#: better upstream-used fix to avoid the libfreebl3.so + libcrypt problem on Fedora


2009-11-19  Kai Sommerfeld  <kso@openoffice.org>  [960ca7503165bf0d2af9f210addeea11c484bc9d]

#106830# - NTLM: do not call auth callback, if session timed out.


2009-11-17  Jens-Heiner Rechtien  <hr@openoffice.org>  [fb865b8ded24af267339f0d2c3d8a30109cd2165]

cmcfixes64: merge with DEV300 m63


2009-11-17  Eike Rathke  <er@openoffice.org>  [fb636a576ac071564890cb6e90fb19fd3636e3bd]

#i106904# upgrade to ICU 4.0.1


2009-11-16  Caolán McNamara  <cmc@openoffice.org>  [82bbf2c137ae7dbea125fc0a0d244bc11eac366c]

#i106889# tweak api defs under windows


2009-11-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [95f589433d8789f872cbaf1a30c3f1f6d8661393]

merge with DEV300_m64


2009-11-13  Caolán McNamara  <cmc@openoffice.org>  [9da531ac806527bd5ce98cbf4286f32e23dad4bb]

#i106889# upgrade expat to 2.0.1


2009-11-13  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [565f82d93b6c0ca24d41a39d31adca039664a811]

writerfilter07: merged DEV300_m64


2009-11-13  sb  <sb@openoffice.org>  [02904a9fb8dfbbd3de76a80be39422e07fc15433]

sb116: #i106845# removed obsolete IRIX port


2009-11-12  Kai Sommerfeld  <kso@openoffice.org>  [cc1d9fc915a5a23d0f5718d179b28052b2b7056f]

Rebased to DEV300 m64.


2009-11-12  Kai Sommerfeld  <kso@openoffice.org>  [74267fb6cc4136456c3fadef9601c02f0b55ff3d]

#i106830# WebDAV locking support for UCB


2009-11-11  sb  <sb@openoffice.org>  [4bf3fe83ee65d19d4347d34eba7ed65149c95ada]

sb116: merged in DEV300_m64


2009-11-10  Matthias Huetsch  <matthias.huetsch@sun.com>  [c959264f2323a429f22f28199a250a8caf392454]

Update from master repository to m64.


2009-11-09  Caolán McNamara  <cmc@openoffice.org>  [5cc9a8a225664068ff44596b24b3051236c593f6]

pythonssldedux: #i106542# build python ssl module for ssl email support


2009-11-05  Vladimir Glazunov  <vg@openoffice.org>  [f44d99c26eb71f74b2238db21fc0c3e7fbd23411]

#i106177# fix encoding


2009-11-04  Oliver Bolte  <obo@openoffice.org>  [09bbb3a4b1f39530f3e99e5063a1f3d1b8a9e4d3]

CWS-TOOLING: integrate CWS tkr27 2009-10-28 06:49:21 +0100 tkr  r277234 : #105418# rebase issue SYSSHELLLIB doesn't exist anymore 2009-10-27 12:25:20 +0100 tkr  r277198 : #105418# rebase issue SYSSHELLLIB doesn't exist anymore 2009-10-26 08:06:52 +0100 tkr  r277172 : #105418# rename -lineon to -lneon for mingw port 2009-10-22 14:58:56 +0200 tkr  r277125 : #i105418# rename neon lib name 2009-10-22 14:56:48 +0200 tkr  r277123 : #i105418# rename neon lib name 2009-10-14 13:33:53 +0200 tkr  r276894 : #i105891# windows ifilter relocated 2009-10-12 12:12:43 +0200 tkr  r276826 : CWS-TOOLING: rebase CWS tkr27 to branches/OOO320@276773 (milestone: OOO320:m1) 2009-10-08 12:50:50 +0200 tkr  r276787 : #i105418# introduced new defines for special_lib_file 2009-10-08 12:48:08 +0200 tkr  r276786 : #i105418# build neon as shared library 2009-10-08 12:13:35 +0200 tkr  r276782 : #i105418# build neon as shared library 2009-09-29 12:46:16 +0200 tkr  r276523 : #i105418# build neon as shared library 2009-09-29 12:36:15 +0200 tkr  r276522 : #i105418# build neon as shared library 2009-09-29 12:17:21 +0200 tkr  r276519 : #i105418# build neon as shared library 2009-09-29 11:11:33 +0200 tkr  r276512 : #i105418# build neon as shared library 2009-09-29 10:39:19 +0200 tkr  r276509 : #i105418# build neon as shared library 2009-09-29 10:36:45 +0200 tkr  r276508 : #i105418# build neon as shared library


2009-11-01  Mathias Bauer  <mba@openoffice.org>  [5dcd6e475fefe11d39e41ea69aa781e489e47a5e]

merge commit for DEV300_m63


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [4944442e5fbf3f8d1c89bf00a7fbb96c36f4eb11]

merged last changes


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [b2399eb0b573cbea9daca43a5425a365f26bcea3]

merged DEV300_m62


2009-10-27  Release Engineers  <releng@openoffice.org>  [0bb3f2b6572ca504f1fe1a9348e4fddaa2c21a6b]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [3404d93fb8d06f255be39914b4bcbf1a705049c8]

merge commit for m62


2009-10-23  Oliver Bolte  <obo@openoffice.org>  [4d14a49c063c0668feb102b6225dfc75e0b962ff]

#i105892# Windows 64 Bit support SLO->SLO_X64


2009-10-22  Joachim Lingner  <jl@openoffice.org>  [77253add439278847859e8b547a3649197e31823]

#i105926# only use system libz.so when SYSTEM_ZLIB=YES


2009-10-21  Vladimir Glazounov  <vg@openoffice.org>  [7b1719fc5c6e977e0153383c056f28ae900502ae]

CWS-TOOLING: integrate CWS buildverbosity 2009-10-13 15:51:48 +0200 fs  r276867 : allow building with 'nodep'=='' 2009-10-11 22:39:56 +0200 fs  r276820 : silence a compiler warning in a file only used when VERBOSE!="" 2009-10-09 14:37:43 +0200 fs  r276807 : let not override the non-presence of $VERBOSE the given command line arguments 2009-10-09 14:36:25 +0200 fs  r276806 : also deliver spirit/home/classic/debug/impl 2009-10-08 13:38:07 +0200 fs  r276789 : not that many line feeds in --show mode 2009-10-08 13:13:01 +0200 fs  r276788 : minor adjustments requested by hjs: - replaced space/tab mixes at beginning of lines with mere tab - made "nothing to update" message for the ZIPALLTARGET target more prominent - removed useless "echo > /dev/nul" statements 2009-10-07 13:32:12 +0200 fs  r276753 : #i105585# 2009-10-07 11:31:59 +0200 fs  r276742 : #i10000# missing dependency between stoc/security and stoc/util 2009-10-06 22:59:59 +0200 fs  r276729 : CWS-TOOLING: rebase CWS buildverbosity to trunk@276699 (milestone: DEV300:m61) 2009-09-29 12:04:58 +0200 fs  r276518 : #i10000# 2009-09-29 12:04:25 +0200 fs  r276517 : oops 2009-09-29 12:01:07 +0200 fs  r276516 : #i84497# removed some more (non-diagnostic) 'echo ------' directives 2009-09-29 11:59:29 +0200 fs  r276515 : #i84497# removed some more (non-diagnostic) 'echo ------' directives 2009-09-29 11:52:32 +0200 fs  r276514 : #i84497# removed the various 'echo ------------' directives from verbose mode, as per hjs' request 2009-09-29 11:44:16 +0200 fs  r276513 : do not duplicate IDLC call commands with different verbosity switches 2009-09-28 21:43:50 +0200 thb  r276502 : #i84497# fixed potential recursive macro def + extra ls  * solenv/inc/settings.mk: now setting via VERBOSE!:=, removes warning    and my spurious "recursive macro definition" error  * solenv/inc/tg_app.mk: one extra ls silenced for app target (and    quiet mode, that goes without saying) 2009-09-23 08:57:01 +0200 fs  r276366 : use ULFEX_VERBOSITY instead of duplicating the ULFEX call 2009-09-21 11:42:26 +0200 fs  r276320 : ignore output paths 2009-09-21 11:04:27 +0200 fs  r276318 : silence another compiler warning, which only hits us when actually using this (debug) file, which is the case only when slideshow is compiled with a env variable VERBOSE, thus came up in CWS buildverbosity 2009-09-21 10:30:14 +0200 fs  r276313 : make some output depend on VERBOSE==TRUE, not COMMAND_ECHO="" While both are equivalent at the moment, COMMAND_ECHO finally is an implementation default of the VERBOSE flag only, so better rely on VERBOSE as the primary verbosity flag 2009-09-21 09:56:57 +0200 fs  r276311 : forgot to re-generate from tg_zip before committing 2009-09-21 09:52:11 +0200 fs  r276310 : #i84497# even less verbosity 2009-09-17 11:02:47 +0200 fs  r276232 : #i84497# verbose implies VERBOSE nowadays, and VERBOSE==FALSE should not lead to -DVERBOSE 2009-09-15 22:59:37 +0200 fs  r276189 : #i105022# copy fix for this P1 into this CWS 2009-09-15 11:56:35 +0200 fs  r276165 : CWS-TOOLING: rebase CWS buildverbosity to trunk@276043 (milestone: DEV300:m58) 2009-09-14 17:45:10 +0200 fs  r276137 : #i84497# don't duplicate zip lines w/ and w/o -q switch, use a variable instead (maintenance) 2009-09-14 15:01:33 +0200 fs  r276124 : #i10000# 2009-09-11 23:58:46 +0200 thb  r276083 : #i84497#: More quiet-build fine tuning  - silenced rsc for real (properly filtering options for    cpp, and a pretty brutal amputation of the tool blurp,    which would have needed cmd opt parser duplication)  - silenced deliver.pl  - silenced checkdll.sh  - silenced zip via -q (in quiet mode)  - silenced various idl, resource, transex whatever tool,    passing appropriate options down to them '-QQ' sometimes  - silenced dmake, pointless blurb that something does *not*    need update removed  - silenced the old starview idl compiler, to not output    tool's name & progress chars in quiet mode 2009-09-11 21:13:59 +0200 thb  r276081 : #i84497#: More bits on the quiet mode of the build. The bulk of the changes is disabling those annoying "echo ------------------" lines for the quiet build, which has the stretch goal of outputting *exactly* one line per file compiled/linked/processed. Apart from that, silenced a few especialy annoying module-specific makefiles (basically adding $(COMMAND_ECHO) in front of a gazillion rules). Additionally, slightly tweaked what idlc regards verbose, normal, and quiet mode; this was to have it echo exactly one line per idl file processed (the fact that quiet mode did not echo *anything* for idl files was a bit too much for my taste) 2009-09-04 09:14:35 +0200 fs  r275777 : don't emit the link parameters if VERBOSE!=TRUE 2009-09-02 10:31:15 +0200 fs  r275700 : #i10000# 2009-09-02 08:44:14 +0200 fs  r275697 : update svn:ignore to ignore the output paths 2009-09-02 08:40:54 +0200 fs  r275695 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:40:28 +0200 fs  r275694 : GRAPHITE is missing in the BUILD_TYPE 2009-09-02 08:40:05 +0200 fs  r275693 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:39:25 +0200 fs  r275692 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:39:02 +0200 fs  r275691 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:38:09 +0200 fs  r275690 : #i84497# less verbose output during build 2009-09-02 08:37:06 +0200 fs  r275689 : #i84497# don't emit that much noise, unless a '-verbose' switch is given


2009-10-20  Caolán McNamara  <cmc@openoffice.org>  [2c7e3a01e6b1d5d0bd5ae38828fc824002ee35e3]

CWS-TOOLING: rebase CWS cmcfixes64 to trunk@277035 (milestone: DEV300:m62)


2009-10-20  Release Engineers  <releng@openoffice.org>  [fe47fa2bc4436dc146b47037e860c23330b97afa]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-19  Thomas Lange  <tl@openoffice.org>  [855231c08145d77b690e488d8ef43bcaa55235a1]

#i92190# dictionary update


2009-10-19  Thomas Lange  <tl@openoffice.org>  [6171fccade5a524e7aac0a83bec40d481f4658b1]

#92190# dictionray update


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [7944d9c182e21b14b9a888174e1ab85088a61dda]

CWS-TOOLING: integrate CWS mhremove01 2009-09-30 18:40:27 +0200 mh  r276572 : del: superflous file 2009-09-30 18:37:25 +0200 mh  r276571 : #i104152# remove test and result files, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=331534 2009-09-30 18:20:02 +0200 mh  r276570 : #i105483# remove msfontextract 2009-09-30 18:19:33 +0200 mh  r276569 : #i105483# remove msfontextract 2009-09-30 18:10:09 +0200 mh  r276568 : #i105483# remove msfontextract


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [e17da3387793ab574086059850069f7468457f0b]

CWS-TOOLING: integrate CWS sw32bf05 2009-10-08 12:41:26 +0200 tl  r276785 : #ii102766# updated de_* hyphenation patterns 2009-10-08 11:09:24 +0200 tl  r276775 : #i105715# update for hu_HU dictionary 2009-10-06 09:25:53 +0200 tl  r276694 : #i105565# fix for dictionary.xcu in dict-de.oxt 2009-10-05 12:29:46 +0200 mst  r276675 : #i105453#: hintids.hxx: change order of RES_TXTATR_WITHEND hints 2009-10-05 12:28:49 +0200 mst  r276674 : unochart.cxx: fix warning on unxlngi6 debug=t 2009-10-05 11:46:18 +0200 tl  r276672 : #i105490# Hebrew dictionary added 2009-10-05 11:39:41 +0200 tl  r276670 : #i105490# Hebrew dictionary added 2009-10-05 11:33:56 +0200 tl  r276669 : #i105490# Hebrew dictionary added 2009-10-05 11:21:02 +0200 tl  r276667 : #i105490# Hebrew dictionary added 2009-10-05 11:17:37 +0200 tl  r276666 : #i105565# de_* dictionay updates 2009-10-03 09:54:58 +0200 tl  r276654 : #i105565# de_* dictionay updates 2009-10-03 08:52:38 +0200 tl  r276653 : #i105564# pt_BR dictionaries updated 2009-10-03 08:46:42 +0200 tl  r276652 : #i105510#, #i105278# outdated dictionary.lst removed 2009-10-02 14:17:03 +0200 tl  r276644 : #i105510#, #i105278# fr_FR and da_DK dictionary updates 2009-10-01 10:05:28 +0200 od  r276577 : #i105447# method <lcl_GetUndoIdAndName(..)>           - assure correct access to undo stack objects


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [6aa08b68ceac43c5a392f19e6f41fb67b3995b43]

CWS-TOOLING: integrate CWS jl135_nss 2009-10-01 15:20:03 +0200 jl  r276605 : #1004856# moved to xmlsec1-mingw32.patch 2009-10-01 10:51:24 +0200 jl  r276580 : #1004856# build keymgr with mingw 2009-10-01 10:50:52 +0200 jl  r276579 : #1004856# build keymgr with mingw 2009-10-01 10:37:28 +0200 jl  r276578 : #1004856# do not build xmlsec1 app 2009-09-29 16:01:31 +0200 jl  r276532 : #1004856# Using libxml2 from solver if available 2009-09-26 16:31:32 +0200 jl  r276477 : #i104856# xmlsec1-mscrypto-1 is now xmlsec1-mscrypto 2009-09-25 17:05:26 +0200 jl  r276470 : CWS-TOOLING: rebase CWS jl135_nss to trunk@276429 (milestone: DEV300:m60) 2009-09-24 12:57:10 +0200 jl  r276419 : #i104856# libxmlsec update 2009-09-24 12:46:58 +0200 jl  r276418 : #i104856# fixing mac configure problem in configure.in and regenerating configure 2009-09-23 16:49:54 +0200 jl  r276405 : i#104856# configure failed on mac 2009-09-23 10:21:35 +0200 jl  r276369 : #i104856# adapting patches to apply cleanly and readme change 2009-09-21 13:45:47 +0200 jl  r276326 : #i104856 updating to 1.2.12, using changes patches from cmc made on xmlsec1_2_12 2009-09-21 11:27:46 +0200 jl  r276319 : #i105183# forget to uncomment PATCH_FILES 2009-09-18 17:41:20 +0200 jl  r276296 : #i105183# update of nss libs


2009-10-14  Caolán McNamara  <cmc@openoffice.org>  [8b1d2f54cb60a16c353320514f4b8c9cf4bc0279]

#i105900# fix vanilla ppc64 build


2009-10-14  Caolán McNamara  <cmc@openoffice.org>  [d0b461cdf4c46834765c56e0aa9ce9f9cbbd4f3f]

#i105899# get ia64 to build


2009-10-09  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [2df0ee68224bbd6525b009e61826ec4591342f1b]

merge with m61


2009-10-08  hg  <hg@oosvn01.>  [2b186c421247b771d2b2515a29e46c942101bb53]

merge with m55


2009-10-08  hg  <hg@oosvn01.>  [7e65e3043c4177b778b358a3c223812c335d3610]

merge with m53


2009-10-08  hg  <hg@oosvn01.>  [3d8b48063c990145e10866469456f31c7f02708a]

merge with m50


2009-10-06  Release Engineers  <releng@openoffice.org>  [1eb80b4eda5adb02edefa120529f0012e76f724e]

Create DEV300_m61 milestone tag from trunk@276697


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [4a2304a3a2ce711ebb05fcedcbab837398dfca5c]

merge commit


2009-09-24  Release Engineers  <releng@openoffice.org>  [fa30f917438b9462ece5f9e9eccaa80e02a2ea22]

Create DEV300_m60 milestone tag from trunk@276428


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [19f172a2425c436025afa03834f531c9ac218f61]

CWS-TOOLING: integrate CWS mingwport24 2009-09-13 02:15:22 +0200 tono  r276097 : i#105033: mingw port: accept incomplete deflib 2009-09-12 15:14:34 +0200 tono  r276096 : i#105012: mingw port: $(PATH) should be quoted 2009-09-12 15:12:49 +0200 tono  r276095 : i#105011: mingw port: berkeleydb fix 2009-09-12 15:11:39 +0200 tono  r276094 : i#105010: mingw port: decline libdl 2009-09-12 15:10:21 +0200 tono  r276093 : i#105009: mingw port: sal/osl/w32/file_dirvol.cxx needs ctype.h 2009-09-12 15:08:27 +0200 tono  r276092 : reverting changes to revise log messages 2009-09-12 11:55:48 +0200 tono  r276090 : i#105014: mingw port: change to latest w32api and mingw runtime 2009-09-12 11:52:12 +0200 tono  r276089 : i#105013: mingw port: fix gas error in call.s in bridges 2009-09-12 11:42:04 +0200 tono  r276088 : mingw port:  should be quoted 2009-09-12 11:35:35 +0200 tono  r276087 : mingw port: berkeleydb fix 2009-09-12 11:32:34 +0200 tono  r276086 : mingw port: decline libdl 2009-09-12 11:20:50 +0200 tono  r276085 : mingw port: sal/osl/w32/file_dirvol.cxx needs ctype.h


2009-09-18  Jens-Heiner Rechtien  <hr@openoffice.org>  [ded7825f3b759e8768159b0502a51bcb12f279e5]

CWS-TOOLING: integrate CWS mba32issues02 2009-09-17 mb93783 merge commit 2009-09-03 tb121644 #i104748 - slot unification to .uno:PasteSpecial 2009-09-01 mba #101455#: code simplification 2009-08-31 mb93783 iso locales for norwegian builds are nb and nn, not no 2009-08-25 mba merge to m55 2009-07-29 mba cleanup after rebase 2009-07-29 mba #i103200#: wrong order of first and last name in CJK UI 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba apply patch from broken svn CWS


2009-09-17  Jens-Heiner Rechtien  <hr@openoffice.org>  [891e46727bb76bbb9da1b5d2113520d6a88ce297]

CWS-TOOLING: integrate CWS vcl105 2009-09-07 Philipp Lohmann fix path issues 2009-09-07 hdu #i104525# Aqua: workaround OSX problem in RecentlyUsed list 2009-09-07 Philipp Lohmann add missing dollar sign 2009-09-07 Philipp Lohmann remove warnings 2009-09-07 hdu #i104011# need to use real-vals in cff-subsetter for some fonts 2009-09-05 Philipp Lohmann #i103674# less noise 2009-09-05 Philipp Lohmann #i103674# add garmin communicator to list of crashing plugins 2009-09-05 Philipp Lohmann #i103674# confiuration option to disable plugin support 2009-09-05 Philipp Lohmann merge #i102735# 2009-09-05 Philipp Lohmann #i88802# enable transparency resolution for PDF/A 2009-09-04 Philipp Lohmann rebase to DEV300m57 2009-09-03 Philipp Lohmann #i90083# fix a typo 2009-09-03 Philipp Lohmann merge 2009-09-03 Philipp Lohmann #i90083# workaround for application frame switching 2009-09-03 hdu #i104720# better description for --without-fonts configure option 2009-09-02 hdu #i104723# update third-party fonts 2009-09-02 hdu #i104723# update default-installed Liberation fonts from 1.04->1.05.1.20090721 2009-09-02 hdu #i104720# update default-installed DejaVu fonts from 2.21->2.30 2009-09-02 hdu #i89682# add Gentium fonts to default installation 2009-09-02 hdu #i89682# add Gentium fonts to default installation 2009-09-01 hdu #i104011# fix vertical offset in PDF-export of USP-layouted text 2009-08-27 Philipp Lohmann #i102033# ignore transients 2009-08-27 Philipp Lohmann merge 2009-08-27 Philipp Lohmann fix warning, remove crappy early exits 2009-08-26 Philipp Lohmann #i63494# user event time for generic plugin always regotten to work around metacity 2009-08-26 Philipp Lohmann merge 2009-08-26 Philipp Lohmann #i104526# fix string conversion 2009-08-25 Philipp Lohmann #b6855541# show newly added driver, repair remove driver 2009-08-25 Philipp Lohmann #i104469# maximizing issue (thanks haggai)


2009-09-17  Jens-Heiner Rechtien  <hr@openoffice.org>  [95c3ef950fc1cfb533b4fefd6da2297881582e27]

CWS-TOOLING: integrate CWS kso32fixes2 2009-09-14 kso #i104767# - 64 bit build breaker 2009-09-14 kso #i14767# - compiler warning 2009-09-08 kso i104767# - Removed obsolete header. 2009-09-08 kso i104767# - Removed obsolete header include. 2009-09-08 kso #i104767# - Fixed build breaker. 2009-09-07 kso #i104767# - merged in dev300 m57. 2009-09-07 kso #i104767# - support for system credentials usage 2009-09-07 kso #i104767# - support for system credentials usage 2009-09-07 kso #i104767# - support for system credentials usage 2009-09-07 kso #i104767# - support for system credentials usage 2009-09-07 kso #i104767# - support for system credentials usage 2009-09-07 Kai Sommerfeld #i104767# - support for system credentials usage 2009-09-07 Kai Sommerfeld #i104767# - support for system credentials usage 2009-09-07 ks93798 #i104767# - adaptions for NTLM SSO


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [a8961b6432e3056525e642e4ec13a17b31dbb562]

CWS-TOOLING: integrate CWS boost134 2009-09-09 10:30:24 +0200 fs  r275970 : #i100127# provided by rene: check whether system-boost's function.hpp compiles without exception support 2009-09-04 21:58:00 +0200 fs  r275832 : indention 2009-09-04 21:57:10 +0200 fs  r275831 : #i10000# type in boost/spirit check. Thanks to thb 2009-09-04 10:58:54 +0200 fs  r275787 : #i100127# provided by tono@openoffice.org: mingw needs using directives for std::min/max 2009-09-04 10:31:54 +0200 fs  r275782 : #i100127# (approved by hjs) on Solaris, set GNUTAR to /usr/sfw/bin/gtar, this is available on baseline machines (Solaris 10.x), but not necessarily available in LD_LIBRARY_PATH 2009-08-19 21:47:55 +0200 rene  r275161 : #i10000# check for the header actually used now 2009-08-17 21:55:31 +0200 fs  r275073 : CWS-TOOLING: rebase CWS boost134 to trunk@275001 (milestone: DEV300:m55) 2009-07-16 09:39:25 +0200 fs  r274031 : #i100127# extract download/% with GNUTAR instead of TAR 2009-07-14 09:18:15 +0200 fs  r273960 : CWS-TOOLING: rebase CWS boost134 to trunk@273858 (milestone: DEV300:m52) 2009-07-13 09:55:14 +0200 fs  r273919 : #i100127# use boost 1.39, not 1.34 2009-07-13 09:45:57 +0200 fs  r273918 : use GNUTAR when extracting download/%.tar.gz, not TAR (necessary with boost 1.39 tarball) 2009-07-10 21:10:52 +0200 fs  r273905 : #i100127# spirit now part of boost 2009-07-06 12:12:13 +0200 fs  r273732 : #i10000# lngconvex, used in src/wizards, is built in shell => added missing module dependency 2009-07-02 15:34:51 +0200 fs  r273660 : #i100127# 2009-07-02 13:35:24 +0200 fs  r273645 : #i100127# MSVC needs some hinting when using boost::bind on (some) member functions 2009-07-02 10:33:59 +0200 fs  r273625 : removed unused include (lead to an internal compiler error with MSVC and boost 1.34+) 2009-07-02 09:44:35 +0200 fs  r273619 : change some include orders, prevents 'internal compiler errors' with MSVC 2009-07-01 09:19:25 +0200 fs  r273547 : #i100127# who the heck is defining max as something unusable? 2009-07-01 09:17:28 +0200 fs  r273546 : #i100127# defining min/max is causing trouble now 2009-07-01 09:15:40 +0200 fs  r273545 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL, and disabling warning 4180 2009-07-01 09:14:23 +0200 fs  r273544 : #i100127# re-disable warning 4180, still needed for some files 2009-07-01 09:07:33 +0200 fs  r273543 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL 2009-06-24 11:00:32 +0200 fs  r273319 : oops, re-introduced some inc locations 2009-06-23 22:10:02 +0200 fs  r273304 : #i100127# disable warning C4180 2009-06-23 22:08:36 +0200 fs  r273303 : #i100127# disable warning C4180 2009-06-16 12:26:49 +0200 fs  r273015 : #i10000# (provided by mst@openoffice.org) 2009-06-15 09:10:27 +0200 fs  r272962 : #i10000# use -r instead of -a when copying the include files, this prevents the spurious 'failed to preserve ownership' errors 2009-06-11 23:55:06 +0200 fs  r272902 : #i100127# 2009-06-11 23:54:47 +0200 fs  r272901 : #i100127# 2009-06-11 23:54:05 +0200 fs  r272900 : make compile on unxsol[i|s]4 2009-06-10 10:12:22 +0200 fs  r272798 : #i100127# don't deliver from within unxlngi6/misc/build/boost, but from a 'normalized' location unxlngi6/inc 2009-06-10 09:48:00 +0200 fs  r272795 : #i100127# use 1.34.1 unconditionally on all platforms


2009-09-17  hb137859  <hb137859@x42-so34>  [2a3391e0f2c398620545212b95e91df9ec0f449f]

merged DEV300_m59


2009-09-16  Mathias Bauer  <mba@openoffice.org>  [afd380fd178f41e07edf992870bd4bae29ed934b]

#i103496#: dictionaries have own license files


2009-09-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [fa35a04bc5b68b31b213b9780e6de40ceed06f06]

CWS-TOOLING: integrate CWS cloph13 2009-09-01  #i104566# also use syslibroot/isysroot for external components 2009-08-28  #i104568# clean up duplicated definitions of OBJCXXFLAGS 2009-08-28  #i104567# add ccache-detection to configure (to skip to objcxx-flags) 2009-08-28  #i104566# use Mac OS X 10.4-SDK to ensure backwards compatibility use MACOSX_DEPLOYMENT_TARGET and sysroot/syslibroot switches ignore "-isysroot /Developer/..." arguments for OOo's cpp


2009-09-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [bcb00cb55e528f80dd8e14f457f9a80f20509244]

CWS-TOOLING: integrate CWS sb113 2009-09-01 sb #i76393# second attempt at properly #ifdef-ing previous HG commit d598efdbf012 2009-08-28 sb #i102469# change back <T extends XInterface> to just <T> on queryInterface, to avoid binary incompatibility (method changing its signature from (Ljava/lang/Class;Ljava/lang/Object;)Ljava/lang/Object; to (Ljava/lang/Class;Ljava/lang/Object;)Lcom/sun/star/uno/XInterface;) 2009-08-28 sb #i76393# properly #ifdef previous HG commit d598efdbf012 2009-08-27 sb #i94421# work around compiler error (based on a patch supplied by cloph) 2009-08-26 sb merged in DEV300_m56 2009-08-26 sb #i76393# on Linux, include dynamic section offset in crash report so as to be able to map "prelinked" callstacks back to original (patch by cmc) 2009-08-26 sb #i88162# remove unnecessary whitespace lines from per-locale xcu files (patch by tora) 2009-08-17 Juergen Schmidt #i104292# set context classloader after create new custom UNO loader 2009-08-17 Juergen Schmidt #i103749# integrate patch 2009-08-14 sb #i103269# cherry-picked ssh://hg@hg.services.openoffice.org/cws/sb111 -r 5124ebd5edd1 ("#i101955# changed encoding of XML file content from erroneous ISO-8859-1 to UTF-8") 2009-08-12 sb #i102469# fixed mis-applications of UnoRuntime.queryInterface (detected via the simplified UnoRuntime.queryInterface, the HG changeset 29de35fc9554) to use AnyConverter instead; changed qadevOOo's lib.MultiMethodTest.before to allow throwing arbitrary exceptions, to cater for IllegalArgumentException thrown by AnyConverter 2009-08-12 sb #i104178# drop extra libxml2-config script from libxmlsec 2009-08-10 sb #i101754# simplified osl_getProcessInfo for LINUX (patch by cmc) 2009-08-10 sb #i95018# avoid closing -1 fds (patch supplied by cmc) 2009-08-10 sb #i103585# removed (apparently unnecessary) zlib support from libxml2; in turn, removed zlib dependencies from libxmlsec, libxslt, and redland (assuming those were transitive dependencies brought in by direct dependencies on libxml2) 2009-08-10 sb #i102469# simplified UnoRuntime.queryInterface using Java 5 generics; adapted URE-related modules accordingly 2009-08-10 sb #i101213# adapted setsolar env (solenv/config/) to set PYTHONPATH (and not set PYTHONHOME) in accordance with configure env (set_soenv.in); fixed testtools/source/bridgetest/pyuno (which now should work everywhere out of the box, thanks to the fixed setsolar PYTHONPATH) 2009-08-10 sb cherry-picked ssh://hg@hg.services.openoffice.org/cws/sb111 -r ea8de6d9396b ("#i101955# work in progress for a .hgignore file, continued")


2009-09-16  Ivo Hinkelmann  <ihi@openoffice.org>  [72e923d398fcddeddea05fb967e9bd05dd0274e0]

CWS-TOOLING: integrate CWS l10nframework01


2009-09-16  Release Engineers  <releng@openoffice.org>  [1ce4127c8c260b0e961e92692d5f4f9790c76858]

Create DEV300_m59 milestone tag from trunk@276191


2009-09-15  Oliver Bolte  <obo@openoffice.org>  [567312d8916ff7d51ed9814a56e564d508709b82]

#i10000# make cairo buildable for Hamburg RE


2009-09-14  Kurt Zenker  <kz@openoffice.org>  [601043161fddd50bb58b1eefe8efe9cd771bd891]

CWS-TOOLING: integrate CWS dba32g 2009-09-09 07:53:55 +0200 oj  r275964 : replace strlen with rtl_str_getLength 2009-09-07 20:59:10 +0200 fs  r275913 : disable the CopyTableWizard test until issue 104869 is fixed 2009-09-07 12:17:31 +0200 oj  r275885 : #i104810# remove de as lang 2009-09-05 22:26:21 +0200 fs  r275857 : protect StateChanged against re-entrance 2009-09-05 22:25:52 +0200 fs  r275856 : don't attempt to classify the parent of a form as control 2009-09-05 22:25:29 +0200 fs  r275855 : protect against re-entrance 2009-09-05 00:11:40 +0200 fs  r275835 : #i10000# 2009-09-04 23:25:50 +0200 fs  r275834 : #i10000# 2009-09-04 23:23:47 +0200 fs  r275833 : #i10000# 2009-09-04 21:49:37 +0200 fs  r275830 : #i10000# correct wrong conflict resolution 2009-09-04 20:59:51 +0200 fs  r275829 : CWS-TOOLING: rebase CWS dba32g to trunk@275801 (milestone: DEV300:m57) 2009-09-04 11:08:32 +0200 oj  r275791 : #i104780# new version 1.2.0 2009-09-03 22:29:21 +0200 fs  r275775 : OSL_TRACE doesn't need \n anymore 2009-09-03 08:33:21 +0200 fs  r275743 : CWS-TOOLING: rebase CWS dba32g to trunk@275331 (milestone: DEV300:m56) 2009-09-02 13:48:12 +0200 fs  r275708 : removed useless include 2009-09-02 13:45:43 +0200 fs  r275707 : more since tags, which are used across offapi/udkapi 2009-09-02 13:23:04 +0200 fs  r275705 : should *not* have the dtor, copy ctor, and assignment operator compiler-generated, else we run into trouble as soon as the compiler creates different versions of our singleton member's static data in different libraries 2009-09-02 12:32:45 +0200 fs  r275704 : AutoIncrementIsPrimaryKey is a driver setting, not a data source setting 2009-09-02 11:42:49 +0200 fs  r275701 : URL meta data are meta data which are valid for all connections of this type, not per-data-source properties. Settings them as data source properties is a hack. 2009-09-02 08:43:34 +0200 fs  r275696 : 3.x.x is not a valid 'since' tag 2009-09-01 16:05:24 +0200 fs  r275665 : #i104686# don't treat controls bound to read-only columns as required 2009-09-01 13:10:22 +0200 fs  r275657 : #i104574# use PageUp/Down to scroll through the complete page 2009-09-01 07:04:48 +0200 oj  r275641 : #i104104# correct line ends 2009-08-31 15:52:34 +0200 fs  r275612 : #i104410# 2009-08-31 12:29:05 +0200 fs  r275596 : #i104364# 2009-08-31 12:28:56 +0200 fs  r275595 : #i104364# 2009-08-31 11:43:09 +0200 fs  r275593 : #i104649# JavaDriverClassPath is also a known JDBC-bridge setting 2009-08-31 11:41:37 +0200 fs  r275592 : #i104649# 2009-08-28 21:48:27 +0200 fs  r275552 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:48:17 +0200 fs  r275551 : #i96862# do not show the 'Create a new database' option when a) no embedded/dBase driver is installed or b) the configuration requests to hide the option 2009-08-28 21:47:19 +0200 fs  r275550 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:46:41 +0200 fs  r275549 : #i96862# renamed and extended the configuration data which controls availability of certain DBA-related UI 2009-08-28 15:10:19 +0200 fs  r275535 : #i96862# if no embedded driver is installed, use dBase for creating new DBs. If no dBase driver is installed, too, do not offer the 'Create new database' option 2009-08-28 14:03:04 +0200 fs  r275532 : #i104454# allow multiple fields to display the same column 2009-08-28 13:14:00 +0200 fs  r275528 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:09:57 +0200 fs  r275527 : properly chech the MySQL type buttons (else next/back in the wizard leads to state with two buttons checked) 2009-08-28 13:09:17 +0200 fs  r275526 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:07:18 +0200 fs  r275525 : BooleanComparisonMode is a property, or a feature - but not a driver meta data 2009-08-28 11:00:31 +0200 fs  r275521 : #i104580# 2009-08-28 10:40:05 +0200 fs  r275519 : #i104577# correct assertion: If the template node type is ANY, then any value type is allowed 2009-08-28 10:09:30 +0200 fs  r275518 : #i104575# implement Named Pipe UI 2009-08-28 10:09:07 +0200 fs  r275517 : pass the trigger-event to IWindowOperator::operateOn / work with VclWindowEvents, not VclSimpleEvents 2009-08-27 14:27:36 +0200 fs  r275484 : ImplPosTabPage: respect mbEmptyViewMargin for WINDOWALIGN_LEFT 2009-08-27 13:43:56 +0200 fs  r275480 : merging latest changes from CWS dba32f herein 2009-08-27 13:23:07 +0200 fs  r275475 : #i103882# 2009-08-27 11:56:55 +0200 fs  r275466 : #i104544# SetState: Do not call Update at the window which we just set text for. It should (sic\!) not be needed, but causes trouble 2009-08-27 11:55:34 +0200 fs  r275465 : #i104544# do not allow re-entrance for impl_ensureControl_nothrow Actually, this is part of the fix only. I also removed the code which triggered this re-entrance (from the grid control implementation), but to ensure it won't happen, again, I added some safety herein. 2009-08-27 10:14:11 +0200 fs  r275459 : preparations for supporting a 'NamedPipe' parameter for the MySQL Connector/OOo 2009-08-27 10:13:21 +0200 fs  r275458 : preparations for supporting a 'NamedPipe' setting for the MySQL Connector/OOo 2009-08-27 10:11:14 +0200 fs  r275456 : outsourced the MySQLNative settings into a dedicated class, to not duplicate all the code in two tab page implementations 2009-08-26 14:18:13 +0200 fs  r275422 : #i10000# 2009-08-26 13:26:36 +0200 fs  r275419 : ignore output paths 2009-08-26 13:23:38 +0200 fs  r275417 : support the LocalSocket property for the MySQL native driver 2009-08-26 13:17:05 +0200 fs  r275416 : some re-factoring, to outsource the tab page for setting up the MySQLNative connection, into a dedicated class (needed later) 2009-08-26 13:15:15 +0200 fs  r275415 : support a NoThousandSep property for NumericFormatters - I'm tired of correcting this at runtime, instead of controlling it in the resource 2009-08-26 11:45:08 +0200 fs  r275410 : oops, 'flat' shouldn't have got lost 2009-08-26 09:38:57 +0200 fs  r275398 : #i102631# when saving the document fails, ensure that the interaction handler really can handle/display the error 2009-08-26 09:37:05 +0200 fs  r275397 : #i102631# don't let non-IO/RuntimeExceptions escape from DatabaseDocument::store*, wrap them into an IOException 2009-08-26 09:35:39 +0200 fs  r275395 : let the default interaction handler implement XInteractionHandler2 2009-08-25 13:51:34 +0200 fs  r275352 : #i102631# createTempFile: pass URL through FileHelper.getOOoCompatibleFileURL 2009-08-25 13:49:23 +0200 fs  r275351 : #i102631# createTempFileURL: immediately delete the file implicitly created by createTempFile, we really only need the URL 2009-08-24 14:49:07 +0200 fs  r275318 : #i10000# 2009-08-24 14:36:03 +0200 fs  r275315 : properly terminate message with 0 character 2009-08-24 14:35:45 +0200 fs  r275314 : trace method concepts in non-pro, if special flag is enabled 2009-08-24 14:24:17 +0200 fs  r275312 : #i98973# filter some more events for grid control columns 2009-08-24 14:15:23 +0200 fs  r275311 : #i98973# implement XComboBox for combo box cells 2009-08-24 13:39:24 +0200 fs  r275308 : #i98973# do not display the 'actionPerformed' event for grid combo box columns 2009-08-24 12:52:03 +0200 fs  r275303 : #i98973# implement XCheckBox and XButton for check box cells 2009-08-24 11:56:05 +0200 oj  r275300 : #i104447# wrong default for orientation 2009-08-24 10:51:21 +0200 fs  r275296 : in the script selector dialog, interpret a double click onto a function as OK 2009-08-24 10:50:56 +0200 fs  r275295 : localize some to-be-displayed names, consolidate some code regarding form/control naming 2009-08-21 14:28:05 +0200 fs  r275255 : #i98973# implement KeyListeners 2009-08-21 14:27:20 +0200 fs  r275254 : #i98973# move the conversion VCL[Mouse|Key]Event->Awt[Mouse|Key]Event from vclxwindow.cxx to VCLUnoHelper 2009-08-21 14:08:50 +0200 fs  r275248 : #i98973# implement Mouse- and MouseMotion-broadcasting 2009-08-21 13:31:08 +0200 fs  r275244 : #i98973# implement text and change listeners at text cells 2009-08-21 12:47:38 +0200 fs  r275234 : #i104399# some refactoring: If the MySQL Connector/OOo is installed, it registers for the sdbc:mysqlc: protocol (now known as DST_MYSQL_NATIVE_DIRECT). However, we do not want to display this in the UI, instead we display "MySQL" only, which collects DST_MYSQL_ODBC, DST_MYSQL_JDBC, and DST_MYSQL_NATIVE. 2009-08-21 12:45:18 +0200 fs  r275232 : #i104399# also register for the sdbc:mysql:mysqlc protocol, decide at runtime (depending on the availability of sdbc:mysqlc:), whether it is really accepted. This prevents that the C/OOo extension needs to register *our* implementation name for the sdbc:mysql:mysqlc: protocol, which would be somewhat weird 2009-08-20 16:18:48 +0200 fs  r275190 : merging the latest changes from CWS dba32f (which this CWS was created from) 2009-08-19 20:19:59 +0200 fs  r275160 : add some spacing between the radios 2009-08-19 14:50:15 +0200 fs  r275150 : #i98973# slightly refactoring the grid cell implementations, to prepare for proper events being fired. Implement focus events for the moment, more to come. 2009-08-19 10:53:38 +0200 fs  r275142 : #i99936# initialize newly created models 2009-08-18 23:03:48 +0200 fs  r275132 : merging latest changes from CWS dba32f 2009-08-18 15:14:08 +0200 fs  r275110 : #i102819# SetColumnPos: SCROLL_CLIP is deadly here


2009-09-10  Kurt Zenker  <kz@openoffice.org>  [42dc7e2597e04b0480e8a6377d4db75661bcaae7]

CWS-TOOLING: integrate CWS mingwport23 2009-08-29 07:07:53 +0200 tono  r275555 : i#104522: mingw port graphite 2009-08-29 07:07:26 +0200 tono  r275554 : i#104522: mingw port printf format fix


2009-09-10  Kurt Zenker  <kz@openoffice.org>  [dc56b7d37c6ae8b00c6bab67df4a709622e20c85]

CWS-TOOLING: integrate CWS mh232 2009-08-26 03:52:57 +0200 mh  r275385 : #i102182# FreeBSD patch 2009-08-26 03:43:20 +0200 mh  r275384 : #i101333# patch for FreeBSD 2009-08-26 03:11:20 +0200 mh  r275383 : #i39230 2009-08-26 03:07:51 +0200 mh  r275382 : #i39230# more space for initials field 2009-08-26 02:41:19 +0200 mh  r275380 : #i39230# use vos::osecurity for reading the user name 2009-08-18 22:06:00 +0200 mh  r275130 : #i104243#, line ending problem with newer perl 2009-08-18 21:53:21 +0200 mh  r275129 : #i39230# read initials via getpwnam 2009-08-18 21:34:05 +0200 mh  r275128 : enable CAIROCANVAS for Linux and Mac, #i88613# 2009-08-17 18:02:59 +0200 mh  r275067 : #i95498# make compile with gcc3


2009-09-09  Mathias Bauer  <mba@openoffice.org>  [1f150c3d8b7ce451f89c34f74e5636d0e87701b5]

#i103496#: removed sal dependency in berkeleydb


2009-09-09  Mathias Bauer  <mba@openoffice.org>  [62acc04350e15043eea392c4208f91e8e82c1740]

merge commit to DEV300_m57


2009-09-08  Oliver Bolte  <obo@openoffice.org>  [bf528258256710566ac29468ef84deb447f1e7b1]

CWS-TOOLING: integrate CWS dba32f 2009-08-31 10:43:51 +0200 msc  r275590 : #no issuezilla available# make the testcase more error proof 2009-08-31 10:43:28 +0200 msc  r275589 : #no issuezilla available# make the testcase more error proof 2009-08-31 10:40:33 +0200 msc  r275588 : i85993 remove bugid 2009-08-31 10:38:28 +0200 msc  r275587 : i100000 2009-08-27 13:27:32 +0200 fs  r275476 : #i103882# 2009-08-27 12:47:54 +0200 fs  r275474 : #i104544# do not allow re-entrance for impl_ensureControl_nothrow Actually, this is part of the fix only. I also removed the code which triggered this re-entrance (from the grid control implementation), but to ensure it won't happen, again, I added some safety herein. 2009-08-27 12:47:16 +0200 fs  r275473 : #i104544# SetState: Do not call Update at the window which we just set text for. It should (sic\!) not be needed, but causes trouble 2009-08-27 10:18:05 +0200 mav  r275461 : #i103266# do not allow any stream operation on package streams while commiting the package 2009-08-20 15:25:48 +0200 fs  r275184 : #i104362# fall back to a ViewObjectContactOfSdrObj in case we don't have a page view 2009-08-20 15:25:06 +0200 fs  r275183 : AUGMENT_LIBRARY_PATH 2009-08-20 15:10:34 +0200 fs  r275182 : AUGMENT_LIBRARY_PATH 2009-08-20 09:50:36 +0200 oj  r275167 : #i104266# notify propertyforward when new dest was created 2009-08-19 08:01:28 +0200 mav  r275133 : #i103266# fix the typo 2009-08-18 22:45:34 +0200 fs  r275131 : #i10000# 2009-08-18 13:53:07 +0200 oj  r275105 : #i104266# set column settings after alter columns 2009-08-18 13:41:49 +0200 fs  r275103 : #i102550# do not interpret names of existing data sources as system path 2009-08-18 13:13:05 +0200 oj  r275097 : #i103882# use correct number Format 2009-08-18 12:59:13 +0200 fs  r275094 : #i104181# 2009-08-18 09:07:48 +0200 fs  r275079 : updated readme to refer to proper 1.1.14 2009-08-18 08:32:31 +0200 oj  r275077 : #i104187# wrong default for FirstCellAsLabel corrected 2009-08-18 08:10:00 +0200 oj  r275076 : #i104187# dispose status controller to avoid access of dead statusBar in sfx 2009-08-17 21:56:19 +0200 fs  r275074 : merge fix for issue #102564# from dba32e 2009-08-17 15:34:40 +0200 fs  r275058 : don't set MaxFieldSize to 0 unconditionally 2009-08-17 14:33:57 +0200 oj  r275054 : #i103528# patch for bitxtor 2009-08-17 14:12:26 +0200 oj  r275051 : #i104160# fix VerticalAlignment 2009-08-17 14:11:47 +0200 oj  r275050 : #i104160# fix VerticalAlignment 2009-08-14 15:54:04 +0200 mav  r274989 : #i103266# avoid possibility for race condition 2009-08-13 13:52:43 +0200 fs  r274939 : improved diagnostics 2009-08-13 13:52:28 +0200 fs  r274938 : typo 2009-08-13 12:51:03 +0200 fs  r274934 : #i103763# provided by cloph: correct libIDL check when compiling Mozilla 2009-08-13 12:43:23 +0200 fs  r274933 : #i103763# provided by cloph: allow to cross-compile prebuilt zips on Mac 2009-08-13 12:41:15 +0200 fs  r274932 : #i103371# fire PREPARECLOSEDOC even for embedded objects (why not?) 2009-08-13 12:24:49 +0200 fs  r274930 : #i99890# remove 'Insert Control' from the popup menu 2009-08-13 12:23:38 +0200 fs  r274929 : #i99890# DoToolboxAction: assert unknown/unimplemented actions 2009-08-13 09:32:07 +0200 fs  r274923 : #i103721# 2009-08-13 09:26:32 +0200 fs  r274922 : #i99894# provided by dtardon: xforms_nowFunction: use proper memory allocation function 2009-08-13 09:20:21 +0200 fs  r274921 : #i103938# provided by cmc: pass proper arguments to OUString::intern 2009-08-12 22:34:28 +0200 fs  r274916 : #i104139# when executing a PopupMenu, pass the POPUPMENU_NOMOUSEUPCLOSE flag


2009-09-04  Release Engineers  <releng@openoffice.org>  [c51c4162f715e09dcf7151082432d499318155a4]

Create DEV300_m57 milestone tag from trunk@275796


2009-08-27  Vladimir Glazounov  <vg@openoffice.org>  [1e523de71948d12d1cddf49f2d7f672d5e4837c1]

CWS-TOOLING: integrate CWS sb114_DEV300 2009-08-12 09:02:01 +0200 sb  r274880 : #i104149# missing PATCH flag 2009-08-11 16:39:16 +0200 sb  r274864 : #i104149# merged in difference between <http://ftp.debian.org/debian/pool/main/libx/libxml2/libxml2_2.6.32.dfsg-5.diff.gz> and <http://security.debian.org/pool/updates/main/libx/libxml2/libxml2_2.6.32.dfsg-5+lenny1.diff.gz> (which appears to also apply cleanly to the libxml2 2.6.31 source base checked into OOo)


2009-08-26  Henning Brinkmann  <hbrinkm@openoffice.org>  [29ece1c0fa78a778c8f21dddca7eba128b434342]

merged DEV300_m56


2009-08-26  Release Engineers  <releng@openoffice.org>  [258cc6f9fe022df1fd232778c4c71ae5a7945ac2]

CWS-TOOLING: integrate CWS jl127 2009-07-30 10:12:10 +0200 jl  r274470 : #i100873# switch on checking for symbol definitions. It works with the current xpcom lib. 2009-07-29 09:48:29 +0200 jl  r274443 : #i100873# 2009-07-29 09:47:36 +0200 jl  r274442 : #i100873# changes after resync with DEV300m53 which contains the seamonkey update 2009-07-28 10:00:03 +0200 jl  r274389 : #100873# Patches from tono 2009-07-27 16:59:39 +0200 jl  r274372 : CWS-TOOLING: rebase CWS jl127 to trunk@274203 (milestone: DEV300:m53) 2009-07-07 09:08:53 +0200 jl  r273768 : #100873# 2009-07-06 17:16:10 +0200 jl  r273754 : #100873# 2009-07-01 13:58:09 +0200 jl  r273576 : #100873# added to readme 2009-07-01 13:15:02 +0200 jl  r273573 : #100873# deliver lib files when building with MS compiler 2009-06-30 11:22:06 +0200 jl  r273498 : #i100873# accidentally commented out patch_files 2009-06-30 09:01:10 +0200 jl  r273489 : #100873# make rc.exe work in ooo windows build 2009-06-29 09:47:56 +0200 jl  r273451 : #i100873# applied mingw patch from tono 2009-06-24 12:52:14 +0200 jl  r273332 : #100873# reapplying the configure.in patch on version 273150 2009-06-24 12:51:12 +0200 jl  r273331 : #100873# reapplying the patch on version 273150 2009-06-23 17:17:36 +0200 jl  r273299 : #100873# manually modified patch from tono 2009-06-22 17:05:41 +0200 jl  r273243 : #100873# applying mingw patch from tono 2009-06-22 17:02:30 +0200 jl  r273242 : #100873# applying mingw patch from tono 2009-06-22 12:49:57 +0200 jl  r273216 : #100873# dependency to stlport 2009-06-19 11:56:16 +0200 jl  r273155 : #100873# undoing a previous change, instset_native complained about missing libjpipe.jnilib (jurt) 2009-06-19 10:13:03 +0200 jl  r273150 : #100873# ooo builds shall also use the new nss by default 2009-06-18 14:32:07 +0200 jl  r273117 : #110873# more debug output when verifying a certificate 2009-06-16 11:23:50 +0200 jl  r273012 : #i10873# 2009-06-16 10:57:41 +0200 jl  r273011 : #100873# wrong parameter definition in nsscrypto_initialize 2009-06-16 10:56:45 +0200 jl  r273010 : #100873# wrong parameter definition in nsscrypto_initialize 2009-06-15 16:20:42 +0200 jl  r272996 : #100873# initialization of NSS is now threadsafe 2009-06-10 12:50:46 +0200 jl  r272804 : #100873# rename in foreach fails in 4nt 2009-06-09 13:43:00 +0200 jl  r272768 : #i100873# deliver only .h from inc/nss otherwise we get a warning when nss/nssck.api is delivered 2009-06-08 16:15:44 +0200 jl  r272739 : #i100873# 2009-06-08 16:04:54 +0200 jl  r272738 : #i100873# 2009-06-08 15:45:52 +0200 jl  r272736 : #i100873# 2009-06-08 15:44:15 +0200 jl  r272735 : #i100873# unzipping of nss.tar.z not working with 4nt 2009-06-08 09:45:46 +0200 jl  r272720 : #i100873# 2009-06-03 13:53:52 +0200 jl  r272562 : #i100873#  MOZILLABUILD not correct 2009-06-03 13:17:54 +0200 jl  r272557 : #i100873#  readme and makefile changes from cws jl125, support of new nss module 2009-06-03 09:57:40 +0200 jl  r272544 : #i100873#  added readme 2009-06-02 16:47:47 +0200 jl  r272512 : #i100873#  removed no longer needed stuff regarding jnilibs 2009-06-02 15:54:42 +0200 jl  r272510 : #i100873# added NSS to BUILD_TYPE 2009-06-02 15:20:18 +0200 jl  r272508 : #i100873# DEREFERENCE option for copy command 2009-06-02 13:00:12 +0200 jl  r272496 : #i100873# PATCH_FILE_NAMES is now PATCH_FILES 2009-06-02 12:23:39 +0200 jl  r272494 : #i100873# build dependency to nss 2009-05-29 16:21:40 +0200 jl  r272470 : #i100873# seting ENABLE_NSS_MODULE==YES and includeing mozilla-build-1.3 folder in environment 2009-05-29 16:03:23 +0200 jl  r272468 : #i100873# use intermediate certificates when validating a certificate 2009-05-29 15:57:16 +0200 jl  r272466 : #i100873# use intermediate certificates when validating a certificate 2009-05-29 15:49:58 +0200 jl  r272464 : #i100873# using ENABLE_NSS_MODULE 2009-05-29 15:33:14 +0200 jl  r272463 : #i100873# using ENABLE_NSS_MODULE 2009-05-29 15:28:39 +0200 jl  r272461 : #i100873# build dependency to nss module 2009-05-29 15:24:57 +0200 jl  r272460 : #i100873# pass additional certificates into verifyCertificate function 2009-05-29 14:49:40 +0200 jl  r272458 : #i100873# new NSS module 2009-05-29 14:43:44 +0200 jl  r272457 : #i100873# new NSS module


2009-08-26  Vladimir Glazounov  <vg@openoffice.org>  [172bf06b5d6510df2a46b4287caa5f7201fc8c69]

CWS-TOOLING: integrate CWS mingwport22 2009-08-19 16:18:46 +0200 tono  r275156 : i#103794: mingw gcc-4.4.0 port: make use of dwarf2 eh 2009-08-05 12:27:41 +0200 tono  r274650 : CWS-TOOLING: rebase CWS mingwport22 to trunk@274622 (milestone: DEV300:m54) 2009-08-01 00:56:35 +0200 tono  r274552 : i#103795: mingw gcc-4.4.0 port: use gcc dll 2009-07-27 00:13:27 +0200 tono  r274344 : i#103795: mingw gcc-4.4.0 port: use gcc dll 2009-07-25 06:19:59 +0200 tono  r274332 : i#103803: mingw gcc-4.4.0 port: invalid "extern static" 2009-07-25 06:13:56 +0200 tono  r274331 : i#103802: mingw gcc-4.4.0 port: inhibit use of pthread 2009-07-25 06:05:22 +0200 tono  r274330 : i#103801: mingw gcc-4.4.0 port: specify relocatable data section 2009-07-25 05:54:09 +0200 tono  r274329 : i#103800: mingw gcc-4.4.0 port: remove invalid scope 2009-07-25 05:44:58 +0200 tono  r274328 : i#103799: mingw gcc-4.4.0 port: add some #include 2009-07-25 05:33:09 +0200 tono  r274327 : i#103798: mingw gcc-4.4.0 port: add backward in include path 2009-07-25 05:24:42 +0200 tono  r274326 : i#103797: mingw gcc-4.4.0 port: nooptimize c++-uno bridge 2009-07-25 05:16:20 +0200 tono  r274325 : i#103795: mingw gcc-4.4.0 port: use gcc dll 2009-07-25 04:01:59 +0200 tono  r274324 : i#103794: mingw gcc-4.4.0 port: make use of dwarf2 eh 2009-07-25 02:44:01 +0200 tono  r274322 : i#103793: mingw port: Exclude msvc[pr]80.dll from packaging 2009-07-25 02:28:21 +0200 tono  r274321 : i#103791: mingw port fix typo


2009-08-25  Vladimir Glazounov  <vg@openoffice.org>  [c55dd1b1774cc60368db2fdc24dd8eef499c7e8c]

CWS-TOOLING: integrate CWS jl123 2009-08-04 12:34:31 +0200 jl  r274615 : #i103742# added note regarding Berkeley update 2009-07-27 11:24:49 +0200 jl  r274351 : #i100916# applying tono's patch 2009-07-22 16:29:54 +0200 jl  r274248 : CWS-TOOLING: rebase CWS jl123 to trunk@274203 (milestone: DEV300:m53) 2009-07-21 11:49:45 +0200 jl  r274172 : #100916# syncing data base with fcntl( F_FULLSYNC) failed with an unexpected error on Mac when buiding on NFS. Although there is a fallback using fsync, it was not used because of the unexpected error 2009-07-20 09:35:42 +0200 jl  r274107 : #i100916# Applied tono's second patch 2009-07-16 16:41:24 +0200 jl  r274062 : i100916 2009-07-13 14:47:32 +0200 jl  r273936 : #i100916# deliver libdb-47.lib 2009-07-13 11:03:26 +0200 jl  r273921 : #i100916# applied tono's patches for mingw 2009-07-10 14:34:22 +0200 jl  r273895 : #i100916# renamed mingw patch 2009-07-10 14:33:36 +0200 jl  r273894 : #i100916# renamed mingw patch 2009-07-10 14:04:39 +0200 jl  r273890 : #i100916# new patch 2009-07-10 11:39:54 +0200 jl  r273882 : #i100916# updating berkeleydb 2009-07-10 11:03:16 +0200 jl  r273880 : #i100916# updating berkeleydb 2009-07-02 12:52:53 +0200 jl  r273638 : CWS-TOOLING: rebase CWS jl127 to trunk@273468 (milestone: DEV300:m51) 2009-04-08 13:32:52 +0200 jl  r270642 : #i100916# 2009-04-08 13:25:15 +0200 jl  r270639 : #i100916# new version of berkeleydb 2009-04-08 12:37:14 +0200 jl  r270634 : #i100916# changes for version 4.7.25 2009-04-08 12:36:08 +0200 jl  r270633 : #i100916# new patch file for version 4.7.25 (no encryption)


2009-08-24  Release Engineers  <releng@openoffice.org>  [29f2956c9fa679bdef8f394e77bdce09b877a862]

Create DEV300_m56 milestone tag from trunk@275330


2009-08-24  Ivo Hinkelmann  <ihi@openoffice.org>  [9ab9088f3dbfe65e967556b56b23f8ee80925f74]

#i10000# build fix


2009-08-24  Ivo Hinkelmann  <ihi@openoffice.org>  [312f294a82c1e386bc82d775f76a1573a297ab51]

#i10000# build fix


2009-08-19  Henning Brinkmann  <hbrinkm@openoffice.org>  [415f586c945f8a0b9f6b686ad11299290636000b]

merged DEV300_m55


2009-08-18  Ivo Hinkelmann  <ihi@openoffice.org>  [556d27b8fd9166b1f38d8bda929f9b5a992cc823]

#i10000# only linux / windows


2009-08-17  Ivo Hinkelmann  <ihi@openoffice.org>  [8d84736d2320003d64330bfb3edfb27e03f6edd5]

CWS-TOOLING: integrate CWS graphite01 2009-08-06 11:09:01 +0200 hdu  r274708 : #i10000# fix build breaker for SYSTEM_GRAPHITE=NO 2009-07-21 12:01:52 +0200 hdu  r274174 : #i93645# fix include files for EXT_USE_STLPORT 2009-07-21 11:51:07 +0200 hdu  r274173 : #i93645# convert line-endings of files to be patched 2009-07-21 10:49:01 +0200 hdu  r274170 : #i93645# adjust makefile.vc8 for HH-RelEng env (thanks ause) 2009-07-20 05:21:32 +0200 kstribley  r274105 : attempt to fix Windows build error caused by NULL variable in nmake file 2009-07-16 10:22:36 +0200 hdu  r274032 : #i69129# also use solar minor version to find graphite lib 2009-07-16 05:36:06 +0200 kstribley  r274029 : allow windows build to have Graphite disabled with SAL_DISABLE_GRAPHITE 2009-07-15 13:59:22 +0200 hdu  r274011 : #i69129# default to ENABLE_GRAPHITE=TRUE 2009-07-15 13:19:54 +0200 hdu  r274008 : #i93645# ignore compile warnings for graphite 2009-07-15 13:18:25 +0200 hdu  r274006 : #i93645# stlport needs libmath, use solar minor version to find matching libs 2009-07-15 09:21:13 +0200 hdu  r273989 : #i100000# avoid compile warning 2009-07-14 12:19:08 +0200 hdu  r273963 : CWS-TOOLING: rebase CWS graphite01 to trunk@273858 (milestone: DEV300:m52) 2009-07-13 06:54:56 +0200 kstribley  r273912 : change to use standard file headers 2009-07-13 05:39:14 +0200 kstribley  r273911 : Remove unnecessary change to configure.in as reported by Rene 2009-07-10 16:58:44 +0200 hdu  r273902 : #i100000# fix compile for precompiled-header support 2009-07-02 13:48:26 +0200 kstribley  r273647 : #69129# fix a graphite bug which could crash with fonts containing obscure GDL positioning rules 2009-07-02 01:44:02 +0200 rene  r273616 : #i10000# we need to link with -licuuc 2009-07-01 04:02:20 +0200 kstribley  r273540 : restore missing sdf files from base 2009-07-01 04:01:40 +0200 kstribley  r273539 : restore missing sdf files from base 2009-07-01 04:01:12 +0200 kstribley  r273538 : restore missing sdf files from base 2009-07-01 03:59:41 +0200 kstribley  r273537 : restore missing sdf files from base 2009-06-29 10:16:51 +0200 kstribley  r273456 : #i69129# fixes a bug which caused occasional incorrect linebreaking when graphite is asked to render a part of a cluster not containing a base 2009-06-27 10:43:58 +0200 kstribley  r273445 : #i69129# added kashida support for justified RTL text 2009-06-01 12:57:06 +0200 kstribley  r272476 : CWS-TOOLING: rebase CWS graphite01 to trunk@272291 (milestone: DEV300:m49) 2009-05-26 10:50:06 +0200 kstribley  r272286 : #i69129# fixes a build error when NDEBUG is not defined 2009-05-25 13:14:06 +0200 kstribley  r272237 : #i69129# enable debugging by fixing compile warnings 2009-05-25 13:07:47 +0200 kstribley  r272234 : #i69129#  added env variable to disable GRAPHITE at run time on linux and fixed a bug with a rare attachment sequence 2009-04-20 17:39:25 +0200 kstribley  r271001 : CWS-TOOLING: rebase CWS graphite01 to trunk@270723 (milestone: DEV300:m46) 2009-04-18 07:11:33 +0200 kstribley  r270957 : #i101178# attempt to fix buildbot builds by reordering configure.in 2009-04-14 17:37:07 +0200 kstribley  r270801 : #i93645# tweak configure to enable graphite by default on windows and linux to assist testing with tinderbox build 2009-04-14 16:33:17 +0200 kstribley  r270796 : #i96925# another fix for rtl fallback and add optional debug info in MultiSalLayout 2009-04-08 13:27:55 +0200 kstribley  r270641 : #i69129# fix features after a bad merge 2009-04-08 13:26:34 +0200 kstribley  r270640 : #i69129# add a patch for WinFont 2009-03-24 12:37:54 +0100 kstribley  r269937 : #i69129# fix build error due to locale being included in method for features 2009-03-24 12:36:10 +0100 kstribley  r269936 : #i93645# change patch variable and fix configure 2009-03-20 04:18:56 +0100 kstribley  r269776 : CWS-TOOLING: rebase CWS graphite01 to trunk@269297 (milestone: DEV300:m43) 2009-03-01 13:10:59 +0100 kstribley  r268622 : added a patch to improve handling of a font with bad graphite language feature tables #i93645# 2009-02-12 04:50:51 +0100 kstribley  r267631 : #i93645# fix windows build for graphite 2.3.1 and remove unnecessary patch 2009-02-10 04:48:50 +0100 kstribley  r267535 : #i93645# fix a build error with stlport on Ubuntu 8.10 x86 2009-02-10 03:51:10 +0100 kstribley  r267534 : #i69129# remove legacy config_office 2009-02-07 19:12:54 +0100 kstribley  r267482 : #i93645# upgrade to using silgraphite-2.3.1 2009-02-02 18:17:57 +0100 kstribley  r267290 : #i69129# backout unwanted checkin 2009-02-02 17:44:03 +0100 kstribley  r267281 : #i69129# backout erroneous update to aclocal.m4 2009-02-01 10:05:03 +0100 kstribley  r267236 : #i69129# fix build error due to locale being added to set font attributes 2009-02-01 06:02:52 +0100 kstribley  r267235 : #i69129# fix erroneous merge 2009-01-31 16:24:56 +0100 kstribley  r267234 : #i69129# update configure.in solenv.in in their new locations with enable graphite 2009-01-31 10:53:18 +0100 kstribley  r267232 : CWS-TOOLING: rebase CWS graphite01 to trunk@267171 (milestone: DEV300:m41) 2008-12-17 04:17:33 +0100 kstribley  r265577 : #i93645# remove superfluous autoreconf check and autoconf patch 2008-12-16 10:07:20 +0100 rene  r265529 : fix aclocal.m4 breakage 2008-12-16 05:13:29 +0100 kstribley  r265520 : #i93645# change to autoconf && configure 2008-12-16 04:39:48 +0100 kstribley  r265519 : #i93645# modified LD_FLAGS so that system graphite isn't pulled in by accident and fixed autoconf problem 2008-12-15 14:16:25 +0100 rene  r265497 : check for working STL 2008-12-15 12:53:39 +0100 rene  r265473 : revert broken check 2008-12-15 11:59:21 +0100 kstribley  r265472 : #i93645# added check for system STL, since this is a requirement for system graphite to work correctly and moved the position of the check further down 2008-12-15 11:55:34 +0100 kstribley  r265471 : #i93645# remove references to gr3ooo to allow system graphite to be used 2008-12-12 18:48:18 +0100 rene  r265437 : fix link for system-graphite 2008-12-12 18:46:45 +0100 rene  r265436 : the tarball is in graphite, remove obsolete check 2008-12-12 18:22:22 +0100 rene  r265433 : typo; re-autoconf 2008-12-12 17:35:26 +0100 rene  r265432 : actually implement SYSTEM_GRAPHIT checks (as already checked for in makefile.mks) but remove the checks in graphit itself and move to BUILD_TYPE 2008-12-12 08:08:33 +0100 kstribley  r265387 : #i69129# 2 of the patched files need windows line endings so patch works on linux as well as windows 2008-12-12 08:04:41 +0100 kstribley  r265386 : #i69129# rtl fallback fix which prevents caching of segments with fallback 2008-12-08 04:28:12 +0100 kstribley  r264969 : results of running autoconf with graphite config changes #i69129# 2008-12-05 08:12:47 +0100 kstribley  r264886 : backout unintential change at r264884 2008-12-05 06:26:33 +0100 kstribley  r264884 : #i96925# fixes for uniscribe fallback 2008-12-05 06:11:37 +0100 kstribley  r264883 : #i69129# improvements to windows graphite code, including caching of sila table lookup 2008-12-02 13:28:51 +0100 kstribley  r264694 : #i93645# add graphite library and append to patch 2008-11-27 06:47:10 +0100 kstribley  r264445 : #69129# fix rtl loop bug and rtl caching problem 2008-11-27 06:42:20 +0100 kstribley  r264444 : add caching for GraphiteFontAdaptor 2008-11-14 15:57:03 +0100 kstribley  r263681 : #69129# add graphite addtional files from cvs 2008-11-14 15:54:47 +0100 kstribley  r263680 : #69129# fix for modified resolution api 2008-11-13 16:24:09 +0100 kstribley  r263652 : #69129# add skeleton to build graphite module library 2008-11-13 16:22:19 +0100 kstribley  r263651 : #69129# add skeleton to build graphite module library 2008-11-13 16:16:10 +0100 kstribley  r263650 : #69129# migrate from cvs 2008-11-13 15:26:54 +0100 kstribley  r263646 : #69129# add a module for the graphite library


2009-08-14  Release Engineers  <releng@openoffice.org>  [39ccdd57702010b1aadc23bc8f5f4d99cc71b6b2]

Create DEV300_m55 milestone tag from trunk@275000


2009-08-11  Release Engineers  <releng@openoffice.org>  [cd3fceb0c7677797ef369706ddbb0ad1827bcd9b]

#i103772# apllied patch from the issue


2009-08-10  Release Engineers  <releng@openoffice.org>  [93e3d75b99b5e0d51ea949e006651f4ba2f44236]

CWS-TOOLING: integrate CWS tkr23 2009-07-21 15:03:57 +0200 tkr  r274199 : #i64277# open file only if needed and close immediately after use 2009-07-17 12:25:41 +0200 tkr  r274087 : #i96743# patch minizip to provide stream operations 2009-07-17 12:21:13 +0200 tkr  r274086 : #i96743# add new ifilter interface: IPersistStream


2009-08-06  Henning Brinkmann  <hbrinkm@openoffice.org>  [528555c28ccb0582dd1b44f3be4ef67383282db4]

merged DEV300_m54


2009-08-04  Release Engineers  <releng@openoffice.org>  [40176fccc38278b7f0d191a17d2b3ac28e375e80]

Create DEV300_m54 milestone tag from trunk@274621


2009-07-28  Mathias Bauer  <mba@openoffice.org>  [13da69caf22a30194e0330d4975a39bafc954c67]

#i103496#: remove superfluous dependencies in external libraries


2009-07-27  Jens-Heiner Rechtien  <hr@openoffice.org>  [317708b6b41a918c42e734d6c467875d8e98c549]

CWS-TOOLING: integrate CWS kso32fixes 2009-07-10 15:25:24 +0200 kso  r273899 : #i53184# - fix probs with UNC server names containing underscores. 2009-07-10 14:31:59 +0200 kso  r273893 : CWS-TOOLING: rebase CWS kso32fixes to trunk@273858 (milestone: DEV300:m52) 2009-07-09 13:46:16 +0200 kso  r273861 : #i53184# - withdrew patch. 2009-07-08 13:39:00 +0200 kso  r273829 : #i63159# - added license header 2009-07-08 11:44:08 +0200 kso  r273824 : i53184 - cannot open files from shell if UNC server has a _ (underscore) 2009-07-08 11:21:12 +0200 kso  r273822 : #i93271# - mingw build error 2009-07-08 11:13:48 +0200 kso  r273821 : #i91247 - Adhere to one more xdg spec 2009-07-08 11:02:53 +0200 kso  r273820 : #i89017# - osl_trace now emits trailing line feed to the debugger 2009-07-08 10:55:04 +0200 kso  r273819 : #i88663# - not waiting on successful forks but subsequent process failure 2009-07-07 17:05:27 +0200 kso  r273810 : #i88382# - It's nice to leave the modal mode in gtk+ too ;-) 2009-07-07 16:53:34 +0200 kso  r273808 : i88331# - Typo in include guard 2009-07-07 16:48:17 +0200 kso  r273807 : i82831# - crashrep: warnings when size_t != int 2009-07-07 16:39:49 +0200 kso  r273806 : i63159# - Patch to use d_type field in dirent structure if possible 2009-06-24 12:52:27 +0200 kso  r273333 : #i100274# - solved win2k missing symbol problem (again). 2009-05-20 13:58:48 +0200 kso  r272124 : CWS-TOOLING: rebase CWS kso32fixes to trunk@271830 (milestone: DEV300:m48) 2009-04-17 14:50:54 +0200 kso  r270950 : CWS-TOOLING: rebase CWS kso32fixes to trunk@270723 (milestone: DEV300:m46) 2009-03-26 09:27:28 +0100 kso  r270054 : #i100274# NTLM code cleanup. 2009-03-20 14:13:38 +0100 kso  r269807 : #i100274# - Fixed potential buffer overflow in NTLM code. 2009-03-19 14:53:03 +0100 kso  r269748 : #i100274. Added NTLM support for Non-Windows platforms. 2009-03-17 15:52:44 +0100 kso  r269613 : CWS-TOOLING: rebase CWS kso32fixes to trunk@269297 (milestone: DEV300:m43)


2009-07-22  Ivo Hinkelmann  <ihi@openoffice.org>  [92d354e0117bf9283249102c345cba8a1c19ba99]

#i10000# missing seamonkey patches


2009-07-21  Release Engineers  <releng@openoffice.org>  [7448bc3391ffd0199a7da6cbe3bdc4e6f59e223a]

Create DEV300_m53 milestone tag from trunk@274201


2009-07-15  Ivo Hinkelmann  <ihi@openoffice.org>  [37a21599da55cce8f61271ecec0cd2240055d043]

CWS-TOOLING: integrate CWS moz2seamonkey01 2009-06-18 20:56:43 +0200 fs  r273133 : #i10000# corrected resolved of merge conflict 2009-06-18 20:55:34 +0200 fs  r273132 : #i10000# corrected resolved of merge conflict 2009-06-18 10:49:26 +0200 fs  r273105 : CWS-TOOLING: rebase CWS moz2seamonkey01 to trunk@272827 (milestone: DEV300:m50) 2009-06-17 20:48:35 +0200 fs  r273094 : #i84961# removed 'pointless and buggy' echo statement 2009-05-22 11:27:08 +0200 fs  r272176 : #i101763# provided by tono@openoffice.org make compile with mingw 2009-05-22 11:22:25 +0200 fs  r272175 : #i101763# provided by tono@openoffice.org allow compilation in with mingw 2009-04-15 12:09:28 +0200 fs  r270830 : unconditionally disable moz executables 2009-03-27 12:29:38 +0100 fs  r270149 : ignore some configure-related files 2009-03-27 11:47:35 +0100 fs  r270145 : SolarisSparc needs libfreebl_32fpu_3.so 2009-03-27 11:38:09 +0100 fs  r270141 : regxpcom call not needed nowadays / also pack libfreebl3 (needed for signature/encryption) 2009-03-26 21:40:17 +0100 fs  r270108 : superseded by 1.1.14 version 2009-03-24 13:07:21 +0100 fs  r269938 : xptitemp.dat seemingly not needed anymore 2009-03-23 12:56:29 +0100 fs  r269869 : files with : in their name break the build 2009-03-23 12:22:01 +0100 fs  r269866 : files with : in their name break the build 2009-03-21 23:12:06 +0100 fs  r269843 : manual resync: merge the changes which happened on TRUNK in mozilla-source-1.7.5.patch herein 2009-03-21 21:58:17 +0100 fs  r269841 : CWS-TOOLING: rebase CWS moz2seamonkey01 to trunk@269781 (milestone: DEV300:m44) 2009-03-18 12:04:25 +0100 fs  r269649 : in SunHH environment, use pre-requisites from /so/env 2009-03-16 12:33:18 +0100 pastea_p  r269522 : correct makefile.mk sorry again 2009-03-15 17:32:43 +0100 pastea_p  r269506 : last files about migration to 1.1.14 2009-03-15 17:19:39 +0100 pastea_p  r269505 : Migrates some files to 1.1.14 2009-03-04 07:45:40 +0100 fs  r268782 : also add pref.xpt 2009-02-27 09:57:37 +0100 fs  r268555 : #i66338# for the moment, disable Mozilla-based code for unxlngx6 2009-02-23 10:56:28 +0100 fs  r268346 : syntax 2009-02-19 14:14:56 +0100 fs  r268283 : make PrintPDE compile in Sun's internal build environment by removing some unneeded stuff 2009-02-18 15:40:40 +0100 fs  r268236 : #i66338# re-enable MozAB on Mac 2009-02-18 15:39:55 +0100 fs  r268235 : #i66338# 2009-02-18 15:30:38 +0100 fs  r268232 : #i66338# tar => $(TAR) (provided by hjs) 2009-02-18 15:28:45 +0100 fs  r268231 : more build envs supported (thanks to hjs for all this work!) 2009-02-18 15:27:02 +0100 fs  r268230 : #i66338# 2009-02-18 15:23:04 +0100 fs  r268229 : #i66338# let it build on Solaris, in Sun Hamburg's build environment 2009-02-18 12:00:12 +0100 fs  r268210 : #i10000# 2009-02-18 08:17:29 +0100 fs  r268198 : #i66338# building Mozilla is not supported anymore, SeaMonkey is the way to go now 2009-02-18 08:16:50 +0100 fs  r268197 : #i66338# building Mozilla is not supported anymore, SeaMonkey is the way to go now 2009-02-14 14:05:24 +0100 fs  r267757 : redo the Windows related changes lost with recent resync 2009-02-14 00:06:33 +0100 ericb  r267755 : #i94628#  remove the config_office dir now 2009-02-14 00:04:59 +0100 ericb  r267754 : #i94628#  remove all files in config_office now 2009-02-14 00:01:26 +0100 ericb  r267753 : #i94628#  remove guw in config_office 2009-02-13 23:53:00 +0100 ericb  r267752 : #i94628#  remove files in config_office 2009-02-13 16:02:58 +0100 fs  r267725 : #i10000# 2009-02-12 18:14:31 +0100 ericb  r267685 : #i94628# new generated configure 2009-02-12 18:13:52 +0100 ericb  r267684 : #i94628# fix a path issue for finding seamonkey01 2009-02-12 14:39:17 +0100 ericb  r267662 : #i94628# removing seamonkey.1.1.12 patch 2009-02-12 14:21:04 +0100 ericb  r267658 : #i94628# the new configure, after autoconf 2009-02-12 14:13:21 +0100 ericb  r267656 : #i94628# other missing changes for Windows 2009-02-12 14:04:26 +0100 ericb  r267655 : #i94628# recommit configure.in changes after config_office removing 2009-02-12 13:46:12 +0100 ericb  r267653 : CWS-TOOLING: rebase CWS moz2seamonkey01 to trunk@267171 (milestone: DEV300:m41) 2009-02-12 12:00:48 +0100 ericb  r267643 : CWS-TOOLING: rebase CWS moz2seamonkey01 to trunk@267171 (milestone: DEV300:m41) 2009-02-11 13:28:50 +0100 pl  r267595 : #i94628# add MACDEVSDK variable for unxmacxi 2009-02-06 09:44:15 +0100 ericb  r267446 : #i98957# provide the zipped archives too 2009-02-06 09:43:32 +0100 ericb  r267445 : #i98957# make seamonkey buildable on OpenSolaris, adding the right options for configure 2009-02-06 09:42:45 +0100 ericb  r267444 : #i98957# make seamonkey buildable on OpenSolaris 2009-02-02 09:41:57 +0100 fs  r267252 : #i66338# 2009-02-02 09:41:43 +0100 fs  r267251 : #i66338# 2009-01-30 15:12:03 +0100 fs  r267200 : code consolidation - MQueryHelper now uses MLdapAttributeMap's fillCardFromResult and fillResultFromCard, which makes the code as such shorter, and eliminates information duplication 2009-01-30 11:53:31 +0100 fs  r267189 : reworked the statement parsing / statement execution / result set creation: now we don't anymore create three result sets (two of them leaking) for a single prepared statement ... 2009-01-29 20:37:01 +0100 fs  r267170 : #i10000# 2009-01-29 20:32:50 +0100 fs  r267169 : more explicit return type of parseSql 2009-01-29 17:32:56 +0100 fs  r267163 : slightly refactored the statement class hierarchy (basically remove OStatement_BASE2, and renamed the other base classes) 2009-01-29 17:14:58 +0100 fs  r267161 : #i66338# first implementation to re-enable LDAP access. Still work in progress (but hey, you can see the data already :) 2009-01-12 11:25:56 +0100 fs  r266138 : allow using a debug-enabled version of Mozilla/SeaMonkey when MOZILLA_ENABLE_DEBUG is set 2009-01-10 22:01:40 +0100 fs  r266126 : #i95772# nsldap32v50.dll also needs an embedded manifest (the LDP configuration backend links directly against it) 2009-01-09 11:15:32 +0100 fs  r266065 : manifests for DLLs need to have ID 2, not 1 2009-01-08 20:02:24 +0100 fs  r266035 : #i95772# embed manifest file in shared libs built in directory/c-sdk, too 2009-01-05 20:45:38 +0100 ericb  r265886 : #i66338# commiting the correct  configure for the tinderboxes 2009-01-05 17:42:34 +0100 ericb  r265883 : CWS-TOOLING: rebase CWS moz2seamonkey01 to trunk@265758 (milestone: DEV300:m38) 2008-12-16 15:34:26 +0100 ericb  r265550 : #i94628# change for seamonkey1.1.13 : do not forget to do autoconf in config_office before configure 2008-12-16 15:25:37 +0100 pastea_p  r265547 : 1.1.12 to 1.1.13 2008-12-16 14:20:18 +0100 pastea_p  r265540 : correct the hunk about no core_abspath which one broke linux build 2008-12-16 13:10:06 +0100 pastea_p  r265535 : Change name of patch to 1.1.13 2008-12-15 23:32:54 +0100 pastea_p  r265518 : 2008-12-12 18:43:36 +0100 pastea_p  r265435 : update to 1.1.13 2008-12-12 10:56:38 +0100 fs  r265398 : #i95772# embed .manifest files into SHARED_LIBRARYs built in nsprpub, too 2008-12-12 09:56:38 +0100 fs  r265391 : #i95772# don't use regxpcomp on Windows, it's not needed 2008-12-11 11:22:43 +0100 fs  r265269 : #i95772# Moz/SeaMonkey libs on Windows now link against msvc?80.dll 2008-12-10 13:45:51 +0100 fs  r265182 : proper OSL_ENSURE message 2008-11-13 13:18:03 +0100 fs  r263635 : #i95772# more patches 2008-11-13 12:14:41 +0100 fs  r263630 : #i95772# building SeaMonkey on Windows is supported for MSVS2005 only at the moment, now requiring v8-moztools.zip instead of the previously needed wintools.zip/vc71*.zip 2008-11-13 12:13:33 +0100 fs  r263629 : #i95772# building SeaMonkey on Windows is supported for MSVS2005 only at the moment, now requiring v8-moztools.zip instead of the previously needed wintools.zip/vc71*.zip 2008-11-13 12:08:22 +0100 fs  r263628 : #i95772# building SeaMonkey on Windows is supported for MSVS2005 only at the moment, now requiring v8-moztools.zip instead of the previously needed wintools.zip/vc71*.zip 2008-11-13 12:04:15 +0100 fs  r263627 : #i95772# 2008-11-12 08:23:20 +0100 fs  r263575 : i95772# use xpcom_core on Windows, too 2008-11-11 21:02:14 +0100 fs  r263574 : i95772# use xpcom_core.lib on Windows, too 2008-11-11 20:58:07 +0100 fs  r263573 : i95772# use xpcom_core.lib on Windows, too 2008-11-11 15:05:42 +0100 fs  r263564 : alternative fix for part 1 of #i94957# 2008-11-10 22:18:14 +0100 fs  r263541 : #i95772# with MSVC2008, compile with -Zc:wchar_t- (shamelessly taken from https://bugzilla.mozilla.org/show_bug.cgi?id=324842) 2008-11-10 22:15:57 +0100 fs  r263540 : #i95772# with MSVC2008, compile with -Zc:wchar_t- (shamelessly taken from https://bugzilla.mozilla.org/show_bug.cgi?id=324842) 2008-11-10 09:28:26 +0100 fs  r263509 : #i95772# when building on WNT, embed the .manifest file into the .dll/.exe 2008-11-10 09:19:06 +0100 fs  r263508 : collect single patches which comprise the complete patch 2008-11-06 09:10:21 +0100 fs  r263360 : #i95772# core_abspath does not work on Windows, too (at least in security/nss/cmd/shlibsign). Replace with 'cygpath -d -a' 2008-11-02 22:51:27 +0100 fs  r263277 : #i95772# sanitize INCLUDEDIR and GENHEADERS to use cygwin path notation - cygwin's make 1.81 doesn't cope with Windows path notation 2008-11-02 22:50:15 +0100 fs  r263276 : #i95772# no --enable-system-cairo on Windows 2008-10-18 20:12:36 +0200 pastea_p  r262297 : 2008-10-16 17:15:35 +0200 ericb  r262267 : #i94957# fix the breakage in connectivity, for the seamonkey migration 2008-10-16 17:14:49 +0200 ericb  r262266 : #i94957# fix the breakage in connectivity, for the seamonkey migration 2008-10-16 16:58:21 +0200 ericb  r262263 : #i94957# fix the breakage in connectivity, for the seamonkey migration 2008-10-15 20:16:28 +0200 ericb  r262242 : #i94628# use mac as default toolkit on mac 2008-10-14 18:54:13 +0200 ericb  r262216 : #i90774# modify the configure.in for moz2seamonkey migration 2008-10-14 18:48:57 +0200 ericb  r262215 : #i90774# commit moz2seamonkey changes for svn migration 2008-10-14 18:47:05 +0200 ericb  r262214 : #i90774# commit moz2seamonkey changes for svn migration


2009-07-09  Release Engineers  <releng@openoffice.org>  [f7f82b49c719e7184ce4fd6bebb10a1492238a16]

Create DEV300_m52 milestone tag from trunk@273857


2009-07-07  Jan Holesovsky  <kendy@suse.cz>  [eedcc3eb43937f4a3bb8cc9a97af95c034f478f9]

Split build: build.lst updates so that everything builds.

* berkeleydb/prj/build.lst:
* bitstream_vera_fonts/prj/build.lst:
* boost/prj/build.lst:
* curl/prj/build.lst:
* hunspell/prj/build.lst:
* icu/icuversion.mk: Moved to solenv/bin/.
* icu/prj/build.lst:
* moz/prj/build.lst:
* neon/prj/build.lst:
* python/prj/build.lst:
* saxon/prj/build.lst:
* stax/prj/build.lst:

2009-07-07  Jan Holesovsky  <kendy@suse.cz>  [54e565926ad01cfd4bc4ca26ad84ab471df08c92]

Split build: Automake/autoconf stuff.

* .gitignore:
* AUTHORS:
* COPYING:
* ChangeLog:
* INSTALL:
* Makefile.am:
* NEWS:
* README:
* autogen.sh:
* build/prj/build.lst:
* build/src/.gitignore:
* build/src/OpenOffice.org-libs-extern-sys.pc.in:
* build/stamp/.gitignore:
* build/stamp/README.txt:
* buildenv.in:
* configure.in:

2009-07-07  Vladimir Glazounov  <vg@openoffice.org>  [ec740d78bc32bc0e4c56711ed6d98ca161a0edeb]

CWS-TOOLING: integrate CWS tkr22_DEV300 2009-06-10 16:22:32 +0200 tkr  r272826 : #100878# ucpdav1 lib has now the patch flag 2009-06-08 14:38:33 +0200 tkr  r272731 : CWS-TOOLING: rebase CWS tkr22 to branches/OOO310@272261 (milestone: OOO310:m12) 2009-06-08 13:10:16 +0200 tkr  r272728 : #100878# add Wspiapi.h to ne_sockets to prevent win2000 crashes


2009-07-02  Jan Holesovsky  <kendy@suse.cz>  [f64943c638e95eca5f877afaf43b6e5a7dd888de]

Merge commit 'ooo/DEV300_m51'


2009-06-29  Release Engineers  <releng@openoffice.org>  [0200bf86aa3404fcf3a5c0630adb808ef4800219]

Create DEV300_m51 milestone tag from trunk@273467


2009-06-24  Rüdiger Timm  <rt@openoffice.org>  [df8ba285ddb09ddb7d9ddfae98559cebe8c9a738]

#i92629# remove DOS line ends from neon patch file


2009-06-24  Rüdiger Timm  <rt@openoffice.org>  [1eaac327c1f93c4be58ea7af617d669caf4f7f21]

#i92629# remove DOS line ends from curl patch file


2009-06-23  Jan Holesovsky  <kendy@suse.cz>  [9dfd3cfa0d9c422078a34936d4bc9fbc8b473368]

Merge commit 'ooo/DEV300_m50'


2009-06-22  Ivo Hinkelmann  <ihi@openoffice.org>  [4e1ac5cd6f67545a79f2313021fbf0285bbf3bee]

#i10000# #i99046# svn property removed


2009-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [72f7bd123d2b45abe20cf097a6e3367c82279b00]

#i10000# #i100103# icu patch


2009-06-10  Release Engineers  <releng@openoffice.org>  [79f93dff771bdf9d6328ddf97802f754521d4bc0]

Create DEV300_m50 milestone tag from trunk@272824


2009-06-04  Kurt Zenker  <kz@openoffice.org>  [77e1375915058021ad903915e3a2172139dc6b45]

CWS-TOOLING: integrate CWS cmcfixes59 2009-05-18 10:10:11 +0200 cmc  r272001 : #i102012# remove extensions warnings, and set as warnings-free 2009-05-16 17:29:59 +0200 cmc  r271981 : #i101990# silence warning, logic is unchanged 2009-05-16 17:13:59 +0200 cmc  r271980 : #i100412 remove warning, logic is unchanged 2009-05-16 17:08:57 +0200 cmc  r271979 : #i100412 remove warning, logic is unchanged, matches comments for intent 2009-05-16 17:01:08 +0200 cmc  r271978 : #i86576# remove uncallable code 2009-05-16 15:41:46 +0200 cmc  r271977 : #i101988# fix up consts for warning-free


2009-05-28  Kurt Zenker  <kz@openoffice.org>  [747787410a988cf6dfa8a80c766a62e138af9e7e]

CWS-TOOLING: integrate CWS ause101 2009-05-11 14:39:16 +0200 hjs  r271770 : #i101204# more selective copy 2009-05-07 19:16:08 +0200 hjs  r271693 : #i101651# embed windows manifest 2009-05-07 18:43:17 +0200 hjs  r271692 : #i101650# fix CHECKZIPRESULT for bash 2009-05-07 18:25:43 +0200 hjs  r271690 : #i101649# workaround warnings in generated code


2009-05-18  Jens-Heiner Rechtien  <hr@openoffice.org>  [238ac40111884ba91964e25eeefa1adafe2bcd84]

CWS-TOOLING: integrate CWS cairocanvastext01 2009-05-12 07:10:00 +0200 mox  r271795 : Rename ::GetLayoutData() to ::GetSysTextLayoutData() to avoid build breakage in sc module. 2009-05-11 23:40:57 +0200 mox  r271794 : merge fixes (again). These files should have been removed by the rebase. 2009-05-11 20:17:44 +0200 mox  r271791 : fix build breakage on UNX 2009-05-11 16:53:15 +0200 mox  r271779 : Documentation fix 2009-05-11 16:49:16 +0200 mox  r271778 : merge fixes 2009-05-11 14:10:36 +0200 mox  r271769 : CWS-TOOLING: rebase CWS cairocanvastext01 to trunk@271427 (milestone: DEV300:m47) 2009-05-11 10:55:11 +0200 mox  r271760 : merge fixes 2009-05-11 10:49:44 +0200 mox  r271759 : manual merge to DEV300_m47 2009-05-11 10:42:11 +0200 mox  r271758 : merge fixes 2009-05-11 10:29:16 +0200 mox  r271757 : Manual merge to DEV300_m47 2009-05-11 10:21:13 +0200 mox  r271756 : manual merge to DEV300_m47 2009-05-11 10:10:29 +0200 mox  r271755 : manual merge to DEV300_m47 2009-05-11 10:01:33 +0200 mox  r271754 : Manual merge to DEV300_m47 2009-05-11 09:59:30 +0200 mox  r271753 : manual merge to DEV300_m47 2009-05-11 09:57:33 +0200 mox  r271752 : merge fixes 2009-05-11 09:56:05 +0200 mox  r271751 : merge fixes 2009-05-11 09:53:26 +0200 mox  r271749 : Manual merge to DEV300_m47 2009-05-11 09:49:34 +0200 mox  r271748 : manual merge to DEV300_m47 2009-05-11 09:43:20 +0200 mox  r271747 : manual merge to DEV300_m47 2009-05-11 09:30:10 +0200 mox  r271745 : Manual merge to DEV300_m47 2009-05-11 09:28:59 +0200 mox  r271744 : manual merge to DEV300_m47 2009-05-11 09:24:49 +0200 mox  r271743 : Fix to merge 2009-05-11 09:21:55 +0200 mox  r271742 : Manual merge to DEV300_m47 2009-05-11 09:18:13 +0200 mox  r271741 : merge fixes 2009-05-11 09:00:50 +0200 mox  r271739 : Manual merge to DEV300_m47 2009-05-09 13:26:10 +0200 mox  r271734 : cleanup 2009-05-09 13:17:22 +0200 mox  r271733 : WNT build fixes 2009-05-09 09:23:59 +0200 mox  r271732 : Implement proper cross-platform font width calculation Implement faux bold support 2009-02-21 19:47:08 +0100 mox  r268339 : CWS-TOOLING: rebase CWS cairocanvastext01 to trunk@267171 (milestone: DEV300:m41) 2009-01-19 21:51:21 +0100 mox  r266530 : Fix compilation on win32 2009-01-19 21:37:20 +0100 mox  r266529 : Fix typo 2009-01-19 21:35:28 +0100 mox  r266528 : Better debug 2009-01-19 21:13:30 +0100 mox  r266527 : Win32 fixes for proper text rendering 2009-01-19 21:12:56 +0100 mox  r266526 : Win32 fixes for proper text rendering 2008-12-27 13:04:05 +0100 mox  r265814 : configure fixes 2008-12-27 11:37:00 +0100 mox  r265813 : x86_64 works only with system-cairo 2008-12-26 20:02:32 +0100 mox  r265809 : Use the fix for 64bit builds 2008-12-25 16:58:11 +0100 mox  r265802 : Fix build breaker on WNT 2008-12-24 23:04:58 +0100 mox  r265801 : Unbreak build after rebase. 2008-12-23 18:52:32 +0100 mox  r265790 : CWS-TOOLING: rebase CWS cairocanvastext01 to trunk@265758 (milestone: DEV300:m38) 2008-12-23 18:23:09 +0100 mox  r265789 : Fix the fix 2008-12-23 18:21:27 +0100 mox  r265788 : Fix OS2 stuff 2008-12-11 19:50:40 +0100 mox  r265354 : Fix build breaker on Mac 2008-12-09 22:00:53 +0100 mox  r265139 : CWS-TOOLING: rebase CWS cairocanvastext01 to trunk@264807 (milestone: DEV300:m37) 2008-12-08 23:02:32 +0100 thb  r265052 : Removed outdated parts from readme 2008-12-08 22:26:54 +0100 mox  r265051 : cleanup 2008-12-07 19:55:31 +0100 mox  r264967 : Fix for non-intel processors. 2008-12-07 19:47:11 +0100 mox  r264963 : sysdata fixes 2008-12-07 19:23:27 +0100 mox  r264959 : Sysdata fixes 2008-12-07 19:01:48 +0100 mox  r264958 : Fix sysdata usage 2008-12-07 11:41:33 +0100 mox  r264951 : sysdata fixes 2008-12-07 11:38:32 +0100 mox  r264950 : sysdata fixes 2008-12-06 23:15:06 +0100 mox  r264947 : Try to fix error: __sync_val_compare_and_swap_4 2008-12-06 23:09:30 +0100 mox  r264945 : Revert unnecessary change. 2008-12-06 23:04:40 +0100 mox  r264944 : Use pre/postx from tools module. 2008-12-06 22:49:08 +0100 mox  r264943 : Use proper pre/post includes. 2008-12-06 22:48:03 +0100 mox  r264942 : Use pre/postx from tools module. 2008-12-06 22:24:10 +0100 mox  r264941 : Fix build breaker. 2008-12-06 21:55:46 +0100 mox  r264940 : Make pre/postx.h properly available 2008-12-06 21:54:23 +0100 mox  r264939 : Make pre/postx.h properly available. 2008-12-06 21:43:09 +0100 mox  r264938 : Try to fix error: __sync_val_compare_and_swap_4 2008-12-06 21:12:18 +0100 mox  r264937 : Remove obsolete pre-built binaries 2008-12-06 21:07:40 +0100 mox  r264936 : WNT: do not hardcode pixman version in cairo build 2008-12-06 19:26:44 +0100 mox  r264934 : Revert pixman upgrade. 2008-12-06 18:35:14 +0100 mox  r264933 : Fix build breaker 2008-12-06 18:31:11 +0100 mox  r264932 : Use static pixman lib on unx/32bit to avoid linking problems 2008-12-06 17:22:52 +0100 mox  r264930 : Update pixman to 0.13.2 2008-12-06 13:30:41 +0100 mox  r264928 : Fix accidentally changed property 2008-12-06 13:09:00 +0100 mox  r264927 : Fix accidental prop changes 2008-12-06 12:40:08 +0100 mox  r264926 : Fix build breaker on Win32 2008-12-06 12:39:22 +0100 mox  r264925 : Fix build breaker on Win32 2008-12-06 12:30:23 +0100 mox  r264924 : Fix build breakers on win32 2008-12-06 11:45:33 +0100 mox  r264923 : revert. 2008-12-06 11:43:05 +0100 mox  r264922 : Try to fix header include problems on WNT 2008-12-06 09:57:35 +0100 mox  r264921 : Cleanup accidental props 2008-11-29 14:43:51 +0100 mox  r264580 : Move headers around to make all platforms compile 2008-11-29 14:41:59 +0100 mox  r264579 : WaE fixes for X11 2008-11-29 13:13:49 +0100 mox  r264578 : Fix build breaker on linux 2008-11-29 12:21:03 +0100 mox  r264577 : Fix build breaker 2008-11-29 12:13:50 +0100 mox  r264576 : Try to fix build breaker 2008-11-28 22:51:27 +0100 mox  r264573 : Revert header includes to common style 2008-11-18 18:59:15 +0100 mox  r263794 : Fix build breaker. 2008-11-17 20:28:19 +0100 mox  r263740 : Revert most configure hacks 2008-11-17 20:12:51 +0100 mox  r263739 : CWS-TOOLING: rebase CWS cairocanvastext01 to trunk@263288 (milestone: DEV300:m35) 2008-11-14 21:22:22 +0100 mox  r263698 : ZLIB_FIX define set 2008-11-14 18:48:22 +0100 mox  r263694 : hardcode zlib paths 2008-11-14 16:23:07 +0100 mox  r263683 : Fix typo 2008-11-13 20:16:13 +0100 mox  r263662 : WaE fix 2008-11-13 19:44:29 +0100 mox  r263661 : Properly include zlib headers for win32 2008-11-12 20:05:51 +0100 mox  r263610 : Add debugging code. 2008-11-10 19:44:35 +0100 mox  r263537 : Try to fix build breaker 2008-11-09 22:34:35 +0100 mox  r263504 : Remove accidentally added svn:ignore properties. 2008-11-09 22:33:21 +0100 mox  r263503 : prop should be actually deleted. 2008-11-09 22:30:06 +0100 mox  r263502 : props should be empty. 2008-11-09 22:23:22 +0100 mox  r263501 : Try fix props again... 2008-11-09 22:11:26 +0100 mox  r263500 : try to fix svn:ignore 2008-11-09 21:30:01 +0100 mox  r263499 : CWS-TOOLING: rebase CWS cairocanvastext01 to trunk@262620 (milestone: DEV300:m34) 2008-11-09 20:30:55 +0100 mox  r263498 : add missing cairo patch 2008-11-09 10:56:33 +0100 mox  r263494 : Resync cairo module with cws cairosource01 2008-11-01 09:32:19 +0100 mox  r262870 : CWS-TOOLING: rebase CWS cairocanvastext01 to trunk@262620 (milestone: DEV300:m34) 2008-10-26 20:55:48 +0100 mox  r262663 : Fix build breaker 2008-10-25 13:10:00 +0200 mox  r262662 : CWS rebase to m33 2008-10-12 19:47:56 +0200 mox  r262170 : Migrate CWS cairocanvastext01 to SVN.


2009-05-12  Release Engineers  <releng@openoffice.org>  [9e7537c8bf47ef27d6058950b02fbe32e935c969]

Create DEV300_m48 milestone tag from trunk@271829


2009-05-08  Kurt Zenker  <kz@openoffice.org>  [5ff488b35e96afed362c74b33be90e4c58bd4091]

#i101531# syntax fixed


2009-04-27  Ivo Hinkelmann  <ihi@openoffice.org>  [6d8f1163729c01f3d3da43948a169eaa63a28bf3]

CWS-TOOLING: integrate CWS sb107 2009-04-14 13:09:13 +0200 sb  r270758 : CWS-TOOLING: rebase CWS sb107 to trunk@270723 (milestone: DEV300:m46) 2009-04-06 14:11:54 +0200 sb  r270545 : #i100884# improve pagein effectiveness: wrap system libs in --as-needed on unxlngi6/unxlngx6 to avoid needing them where unneeded; link pagein as C program to avoid unneeded C++ runtime dependency; reorder pagein and javaldx in soffice startup script so that javaldx benefits from pagein 2009-03-31 16:40:23 +0200 sb  r270287 : decrease collisions in hashCode computation 2009-03-30 11:48:39 +0200 sb  r270207 : #i100668# corrected explicit template instantiation 2009-03-26 14:16:26 +0100 sb  r270078 : #i100408# inadvertently dropped libexslt dynamic library in previous rev 269789 2009-03-26 10:52:51 +0100 sb  r270058 : #i100576# fixed erroneous modification of RPM in previous rev 270057 2009-03-26 10:46:36 +0100 sb  r270057 : #i100576# Enable HAVE_LD_HASH_STYLE in sdev300.ini for unxlgni6 and unxlngx6; corrected unxlngx6.mk so that HAVE_LD_HASH_STYLE actually has an effect on ultimate LINKFLAGS value. 2009-03-25 16:53:39 +0100 sb  r270038 : #i85679# applied speed-symbolic-functions.diff provided by pmladek; re-ran autoconf; enabled HAVE_LD_BSYMBOLIC_FUNCTIONS for unxlngi6 and unxlngx6 in sdev300.ini 2009-03-25 15:29:12 +0100 sb  r270031 : #i100408# missing fixes in addition to -c 269789 (to actually only put single instances of certain libraries into installation sets) 2009-03-25 15:17:10 +0100 sb  r270029 : #i10084# revert masterfix additions of libraries to APPnSTDLIBs (during -r269000:269199) and instead use -rpath-link to avoid linker warnings on unxlngi6 and unxlngx6 2009-03-25 14:15:23 +0100 sb  r270023 : added svn:ignore 2009-03-25 10:25:08 +0100 sb  r270002 : #i10000# copied over trunk -c 269820 2009-03-23 10:16:00 +0100 sb  r269858 : CWS-TOOLING: rebase CWS sb107 to trunk@269781 (milestone: DEV300:m44) 2009-03-20 11:22:27 +0100 sb  r269789 : #i100408# reduce (multiple copies of) libraries delivered to solver; for that to work fine, deliver symlink feature got improved to only create a symlink if the original file exists 2009-03-20 09:21:32 +0100 sb  r269782 : #i100396# replace s(HTML|RTF)_xxx declarations with OOO_STRING_SVTOOLS_(HTML|RTF)_xxx macros to reduce symbolic relocations at load time (at least on ELF systems). 2009-03-19 11:34:56 +0100 sb  r269734 : #i100348# added VISIBILITY_HIDDEN=TRUE so that symbols from the resulting archive are not erroneously exported from dynamic libraries including the archive 2009-03-19 11:32:20 +0100 sb  r269733 : #i100348# as a prerequisite for following changes, brought jpeg-6b.patch into "dmake create_patch" format and removed application/octet-stream svn:mime-type 2009-03-12 10:39:08 +0100 sb  r269370 : duplicated cws/odfmetadata2/solenv/inc/target.mk -c 268831 2009-03-04 17:25:16 +0100 sb  r268849 : #i99880# missing AUGMENT_LIBRARY_PATH 2009-02-25 17:54:34 +0100 sb  r268459 : CWS-TOOLING: rebase CWS sb107 to trunk@268395 (milestone: DEV300:m42) 2009-02-25 09:23:15 +0100 sb  r268413 : #i99584# avoid undefined operations on nOffset (patch by cmc) 2009-02-23 10:02:25 +0100 sb  r268344 : #i99519 removed unnecessary library dependencies 2009-02-18 17:54:24 +0100 sb  r268250 : avoid warnings about format specifier and argument mismatch (on 64bit debug builds) 2009-02-18 17:50:34 +0100 sb  r268249 : avoid erroneous warning that control reaches end of non-void function 2009-02-18 17:33:53 +0100 sb  r268248 : sdext/source/pdfimport/misc/pdfihelper.cxx: #include <vcl/canvastools.hxx>


2009-04-24  Oliver Bolte  <obo@openoffice.org>  [686382cb40ac2580c1ac2efaf035d91b3916b9bc]

#i101079# mingw port patch file: PATCH_FILE_NAME->PATCH_FILES


2009-04-22  Ivo Hinkelmann  <ihi@openoffice.org>  [67f047b4609a83998fdf435bc07c27f7efa00389]

CWS-TOOLING: integrate CWS python26 2009-04-22 11:57:41 +0200 obo  r271091 : #i101079# mingw port (by tono) 2009-04-22 11:56:37 +0200 obo  r271090 : #i101079# mingw port (by tono) 2009-04-22 11:55:55 +0200 obo  r271089 : #i101079# mingw port (by tono) 2009-04-22 11:26:00 +0200 obo  r271084 : #i100492# Patch for FreeBSD (by maho) 2009-04-21 10:19:01 +0200 obo  r271020 : #i92413# make python buildable in Hamburg RE environment 2009-04-17 15:52:57 +0200 obo  r270952 : #i10000# fix for 4NT shell support 2009-04-17 15:16:39 +0200 hjs  r270951 : #i92413# - remove gcc warnings about new struct member. fetched fomr DEV300 2009-04-17 10:30:28 +0200 sb  r270927 : #i92413# adaptions for Solaris and/or bash 2009-04-16 00:36:32 +0200 jbu  r270861 : #i101080# patch for bash environment provided by tono 2009-04-15 13:50:01 +0200 rene  r270842 : #i100997# allow also python < 2.6 again 2009-03-12 14:23:32 +0100 rene  r269410 : cleanup: remove Python 2.3.4 - not referenced anymore 2009-03-11 21:48:58 +0100 jbu  r269356 : native python modules pyuno.dll -> pyuno.pyd (required by 2.6 python runtime) 2009-03-11 11:11:43 +0100 rene  r269307 : fix typo; regen configure 2009-03-10 11:44:54 +0100 rene  r269262 : update _AM_PYTHON_INTERPRETER_LIST 2009-03-10 00:30:09 +0100 jbu  r269233 : python26 now builds on windows (installation set not built yet) 2009-03-06 21:45:20 +0100 jbu  r269050 : python 2.6.1-linuxx86: PYTHONHOME variable removed from set_soenv.in (is now unecessary), added new and removed old python blob, linux x86 builds without patches, windows build still needs to be done and is now broken 2009-03-06 14:08:33 +0100 rene  r269004 : #i92413#


2009-04-20  Philipp Lohmann  <pl@openoffice.org>  [05d2ab2694a0c1f06e91578729646c1d344d7a12]

CWS-TOOLING: rebase CWS printerpullpages to trunk@270723 (milestone: DEV300:m46)


2009-10-08  hg  <hg@oosvn01.>  [fc9861aaba795ea0e1cb8ac8afadcd0315a4f07b]

merge with m44


2009-10-08  hg  <hg@oosvn01.>  [6c22082295d6ae88a25eb3e16669230d48743126]

merge with m40


2009-10-08  hg  <hg@oosvn01.>  [f5e307e4f3ba4b1664320c96515c8982c40bc4af]

merge


2009-04-15  Oliver Bolte  <obo@openoffice.org>  [f08f78ce9ed5d9c9b9334f493c36b5f37cb7e944]

#i92532#,#i10000# file change from CWS sw31bf08 (not commited in CWS)


2009-04-10  Release Engineers  <releng@openoffice.org>  [b3d5264f0ea21998272cbeeb89c9b547c741871c]

CWS-TOOLING: integrate CWS mingwport18 2009-03-27 12:51:41 +0100 tono  r270150 : CWS-TOOLING: rebase CWS mingwport18 to trunk@270033 (milestone: DEV300:m45) 2009-03-26 22:41:14 +0100 tono  r270120 : files with invalid names removed 2009-03-26 22:40:11 +0100 tono  r270119 : files with invalid names removed 2009-03-26 22:39:04 +0100 tono  r270118 : files with invalid names removed 2009-03-26 22:36:00 +0100 tono  r270117 : files with invalid names removed 2009-03-26 22:33:42 +0100 tono  r270116 : files with invalid names removed 2009-03-26 22:32:14 +0100 tono  r270115 : files with invalid names removed 2009-03-26 22:24:41 +0100 tono  r270114 : files with invalid names removed 2009-03-26 22:16:41 +0100 tono  r270113 : files with invalid names removed 2009-03-26 22:15:52 +0100 tono  r270112 : files with invalid names removed 2009-03-26 22:14:44 +0100 tono  r270111 : files with invalid names removed 2009-03-26 22:12:28 +0100 tono  r270110 : files with invalid names removed 2009-03-26 21:46:31 +0100 tono  r270109 : files with invalid names removed 2009-03-22 12:41:21 +0100 tono  r269847 : i#100463: MinGW port header patch enhancement 2009-03-22 12:39:39 +0100 tono  r269846 : i#100462: MinGW port update for python 2009-03-22 12:37:52 +0100 tono  r269845 : i#100461: MinGW port fix for store/workben 2009-03-22 12:36:10 +0100 tono  r269844 : i#100460: MinGW port fix for sal when debug=true 2009-03-21 01:06:50 +0100 tono  r269833 : i#100210: MinGW port fix for hunspell-1.2.8 2009-03-21 01:04:08 +0100 tono  r269832 : i#100209: MinGW port fix for sspi


2009-04-02  Ivo Hinkelmann  <ihi@openoffice.org>  [d30217dc8520b197fa54751504c048d0c38f8bd0]

CWS-TOOLING: integrate CWS mh31_last_DEV300 2009-03-26 15:35:24 +0100 mh  r270083 : chg: syntax, #i10000# 2009-03-25 11:38:12 +0100 mh  r270008 : update of THIRDPARTYLICENSEREADME 2009-03-24 16:41:31 +0100 mh  r269968 : backport fix for instsetoo_native fails if pkgtype archive and TMP not set, #i99106# 2009-03-24 11:18:28 +0100 mh  r269924 : Build breaks in pyuno: pyconfig.h not found, #i96841# set the CPPFLAGS=-D_FORTIFY_SOURCE=0 to make it compile for Ubuntu 8.10 hopefully this will not have side effects on any other platforms real fix will be the upgrade to python 2.6 by jbu


2009-04-01  Ivo Hinkelmann  <ihi@openoffice.org>  [0e517f5b397eeeb0737bbbc4f00e013f40839f6e]

CWS-TOOLING: integrate CWS sw31bf08_DEV300 2009-03-20 11:52:54 +0100 b_michaelsen  r269791 : using factory to init dialogs - fixes linking breakage 2009-03-18 13:10:52 +0100 mba  r269653 : #i92532#: makefile.mk didn't copy hyphenation dictionary 2009-03-17 18:20:46 +0100 b_michaelsen  r269623 : fixing win32 buildbreakers 2009-03-17 16:45:19 +0100 b_michaelsen  r269618 : #i100235# Improvementprogram is missing in tools options (all languages but EN_US) 2009-03-16 17:43:09 +0100 mst  r269562 : fix #i100227# - sfx2/source/doc/objuno.cxx:   + do not return invalid Handles in PropertySetInfo


2009-03-26  Oliver Bolte  <obo@openoffice.org>  [fa887f029049f17fbc7870008010211b10944784]

#i10000# fix for wntmsci10


2009-03-24  Hans-Joachim Lankenau  <hjs@openoffice.org>  [8253bf6db3cc26e2fe80315265f226675397d2cd]

CWS-TOOLING: integrate CWS obo36 2009-03-19 14:29:45 +0100 obo  r269745 : #i71528#,#i96957# new build process for windows 2009-01-23 10:47:46 +0100 obo  r266788 : CWS-TOOLING: rebase CWS obo36 to trunk@266428 (milestone: DEV300:m39)


2009-03-20  Release Engineers  <releng@openoffice.org>  [3f9a1960051dd20f61383205b6c09bebd5c0200b]

Create DEV300_m44 milestone tag from trunk@269780


2009-03-12  Vladimir Glazounov  <vg@openoffice.org>  [ce024d75bb821ffa16fe555640e988e30c7d7dad]

CWS-TOOLING: integrate CWS mingwport17 2009-02-02 09:09:07 +0100 tono  r267246 : i#98723#: Less conditionals in libs.mk for mingw 2009-02-02 09:06:03 +0100 tono  r267244 : i#98722#: Skip building ldump in mingw 2009-02-02 09:04:05 +0100 tono  r267243 : i#98721#: Improve symbol extraction in mingw 2009-02-02 09:02:07 +0100 tono  r267242 : i#98720#: Improve strip performance in mingw 2009-02-02 08:59:36 +0100 tono  r267241 : i#98719#: Copy mingw multithread runtime in external 2009-02-02 08:55:09 +0100 tono  r267240 : i#98718#: Cleanup cygwin workaround for mingw 2009-02-02 08:53:33 +0100 tono  r267239 : i#98718#: Cleanup cygwin workaround for mingw 2009-02-02 08:50:36 +0100 tono  r267237 : i#98717#: Avoid MSVC version check in mingw configure 2009-01-28 22:28:53 +0100 tono  r267088 : i#97608#: Remove Guiddef.h inclusion 2009-01-28 22:24:23 +0100 tono  r267087 : i#96980#: cairo dll name is different in mingw build 2009-01-28 22:19:19 +0100 tono  r267086 : i#96731#: MinGW port fro embedserv update


2009-03-09  Release Engineers  <releng@openoffice.org>  [9214501ae335938203137b4f399f08fc90ea659b]

#i10000# PATCH_FILE_NAME -> PATCH_FILES


2009-03-09  Oliver Bolte  <obo@openoffice.org>  [0dbfb670204a39b79bd6f5d5f42cbcdc3cbaf3c6]

#i10000# AUGMENT_LIBRARY_PATH missing


2009-03-06  Release Engineers  <releng@openoffice.org>  [df1959ed97760d677a92a473b1ec2bef460e4cc7]

#i10000# fix for LD_LIBRARY_PATH


2009-03-06  Release Engineers  <releng@openoffice.org>  [e7f091b2e457d21fd9565a0d12b1656c7ba9e9f8]

#i10000# fix for LD_LIBRARY_PATH


2009-03-06  Oliver Bolte  <obo@openoffice.org>  [a77f2482b3a773367facd93d53c7d5fe9655ddc7]

#i99305# remove DOS line ends


2009-03-05  Oliver Bolte  <obo@openoffice.org>  [559ff2a3c0adbbdfd8910b72d161de4595590bf2]

CWS-TOOLING: integrate CWS ooo31gsl2_DEV300 2009-02-18 16:57:37 +0100 hdu  r268244 : #i99367# force logical-width of diacritic glyphs to zero 2009-02-18 14:51:18 +0100 pl  r268224 : #i98525# correct popup menu position on right side in RTL UI 2009-02-18 13:17:20 +0100 pl  r268213 : #i99299# check for NULL ptr 2009-02-18 10:51:48 +0100 pl  r268204 : #i99167# revert change from issue 93173 2009-02-17 16:56:47 +0100 hdu  r268181 : #i99295# src-=debug 2009-02-17 16:43:40 +0100 hdu  r268180 : #i99295# retarget unresolved pLogCluster[n] to a glyph inside the cluster 2009-02-17 16:15:45 +0100 sj  r268178 : #i94831# fixed performance of table import, no longer looping 2009-02-17 13:19:00 +0100 hdu  r268165 : #i97304# reapplied SJ's fix for OOo31 2009-02-17 12:04:53 +0100 hdu  r267989 : #i99241# revert upstream change from icu-trac issue 6249 2009-02-16 18:35:07 +0100 pl  r267832 : #i99166# convolute the already convoluted RTL positioning code some more 2009-02-16 17:25:24 +0100 hdu  r267828 : #i99227# do not export the glyph-flags for the i97326-workaround 2009-02-13 16:26:10 +0100 pl  r267729 : #i98525# remove unused typeinfo header 2009-02-13 16:25:02 +0100 pl  r267728 : #i98525# fix scrolling and native menu issues in RTL UI 2009-02-13 11:18:37 +0100 pl  r267705 : #i98525# merge from CWS vcl99


2009-03-04  Oliver Bolte  <obo@openoffice.org>  [dc2bd13ea257f65b70ed2f953ab826c1981f0555]

CWS-TOOLING: integrate CWS rptfix04 2009-02-23 01:59:54 +0100 rene  r268341 : #i10000# fix system-jfreereport build 2009-02-13 10:17:16 +0100 oj  r267696 : #i98549# integrate zip form pentaho package 2009-02-03 14:48:34 +0100 oj  r267330 : set formula locale to doc locale 2009-02-03 14:45:54 +0100 oj  r267329 : set formula locale to doc locale 2009-02-03 11:50:03 +0100 oj  r267311 : set formula locale to doc locale 2009-02-03 08:55:02 +0100 oj  r267297 : unix line ends 2009-01-28 11:21:24 +0100 rene  r267043 : #i98549# s/DESIGN/BUILDER/ also for Sun 2009-01-27 17:17:50 +0100 rene  r267012 : merge builfix from trunk 2009-01-27 14:16:30 +0100 rene  r266991 : #i10000# fix rebase which left out the whole changes in former config_office; sync variable names (s/LIB_//) and some other things 2009-01-27 10:01:09 +0100 oj  r266959 : CWS-TOOLING: rebase CWS rptfix04 to trunk@266944 (milestone: DEV300:m40) 2009-01-27 08:00:16 +0100 oj  r266951 : conflict in mergeinfo 2009-01-26 12:23:03 +0100 oj  r266914 : #i98383# fix grouping 2009-01-23 22:03:03 +0100 rene  r266852 : fix --enable-report-builder description 2009-01-23 10:37:27 +0100 oj  r266778 : set escape processing when set at query 2009-01-23 09:17:16 +0100 fs  r266770 : add CWS name to version 2009-01-21 13:57:35 +0100 oj  r266669 : merge for build bots 2009-01-20 09:07:24 +0100 oj  r266552 : CWS-TOOLING: rebase CWS rptfix04 to trunk@266428 (milestone: DEV300:m39) 2009-01-20 08:34:16 +0100 oj  r266551 : rebase 2009-01-20 08:33:59 +0100 oj  r266550 : rebase 2009-01-20 08:32:50 +0100 oj  r266549 : rebase 2009-01-20 08:30:13 +0100 oj  r266548 : rebase 2009-01-20 08:29:30 +0100 oj  r266547 : rebase 2009-01-20 08:22:33 +0100 oj  r266546 : merge short cuts from dba31g 2009-01-19 21:04:08 +0100 rene  r266525 : #i10000# we need officecfg for component-update.dtd 2009-01-19 21:01:26 +0100 rene  r266524 : #i10000# fix import 2009-01-19 20:26:20 +0100 rene  r266523 : #i10000# remove svn conflicts markers; fix build 2009-01-19 14:23:56 +0100 rene  r266496 : libbase depends on apache-commons.. 2009-01-19 14:00:42 +0100 oj  r266495 : merge from m39 2009-01-19 12:39:00 +0100 oj  r266489 : CWS-TOOLING: rebase CWS rptfix04 to trunk@266428 (milestone: DEV300:m39) 2009-01-16 11:47:04 +0100 oj  r266410 : #i97560# add , between expressions 2009-01-09 17:11:38 +0100 rene  r266103 : don't show "checking which Apache commons-* libs to use" when we neither build the wiki editor nor  the SRB 2009-01-09 16:48:02 +0100 rene  r266099 : #i10000# reportbuilder needs apache-commons 2009-01-09 15:43:35 +0100 oj  r266093 : use of new nspaces 2009-01-09 15:41:34 +0100 oj  r266092 : use of new nspaces 2009-01-09 14:44:15 +0100 rene  r266088 : fix typo/description 2009-01-09 12:48:51 +0100 rene  r266074 : #i10000# fix install 2009-01-09 11:52:53 +0100 rene  r266070 : #i10000# more build fixes 2009-01-09 10:53:13 +0100 rene  r266062 : #i10000# ENABLE_REPORTBUILDER also in set_soenv.in, fix typo 2009-01-09 10:40:24 +0100 rene  r266060 : #i10000# configure fix for new reportbuilder module, typo fix at libfonts 2009-01-09 10:01:52 +0100 rene  r266055 : #i10000# adapt to current configure.in 2009-01-09 09:59:32 +0100 oj  r266054 : add new pentaho jars 2009-01-09 09:47:54 +0100 oj  r266049 : merge changes from DEV300_m39 2009-01-09 09:14:08 +0100 oj  r266048 : merge from DEV300_m39 2009-01-09 08:28:43 +0100 oj  r266045 : merge changes from dba31g 2009-01-09 07:58:10 +0100 oj  r266044 : replace JCOMMON with LIB 2009-01-08 13:42:24 +0100 oj  r266005 : move ext to reportbuilder 2009-01-08 13:41:38 +0100 oj  r266004 : add dep for license 2009-01-08 13:27:56 +0100 oj  r266001 : new module for Sun report Builder extension 2009-01-07 12:58:13 +0100 oj  r265960 : CWS-TOOLING: rebase CWS rptfix04 to trunk@265758 (milestone: DEV300:m38) 2008-12-15 13:47:18 +0100 oj  r265481 : new pentaho resources 2008-12-15 10:04:01 +0100 oj  r265462 : integrate new pentaho sources 2008-12-15 10:02:54 +0100 oj  r265461 : #i96888# fix date time function 2008-12-12 09:23:29 +0100 oj  r265389 : #97174# check of res < 0 removed 2008-12-12 09:15:54 +0100 oj  r265388 : #i9716# fix for DayFunction 2008-12-11 12:24:24 +0100 oj  r265281 : integrate new pentaho sources 2008-12-11 11:49:16 +0100 oj  r265273 : integrate new pentaho sources 2008-12-11 09:34:07 +0100 oj  r265248 : integrate new pentaho sources 2008-12-10 18:58:06 +0100 oj  r265227 : introduce new pentaho sources 2008-12-10 18:56:43 +0100 oj  r265226 : introduce new pentaho sources 2008-12-10 18:54:26 +0100 oj  r265225 : introduce new pentaho sources 2008-12-10 18:42:59 +0100 oj  r265221 : introduce new pentaho sources 2008-12-10 17:24:23 +0100 oj  r265212 : introduce new pentaho sources 2008-12-10 17:24:07 +0100 oj  r265211 : new pentaho sources 2008-12-10 17:23:00 +0100 oj  r265210 : introduce new pentaho sources


2009-03-04  Oliver Bolte  <obo@openoffice.org>  [6e5e5ab1df06adc0460cba7ce00d22374334610b]

CWS-TOOLING: integrate CWS hunspell4thesaurus 2009-02-02 16:45:01 +0100 hjs  r267278 : #i98415# - kick touch here - go for the root cause elsewhere 2009-02-02 12:09:15 +0100 hjs  r267257 : #i98415# - fix parameters of touch 2009-01-23 23:13:00 +0100 mba  r266855 : fixed warning 2009-01-23 18:59:55 +0100 mba  r266848 : #i98415#: touch copied files 2009-01-21 09:58:05 +0100 nemeth  r266633 : CWS-TOOLING: rebase CWS hunspell4thesaurus to trunk@266428 (milestone: DEV300:m39) 2009-01-21 09:04:48 +0100 nemeth  r266629 : Issue: #19563 Submitted by: nemeth Reviewed by: nemeth Patch: handle bad dictionary items for back compatibility (affix separator without affix flags) 2009-01-20 20:04:10 +0100 nemeth  r266622 : Issue: #19563 Submitted by: nemeth Reviewed by:nemeth Add two small fixes for SF.net Hunspell Bug ID 2487684 2519814 2008-12-10 00:21:41 +0100 nemeth  r265141 : CWS-TOOLING: rebase CWS hunspell4thesaurus to trunk@264807 (milestone: DEV300:m37) 2008-12-09 16:12:56 +0100 nemeth  r265113 : #i19563#: fixed stemming, and #i90028#: fixed and improved hyphenation 2008-11-26 23:09:05 +0100 nemeth  r264438 : #i90028#: CWS hunspell4thesaurus: Windows fixes of the Hunspell patch. 2008-11-26 22:51:03 +0100 nemeth  r264436 : CWS-TOOLING: rebase CWS hunspell4thesaurus to trunk@264325 (milestone: DEV300:m36) 2008-11-22 09:02:20 +0100 nemeth  r264182 : CWS-TOOLING: rebase CWS hunspell4thesaurus to trunk@263288 (milestone: DEV300:m35) 2008-11-22 08:23:10 +0100 nemeth  r264181 : CWS-TOOLING: rebase CWS hunspell4thesaurus to trunk@263288 (milestone: DEV300:m35) 2008-11-21 22:15:21 +0100 nemeth  r264176 : #i90028#: migrate CWS hunspell4thesaurus to SVN.


2009-02-23  Oliver Bolte  <obo@openoffice.org>  [a04dcb600a218b746a0a6ac147759d6ffb1bb002]

#i92532#,i10000# from OOO310_m2


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [6676e5df6beeafd4e3fa86321f53f68cb06edc3a]

CWS-TOOLING: integrate CWS sb104 2009-01-27 13:09:06 +0100 sb  r266986 : #i97992# cws rebase: merged cws/sb104/config_office/set_soenv.in with moved tags/DEV300_m40/set_soenv.in 2009-01-27 10:56:40 +0100 sb  r266966 : CWS-TOOLING: rebase CWS sb104 to trunk@266944 (milestone: DEV300:m40) 2009-01-20 14:37:00 +0100 sb  r266581 : #i97992# missing treatment of Solaris-only adjustvisibility as build-internal tool 2009-01-20 09:32:38 +0100 sb  r266554 : CWS-TOOLING: rebase CWS sb104 to trunk@266428 (milestone: DEV300:m39) 2009-01-14 13:40:45 +0100 sb  r266296 : #i97992# do not pass comment lines to shell 2009-01-14 12:50:34 +0100 sb  r266290 : #i97992# avoid problems with checkdll not finding AWTLIB and its dependents 2009-01-14 12:49:20 +0100 sb  r266289 : #i97992# on Linux and Solaris, regxpcom apparently needs to be called with the libxpcom.so directory on the LD_LIBRARY_PATH 2009-01-13 09:41:37 +0100 sb  r266196 : #i97992# fixed AUGMENT_LIBRARY_PATH definitions 2009-01-12 18:02:03 +0100 sb  r266177 : #i97992# get rid of LD_LIBRARY_PATH in build environment


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [b64d66a5e03f1f510dacedd079b8ed738d9dd8b1]

CWS-TOOLING: integrate CWS sb106 2009-02-09 16:24:28 +0100 sb  r267520 : #i95310# copied from cws/cmis01@267519; neon-0.28.2.tar.gz replaces neon-0.26.3.tar.gz


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [dc9e36342df7d2c3cede293ca73b059ed6ebb1ba]

CWS-TOOLING: integrate CWS ause099 2009-01-29 12:30:57 +0100 hjs  r267116 : #i98365# fix unsetting g+s bit 2009-01-23 14:21:19 +0100 hjs  r266819 : #i40246# - cleanup 2009-01-23 14:14:07 +0100 hjs  r266818 : #i40246# - fix quoting of final echo line 2009-01-23 12:42:33 +0100 hjs  r266807 : #i98365# leave higher bits alone 2009-01-23 11:23:42 +0100 rt  r266799 : Header 2009-01-22 19:14:25 +0100 hjs  r266753 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:22:18 +0100 hjs  r266737 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:20:54 +0100 hjs  r266736 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:20:24 +0100 hjs  r266735 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:08:33 +0100 hjs  r266734 : #i40246# renamed variable 2009-01-22 16:05:26 +0100 hjs  r266733 : #i40246# renamed variable 2009-01-20 17:46:54 +0100 hjs  r266610 : #i98290# cleanup 2009-01-19 19:32:19 +0100 hjs  r266522 : CWS-TOOLING: rebase CWS ause099 to trunk@266428 (milestone: DEV300:m39) 2008-12-08 21:00:09 +0100 hjs  r265049 : CWS-TOOLING: rebase CWS ause099 to trunk@264807 (milestone: DEV300:m37) 2008-11-27 18:25:18 +0100 hjs  r264513 : #i40246# - support multiple patches per archive 2008-11-17 19:00:12 +0100 hjs  r263738 : CWS-TOOLING: rebase CWS ause099 to trunk@263288 (milestone: DEV300:m35)


2009-02-18  Oliver Bolte  <obo@openoffice.org>  [40a940b6b62758c403a7bee67dca412bc27f40d6]

